//
//****************************************************************
// Name: P18F64J90.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F64J90


// RCSTA2
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// TXSTA2
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB2 = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5

// LCDDATA6
public const
    S00C1 = 0,
    S01C1 = 1,
    S02C1 = 2,
    S03C1 = 3,
    S04C1 = 4,
    S05C1 = 5,
    S06C1 = 6,
    S07C1 = 7

// LCDDATA7
public const
    S8C1 = 0,
    S9C1 = 1,
    S10C1 = 2,
    S11C1 = 3,
    S12C1 = 4,
    S13C1 = 5,
    S14C1 = 6,
    S15C1 = 7

// LCDDATA8
public const
    S16C1 = 0,
    S17C1 = 1,
    S18C1 = 2,
    S19C1 = 3,
    S20C1 = 4,
    S21C1 = 5,
    S22C1 = 6,
    S23C1 = 7

// LCDDATA9
public const
    S24C1 = 0,
    S25C1 = 1,
    S26C1 = 2,
    S27C1 = 3,
    S28C1 = 4,
    S29C1 = 5,
    S30C1 = 6,
    S31C1 = 7

// LCDDATA10
public const
    S32C1 = 0

// LCDDATA12
public const
    S00C2 = 0,
    S01C2 = 1,
    S02C2 = 2,
    S03C2 = 3,
    S04C2 = 4,
    S05C2 = 5,
    S06C2 = 6,
    S07C2 = 7

// LCDDATA13
public const
    S8C2 = 0,
    S9C2 = 1,
    S10C2 = 2,
    S11C2 = 3,
    S12C2 = 4,
    S13C2 = 5,
    S14C2 = 6,
    S15C2 = 7

// LCDDATA14
public const
    S16C2 = 0,
    S17C2 = 1,
    S18C2 = 2,
    S19C2 = 3,
    S20C2 = 4,
    S21C2 = 5,
    S22C2 = 6,
    S23C2 = 7

// LCDDATA15
public const
    S24C2 = 0,
    S25C2 = 1,
    S26C2 = 2,
    S27C2 = 3,
    S28C2 = 4,
    S29C2 = 5,
    S30C2 = 6,
    S31C2 = 7

// LCDDATA16
public const
    S32C2 = 0

// LCDDATA18
public const
    S00C3 = 0,
    S01C3 = 1,
    S02C3 = 2,
    S03C3 = 3,
    S04C3 = 4,
    S05C3 = 5,
    S06C3 = 6,
    S07C3 = 7

// LCDDATA19
public const
    S8C3 = 0,
    S9C3 = 1,
    S10C3 = 2,
    S11C3 = 3,
    S12C3 = 4,
    S13C3 = 5,
    S14C3 = 6,
    S15C3 = 7

// LCDDATA20
public const
    S16C3 = 0,
    S17C3 = 1,
    S18C3 = 2,
    S19C3 = 3,
    S20C3 = 4,
    S21C3 = 5,
    S22C3 = 6,
    S23C3 = 7

// LCDDATA21
public const
    S24C3 = 0,
    S25C3 = 1,
    S26C3 = 2,
    S27C3 = 3,
    S28C3 = 4,
    S29C3 = 5,
    S30C3 = 6,
    S31C3 = 7

// LCDDATA22
public const
    S32C3 = 0

// BAUDCON1
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5,
    RE6 = 6,
    RE7 = 7

// PORTF
public const
    RF1 = 1,
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG0 = 0,
    RG1 = 1,
    RG2 = 2,
    RG3 = 3,
    RG4 = 4,
    REPU = 6,
    RDPU = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5,
    LATE6 = 6,
    LATE7 = 7

// LATF
public const
    LATF1 = 1,
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG0 = 0,
    LATG1 = 1,
    LATG2 = 2,
    LATG3 = 3,
    LATG4 = 4,
    U1OD = 6,
    U2OD = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// DDRD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISD

// DDRE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5,
    TRISE6 = 6,
    TRISE7 = 7

// TRISE

// DDRF
public const
    TRISF1 = 1,
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISF

// DDRG
public const
    TRISG0 = 0,
    TRISG1 = 1,
    TRISG2 = 2,
    TRISG3 = 3,
    TRISG4 = 4,
    CCP1OD = 5,
    CCP2OD = 6,
    SPIOD = 7

// TRISG

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    PLLEN = 6,
    INTSRC = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    SSPIE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    SSPIF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    SSPIP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6

// PIE2
public const
    TMR3IE = 1,
    LVDIE = 2,
    BCLIE = 3,
    CMIE = 6,
    OSCFIE = 7

// PIR2
public const
    TMR3IF = 1,
    LVDIF = 2,
    BCLIF = 3,
    CMIF = 6,
    OSCFIF = 7

// IPR2
public const
    TMR3IP = 1,
    LVDIP = 2,
    BCLIP = 3,
    CMIP = 6,
    OSCFIP = 7

// PIE3
public const
    CCP1IE = 1,
    CCP2IE = 2,
    TX2IE = 4,
    RC2IE = 5,
    LCDIE = 6

// PIR3
public const
    CCP1IF = 1,
    CCP2IF = 2,
    TX2IF = 4,
    RC2IF = 5,
    LCDIF = 6

// IPR3
public const
    CCP1IP = 1,
    CCP2IP = 2,
    TX2IP = 4,
    RC2IP = 5,
    LCDIP = 6

// EECON1
public const
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4

// LCDCON
public const
    LMUX0 = 0,
    LMUX1 = 1,
    LCDCS0 = 2,
    LCDCS1 = 3,
    WERR = 5,
    SLPEN = 6,
    LCDEN = 7

// LCDSE0
public const
    SE0 = 0,
    SE1 = 1,
    SE2 = 2,
    SE3 = 3,
    SE4 = 4,
    SE5 = 5,
    SE6 = 6,
    SE7 = 7

// LCDPS
public const
    LCDPS0 = 0,
    LCDPS1 = 1,
    LCDPS2 = 2,
    LCDPS3 = 3,
    WA = 4,
    LCDA = 5,
    BIASMD = 6,
    WFT = 7

// RCSTA
public const
    RCD8 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADDEN1 = 3,
    CREN1 = 4,
    SREN1 = 5,
    RC9 = 6,
    SPEN1 = 7

// RCSTA1
public const
    RX9D1 = 0,
    _RC8 = 6

// TXSTA
public const
    TXD8 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX8_9 = 6,
    CSRC1 = 7

// TXSTA1
public const
    TX9D1 = 0,
    SENDB1 = 3,
    _TX8 = 6

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    T3CCP2 = 6,
    RD16 = 7

// CMCON
public const
    CM0 = 0,
    CM1 = 1,
    CM2 = 2,
    CIS = 3,
    C1INV = 4,
    C2INV = 5,
    C1OUT_CMCON = 6,
    C2OUT_CMCON = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVROE = 6,
    CVREN = 7

// LCDSE1
public const
    SE8 = 0,
    SE9 = 1,
    SE10 = 2,
    SE11 = 3,
    SE12 = 4,
    SE13 = 5,
    SE14 = 6,
    SE15 = 7

// LCDSE2
public const
    SE16 = 0,
    SE17 = 1,
    SE18 = 2,
    SE19 = 3,
    SE20 = 4,
    SE21 = 5,
    SE22 = 6,
    SE23 = 7

// LCDSE3
public const
    SE24 = 0,
    SE25 = 1,
    SE26 = 2,
    SE27 = 3,
    SE28 = 4,
    SE29 = 5,
    SE30 = 6,
    SE31 = 7

// LCDSE4
public const
    SE32 = 0

// LCDDATA0
public const
    S0C0 = 0,
    S1C0 = 1,
    S2C0 = 2,
    S3C0 = 3,
    S4C0 = 4,
    S5C0 = 5,
    S6C0 = 6,
    S7C0 = 7

// LCDDATA1
public const
    S8C0 = 0,
    S9C0 = 1,
    S10C0 = 2,
    S11C0 = 3,
    S12C0 = 4,
    S13C0 = 5,
    S14C0 = 6,
    S15C0 = 7

// LCDDATA2
public const
    S16C0 = 0,
    S17C0 = 1,
    S18C0 = 2,
    S19C0 = 3,
    S20C0 = 4,
    S21C0 = 5,
    S22C0 = 6,
    S23C0 = 7

// LCDDATA3
public const
    S24C0 = 0,
    S25C0 = 1,
    S26C0 = 2,
    S27C0 = 3,
    S28C0 = 4,
    S29C0 = 5,
    S30C0 = 6,
    S31C0 = 7

// LCDDATA4
public const
    S32C0 = 0

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    VCFG0 = 4,
    VCFG1 = 5

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    ADCAL = 7

// SSP1CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSP1CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPCON1

// SSP1STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSPSTAT
public const
    R = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    D = 5

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0,
    REGSLP = 7

// LCDREG
public const
    CKSEL0 = 0,
    CKSEL1 = 1,
    MODE13 = 2,
    BIAS0 = 3,
    BIAS1 = 4,
    BIAS2 = 5,
    CPEN = 6

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    IOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
