//
//****************************************************************
// Name: P18LF24K22.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF24K22


// ANSELA
public const
    ANSA0 = 0,
    ANSA1 = 1,
    ANSA2 = 2,
    ANSA3 = 3,
    ANSA5 = 5

// ANSELB
public const
    ANSB0 = 0,
    ANSB1 = 1,
    ANSB2 = 2,
    ANSB3 = 3,
    ANSB4 = 4,
    ANSB5 = 5

// ANSELC
public const
    ANSC2 = 2,
    ANSC3 = 3,
    ANSC4 = 4,
    ANSC5 = 5,
    ANSC6 = 6,
    ANSC7 = 7

// PMD2
public const
    ADCMD = 0,
    CMP1MD = 1,
    CMP2MD = 2,
    CTMUMD = 3

// PMD1
public const
    CCP1MD = 0,
    CCP2MD = 1,
    CCP3MD = 2,
    CCP4MD = 3,
    CCP5MD = 4,
    MSSP1MD = 6,
    MSSP2MD = 7

// PMD0
public const
    TMR1MD = 0,
    TMR2MD = 1,
    TMR3MD = 2,
    TMR4MD = 3,
    TMR5MD = 4,
    TMR6MD = 5,
    UART1MD = 6,
    UART2MD = 7

// DACCON1
public const
    DACR0 = 0,
    DACR1 = 1,
    DACR2 = 2,
    DACR3 = 3,
    DACR4 = 4

// VREFCON2

// DACCON0
public const
    DACNSS = 0,
    DACPSS0 = 2,
    DACPSS1 = 3,
    DACOE = 5,
    DACLPS = 6,
    DACEN = 7

// VREFCON1

// FVRCON
public const
    FVRS0 = 4,
    FVRS1 = 5,
    FVRST = 6,
    FVREN = 7

// VREFCON0

// CTMUICON
public const
    IRNG0 = 0,
    IRNG1 = 1,
    ITRIM0 = 2,
    ITRIM1 = 3,
    ITRIM2 = 4,
    ITRIM3 = 5,
    ITRIM4 = 6,
    ITRIM5 = 7

// CTMUICONH

// CTMUCON1
public const
    EDG1STAT = 0,
    EDG2STAT = 1,
    EDG1SEL0 = 2,
    EDG1SEL1 = 3,
    EDG1POL = 4,
    EDG2SEL0 = 5,
    EDG2SEL1 = 6,
    EDG2POL = 7

// CTMUCONL

// CTMUCON0
public const
    CTTRIG = 0,
    IDISSEN = 1,
    EDGSEQEN = 2,
    EDGEN = 3,
    TGEN = 4,
    CTMUSIDL = 5,
    CTMUEN = 7

// CTMUCONH

// SRCON1
public const
    SRRC1E = 0,
    SRRC2E = 1,
    SRRCKE = 2,
    SRRPE = 3,
    SRSC1E = 4,
    SRSC2E = 5,
    SRSCKE = 6,
    SRSPE = 7

// SRCON0
public const
    SRPR = 0,
    SRPS = 1,
    SRNQEN = 2,
    SRQEN = 3,
    SRCLK0 = 4,
    SRCLK1 = 5,
    SRCLK2 = 6,
    SRLEN = 7

// CCPTMRS1
public const
    C4TSEL0 = 0,
    C4TSEL1 = 1,
    C5TSEL0 = 2,
    C5TSEL1 = 3

// CCPTMRS0
public const
    C1TSEL0 = 0,
    C1TSEL1 = 1,
    C2TSEL0 = 3,
    C2TSEL1 = 4,
    C3TSEL0 = 6,
    C3TSEL1 = 7

// T6CON
public const
    T6CKPS0 = 0,
    T6CKPS1 = 1,
    TMR6ON = 2,
    T6OUTPS0 = 3,
    T6OUTPS1 = 4,
    T6OUTPS2 = 5,
    T6OUTPS3 = 6

// T5GCON
public const
    T5GSS0 = 0,
    T5GSS1 = 1,
    T5GVAL = 2,
    T5GGO_DONE = 3,
    T5GSPM = 4,
    T5GTM = 5,
    T5GPOL = 6,
    TMR5GE = 7

// T5CON
public const
    TMR5ON = 0,
    T5RD16 = 1,
    _T5SYNC = 2,
    T5SOSCEN = 3,
    T5CKPS0 = 4,
    T5CKPS1 = 5,
    TMR5CS0 = 6,
    TMR5CS1 = 7

// T4CON
public const
    T4CKPS0 = 0,
    T4CKPS1 = 1,
    TMR4ON = 2,
    T4OUTPS0 = 3,
    T4OUTPS1 = 4,
    T4OUTPS2 = 5,
    T4OUTPS3 = 6

// CCP5CON
public const
    CCP5M0 = 0,
    CCP5M1 = 1,
    CCP5M2 = 2,
    CCP5M3 = 3,
    DC5B0 = 4,
    DC5B1 = 5

// CCP4CON
public const
    CCP4M0 = 0,
    CCP4M1 = 1,
    CCP4M2 = 2,
    CCP4M3 = 3,
    DC4B0 = 4,
    DC4B1 = 5

// PSTR3CON
public const
    STR3A = 0,
    STR3B = 1,
    STR3C = 2,
    STR3D = 3,
    STR3SYNC = 4

// CCP3AS
public const
    P3SSBD0 = 0,
    P3SSBD1 = 1,
    P3SSAC0 = 2,
    P3SSAC1 = 3,
    CCP3AS0 = 4,
    CCP3AS1 = 5,
    CCP3AS2 = 6,
    CCP3ASE = 7

// ECCP3AS
public const
    PSS3BD0 = 0,
    PSS3BD1 = 1,
    PSS3AC0 = 2,
    PSS3AC1 = 3

// PWM3CON
public const
    P3DC0 = 0,
    P3DC1 = 1,
    P3DC2 = 2,
    P3DC3 = 3,
    P3DC4 = 4,
    P3DC5 = 5,
    P3DC6 = 6,
    P3RSEN = 7

// CCP3CON
public const
    CCP3M0 = 0,
    CCP3M1 = 1,
    CCP3M2 = 2,
    CCP3M3 = 3,
    DC3B0 = 4,
    DC3B1 = 5,
    P3M0 = 6,
    P3M1 = 7

// SLRCON
public const
    SLRA = 0,
    SLRB = 1,
    SLRC = 2

// WPUB
public const
    WPUB0 = 0,
    WPUB1 = 1,
    WPUB2 = 2,
    WPUB3 = 3,
    WPUB4 = 4,
    WPUB5 = 5,
    WPUB6 = 6,
    WPUB7 = 7

// IOCB
public const
    IOCB4 = 4,
    IOCB5 = 5,
    IOCB6 = 6,
    IOCB7 = 7

// PSTR2CON
public const
    STR2A = 0,
    STR2B = 1,
    STR2C = 2,
    STR2D = 3,
    STR2SYNC = 4

// CCP2AS
public const
    P2SSBD0 = 0,
    P2SSBD1 = 1,
    P2SSAC0 = 2,
    P2SSAC1 = 3,
    CCP2AS0 = 4,
    CCP2AS1 = 5,
    CCP2AS2 = 6,
    CCP2ASE = 7

// ECCP2AS
public const
    PSS2BD0 = 0,
    PSS2BD1 = 1,
    PSS2AC0 = 2,
    PSS2AC1 = 3

// PWM2CON
public const
    P2DC0 = 0,
    P2DC1 = 1,
    P2DC2 = 2,
    P2DC3 = 3,
    P2DC4 = 4,
    P2DC5 = 5,
    P2DC6 = 6,
    P2RSEN = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5,
    P2M0 = 6,
    P2M1 = 7

// SSP2CON3
public const
    DHEN = 0,
    AHEN = 1,
    SBCDE = 2,
    SDAHT = 3,
    BOEN = 4,
    SCIE = 5,
    PCIE = 6,
    ACKTIM = 7

// SSP2MSK
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// SSP2CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSP2CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSP2STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// BAUD2CON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    CKTXP = 4,
    DTRXP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCON2
public const
    SCKP = 4

// RC2STA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// RCSTA2
public const
    RX9D2 = 0,
    OERR2 = 1,
    FERR2 = 2,
    ADEN = 3,
    CREN2 = 4,
    SREN2 = 5,
    RX92 = 6,
    SPEN2 = 7

// TX2STA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// TXSTA2
public const
    TX9D2 = 0,
    TRMT2 = 1,
    BRGH2 = 2,
    SENDB2 = 3,
    SYNC2 = 4,
    TXEN2 = 5,
    TX92 = 6,
    CSRC2 = 7

// CM12CON
public const
    C2SYNC = 0,
    C1SYNC = 1,
    C2HYS = 2,
    C1HYS = 3,
    C2RSEL = 4,
    C1RSEL = 5,
    MC2OUT = 6,
    MC1OUT = 7

// CM2CON1

// CM2CON
public const
    C2CH0 = 0,
    C2CH1 = 1,
    C2R = 2,
    C2SP = 3,
    C2POL = 4,
    C2OE = 5,
    C2OUT_CM2CON = 6,
    C2ON = 7

// CM2CON0
public const
    C2OUT_CM2CON0 = 6

// CM1CON
public const
    C1CH0 = 0,
    C1CH1 = 1,
    C1R = 2,
    C1SP = 3,
    C1POL = 4,
    C1OE = 5,
    C1OUT_CM1CON = 6,
    C1ON = 7

// CM1CON0
public const
    C1OUT_CM1CON0 = 6

// PIE4
public const
    CCP3IE = 0,
    CCP4IE = 1,
    CCP5IE = 2

// PIR4
public const
    CCP3IF = 0,
    CCP4IF = 1,
    CCP5IF = 2

// IPR4
public const
    CCP3IP = 0,
    CCP4IP = 1,
    CCP5IP = 2

// PIE5
public const
    TMR4IE = 0,
    TMR5IE = 1,
    TMR6IE = 2

// PIR5
public const
    TMR4IF = 0,
    TMR5IF = 1,
    TMR6IF = 2

// IPR5
public const
    TMR4IP = 0,
    TMR5IP = 1,
    TMR6IP = 2

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTE
public const
    RE3 = 3

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// TRISE
public const
    WPUE3 = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    PLLEN = 6,
    INTSRC = 7

// HLVDCON
public const
    HLVDL0 = 0,
    HLVDL1 = 1,
    HLVDL2 = 2,
    HLVDL3 = 3,
    HLVDEN = 4,
    IRVST = 5,
    BGVST = 6,
    VDIRMAG = 7

// LVDCON
public const
    LVDL0 = 0,
    LVDL1 = 1,
    LVDL2 = 2,
    LVDL3 = 3,
    LVDEN = 4,
    IVRST = 5

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSP1IE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSP1IF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSP1IP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6

// PIE2
public const
    CCP2IE = 0,
    TMR3IE = 1,
    HLVDIE = 2,
    BCL1IE = 3,
    EEIE = 4,
    C2IE = 5,
    C1IE = 6,
    OSCFIE = 7

// PIR2
public const
    CCP2IF = 0,
    TMR3IF = 1,
    HLVDIF = 2,
    BCL1IF = 3,
    EEIF = 4,
    C2IF = 5,
    C1IF = 6,
    OSCFIF = 7

// IPR2
public const
    CCP2IP = 0,
    TMR3IP = 1,
    HLVDIP = 2,
    BCL1IP = 3,
    EEIP = 4,
    C2IP = 5,
    C1IP = 6,
    OSCFIP = 7

// PIE3
public const
    TMR1GIE = 0,
    TMR3GIE = 1,
    TMR5GIE = 2,
    CTMUIE = 3,
    TX2IE = 4,
    RC2IE = 5,
    BCL2IE = 6,
    SSP2IE = 7

// PIR3
public const
    TMR1GIF = 0,
    TMR3GIF = 1,
    TMR5GIF = 2,
    CTMUIF = 3,
    TX2IF = 4,
    RC2IF = 5,
    BCL2IF = 6,
    SSP2IF = 7

// IPR3
public const
    TMR1GIP = 0,
    TMR3GIP = 1,
    TMR5GIP = 2,
    CTMUIP = 3,
    TX2IP = 4,
    RC2IP = 5,
    BCL2IP = 6,
    SSP2IP = 7

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// EEADR
public const
    EEADR0 = 0,
    EEADR1 = 1,
    EEADR2 = 2,
    EEADR3 = 3,
    EEADR4 = 4,
    EEADR5 = 5,
    EEADR6 = 6,
    EEADR7 = 7

// RC1STA
public const
    RX9D1 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADDEN1 = 3,
    CREN1 = 4,
    SREN1 = 5,
    RX91 = 6,
    SPEN1 = 7

// RCSTA

// RCSTA1

// TX1STA
public const
    TX9D1 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB1 = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX91 = 6,
    CSRC1 = 7

// TXSTA

// TXSTA1

// T3CON
public const
    TMR3ON = 0,
    T3RD16 = 1,
    _T3SYNC = 2,
    T3SOSCEN = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    TMR3CS0 = 6,
    TMR3CS1 = 7

// T3GCON
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GVAL = 2,
    T3GGO_DONE = 3,
    T3GSPM = 4,
    T3GTM = 5,
    T3GPOL = 6,
    TMR3GE = 7

// ECCP1AS
public const
    P1SSBD0 = 0,
    P1SSBD1 = 1,
    P1SSAC0 = 2,
    P1SSAC1 = 3,
    CCP1AS0 = 4,
    CCP1AS1 = 5,
    CCP1AS2 = 6,
    CCP1ASE = 7

// ECCPAS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCPAS0 = 4,
    ECCPAS1 = 5,
    ECCPAS2 = 6,
    ECCPASE = 7

// PWM1CON
public const
    P1DC0 = 0,
    P1DC1 = 1,
    P1DC2 = 2,
    P1DC3 = 3,
    P1DC4 = 4,
    P1DC5 = 5,
    P1DC6 = 6,
    P1RSEN = 7

// PWMCON
public const
    PDC0 = 0,
    PDC1 = 1,
    PDC2 = 2,
    PDC3 = 3,
    PDC4 = 4,
    PDC5 = 5,
    PDC6 = 6,
    PRSEN = 7

// BAUD1CON

// BAUDCON

// BAUDCON1

// BAUDCTL

// PSTR1CON
public const
    STR1A = 0,
    STR1B = 1,
    STR1C = 2,
    STR1D = 3,
    STR1SYNC = 4

// PSTRCON

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    NVCFG0 = 0,
    NVCFG1 = 1,
    PVCFG0 = 2,
    PVCFG1 = 3,
    TRIGSEL = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    CHS4 = 6

// SSP1CON2

// SSPCON2

// SSP1CON1

// SSPCON1

// SSP1STAT
public const
    R = 2,
    D = 5

// SSPSTAT
public const
    _W = 2,
    _A = 5

// SSP1MSK

// SSPMSK

// SSP1CON3

// SSPCON3

// T1GCON
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GVAL = 2,
    T1GGO_DONE = 3,
    T1GSPM = 4,
    T1GTM = 5,
    T1GPOL = 6,
    TMR1GE = 7

// T1CON
public const
    TMR1ON = 0,
    T1RD16 = 1,
    _T1SYNC = 2,
    T1SOSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    TMR1CS0 = 6,
    TMR1CS1 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    SBOREN = 6,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// OSCCON2
public const
    LFIOFS = 0,
    MFIOFS = 1,
    PRISD = 2,
    SOSCGO = 3,
    MFIOSEL = 4,
    SOSCRUN = 6,
    PLLRDY = 7

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    HFIOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT1IE = 3,
    INT2IE = 4,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    TMR0IP = 2,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
