//
//****************************************************************
// Name: P18LF46J13.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF46J13


// ADCTRIG
public const
    SRC0 = 0,
    SRC1 = 1

// PD0
public const
    ADCMD = 0,
    SPI1MD = 1,
    SPI2MD = 2,
    UART1MD = 3,
    UART2MD = 4,
    ECCP1MD = 5,
    ECCP2MD = 6,
    ECCP3MD = 7

// PMDIS0
public const
    PMDADC = 0,
    PMDMSSP1 = 1,
    PMDMSSP2 = 2,
    PMDUART1 = 3,
    PMDUART2 = 4,
    PMDECCP1 = 5,
    PMDECCP2 = 6,
    PMDECCP3 = 7

// PD1
public const
    TMR1MD = 1,
    TMR2MD = 2,
    TMR3MD = 3,
    TMR4MD = 4,
    RTCCMD = 5,
    CTMUMD = 6,
    PSPMD = 7

// PMDIS1
public const
    PMDTMR1 = 1,
    PMDTMR2 = 2,
    PMDTMR3 = 3,
    PMDTMR4 = 4,
    PMDRTCC = 5,
    PMDCTMU = 6,
    PMDPSP = 7

// PD2
public const
    CMP1MD = 0,
    CMP2MD = 1,
    CMP3MD = 2,
    TMR5MD = 3,
    TMR6MD = 4,
    TMR8MD = 6

// PMDIS2
public const
    PMDCMP1 = 0,
    PMDCMP2 = 1,
    PMDCMP3 = 2,
    PMDTMR5 = 3,
    PMDTMR6 = 4,
    PMDTMR8 = 6

// PD3
public const
    CCP4MD = 1,
    CCP5MD = 2,
    CCP6MD = 3,
    CCP7MD = 4,
    CCP8MD = 5,
    CCP9MD = 6,
    CCP10MD = 7

// PMDIS3
public const
    PMDCCP4 = 1,
    PMDCCP5 = 2,
    PMDCCP6 = 3,
    PMDCCP7 = 4,
    PMDCCP8 = 5,
    PMDCCP9 = 6,
    PMDCCP10 = 7

// PPSCON
public const
    IOLOCK = 0

// CCP10CON
public const
    CCP10M0 = 0,
    CCP10M1 = 1,
    CCP10M2 = 2,
    CCP10M3 = 3,
    DC10B0 = 4,
    DC10B1 = 5

// CCP9CON
public const
    CCP9M0 = 0,
    CCP9M1 = 1,
    CCP9M2 = 2,
    CCP9M3 = 3,
    DC9B0 = 4,
    DC9B1 = 5

// CCP8CON
public const
    CCP8M0 = 0,
    CCP8M1 = 1,
    CCP8M2 = 2,
    CCP8M3 = 3,
    DC8B0 = 4,
    DC8B1 = 5

// CCP7CON
public const
    CCP7M0 = 0,
    CCP7M1 = 1,
    CCP7M2 = 2,
    CCP7M3 = 3,
    DC7B0 = 4,
    DC7B1 = 5

// CCP6CON
public const
    CCP6M0 = 0,
    CCP6M1 = 1,
    CCP6M2 = 2,
    CCP6M3 = 3,
    DC6B0 = 4,
    DC6B1 = 5

// CCP5CON
public const
    CCP5M0 = 0,
    CCP5M1 = 1,
    CCP5M2 = 2,
    CCP5M3 = 3,
    DC5B0 = 4,
    DC5B1 = 5

// CCP4CON
public const
    CCP4M0 = 0,
    CCP4M1 = 1,
    CCP4M2 = 2,
    CCP4M3 = 3,
    DC4B0 = 4,
    DC4B1 = 5

// CCP3CON
public const
    CCP3M0 = 0,
    CCP3M1 = 1,
    CCP3M2 = 2,
    CCP3M3 = 3,
    DC3B0 = 4,
    DC3B1 = 5,
    P3M0 = 6,
    P3M1 = 7

// ECCP3DEL
public const
    P3DC0 = 0,
    P3DC1 = 1,
    P3DC2 = 2,
    P3DC3 = 3,
    P3DC4 = 4,
    P3DC5 = 5,
    P3DC6 = 6,
    P3RSEN = 7

// ECCP3AS
public const
    PSS3BD0 = 0,
    PSS3BD1 = 1,
    PSS3AC0 = 2,
    PSS3AC1 = 3,
    ECCP3AS0 = 4,
    ECCP3AS1 = 5,
    ECCP3AS2 = 6,
    ECCP3ASE = 7

// PSTR3CON
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    STRSYNC = 4,
    CMPL0 = 6,
    CMPL1 = 7

// T8CON
public const
    T8CKPS0 = 0,
    T8CKPS1 = 1,
    TMR8ON = 2,
    T8OUTPS0 = 3,
    T8OUTPS1 = 4,
    T8OUTPS2 = 5,
    T8OUTPS3 = 6

// T6CON
public const
    T6CKPS0 = 0,
    T6CKPS1 = 1,
    TMR6ON = 2,
    T6OUTPS0 = 3,
    T6OUTPS1 = 4,
    T6OUTPS2 = 5,
    T6OUTPS3 = 6

// T5GCON
public const
    T5GSS0 = 0,
    T5GSS1 = 1,
    T5GVAL = 2,
    T5GGO_T5DONE = 3,
    T5GSPM = 4,
    T5GTM = 5,
    T5GPOL = 6,
    TMR5GE = 7

// T5CON
public const
    TMR5ON = 0,
    RD16 = 1,
    _T5SYNC = 2,
    T5OSCEN = 3,
    T5CKPS0 = 4,
    T5CKPS1 = 5,
    TMR5CS0 = 6,
    TMR5CS1 = 7

// CM3CON
public const
    CCH0 = 0,
    CCH1 = 1,
    CREF = 2,
    EVPOL0 = 3,
    EVPOL1 = 4,
    CPOL = 5,
    COE = 6,
    CON = 7

// PADCFG1
public const
    PMPTTL = 0,
    RTSECSEL0 = 1,
    RTSECSEL1 = 2

// REFOCON
public const
    RODIV0 = 0,
    RODIV1 = 1,
    RODIV2 = 2,
    RODIV3 = 3,
    ROSEL = 4,
    ROSSLP = 5,
    ROON = 7

// RTCCAL
public const
    CAL0 = 0,
    CAL1 = 1,
    CAL2 = 2,
    CAL3 = 3,
    CAL4 = 4,
    CAL5 = 5,
    CAL6 = 6,
    CAL7 = 7

// RTCCFG
public const
    RTCPTR0 = 0,
    RTCPTR1 = 1,
    RTCOE = 2,
    HALFSEC = 3,
    RTCSYNC = 4,
    RTCWREN = 5,
    RTCEN = 7

// ODCON3
public const
    SPI1OD = 0,
    SPI2OD = 1,
    CTMUDS = 7

// ODCON2
public const
    U1OD = 0,
    U2OD = 1,
    CCP9OD = 2,
    CCP10OD = 3

// ODCON1
public const
    ECCP1OD = 0,
    ECCP2OD = 1,
    ECCP3OD = 2,
    CCP4OD = 3,
    CCP5OD = 4,
    CCP6OD = 5,
    CCP7OD = 6,
    CCP8OD = 7

// ALRMRPT
public const
    ARPT0 = 0,
    ARPT1 = 1,
    ARPT2 = 2,
    ARPT3 = 3,
    ARPT4 = 4,
    ARPT5 = 5,
    ARPT6 = 6,
    ARPT7 = 7

// ALRMCFG
public const
    ALRMPTR0 = 0,
    ALRMPTR1 = 1,
    AMASK0 = 2,
    AMASK1 = 3,
    AMASK2 = 4,
    AMASK3 = 5,
    CHIME = 6,
    ALRMEN = 7

// ANCON0
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    PCFG4 = 4,
    PCFG5 = 5,
    PCFG6 = 6,
    PCFG7 = 7

// ANCON1
public const
    PCFG8 = 0,
    PCFG9 = 1,
    PCFG10 = 2,
    PCFG11 = 3,
    PCFG12 = 4,
    VBGEN = 7

// DSWAKEL
public const
    DSPOR = 0,
    DSMCLR = 2,
    DSRTC = 3,
    DSWDT = 4,
    DSULP = 5,
    DSFLT = 7

// DSWAKEH
public const
    DSINT0 = 0

// DSCONL
public const
    RELEASE = 0,
    DSBOR = 1,
    ULPWDIS = 2

// DSCONH
public const
    RTCWDIS = 0,
    DSULPEN = 1,
    DSEN = 7

// CCPTMRS2
public const
    C8TSEL0 = 0,
    C8TSEL1 = 1,
    C9TSEL0 = 2,
    C10TSEL0 = 4

// CCPTMRS1
public const
    C4TSEL0 = 0,
    C4TSEL1 = 1,
    C5TSEL0 = 2,
    C6TSEL0 = 4,
    C7TSEL0 = 6,
    C7TSEL1 = 7

// CCPTMRS0
public const
    C1TSEL0 = 0,
    C1TSEL1 = 1,
    C1TSEL2 = 2,
    C2TSEL0 = 3,
    C2TSEL1 = 4,
    C2TSEL2 = 5,
    C3TSEL0 = 6,
    C3TSEL1 = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVROE = 6,
    CVREN = 7

// PMSTATL
public const
    OB0E = 0,
    OB1E = 1,
    OB2E = 2,
    OB3E = 3,
    OBUF = 6,
    OBE = 7

// PMSTATH
public const
    IB0F = 0,
    IB1F = 1,
    IB2F = 2,
    IB3F = 3,
    IBOV = 6,
    IBF = 7

// PMEL
public const
    PTEN0 = 0,
    PTEN1 = 1,
    PTEN2 = 2,
    PTEN3 = 3,
    PTEN4 = 4,
    PTEN5 = 5,
    PTEN6 = 6,
    PTEN7 = 7

// PMEH
public const
    PTEN8 = 0,
    PTEN9 = 1,
    PTEN10 = 2,
    PTEN11 = 3,
    PTEN12 = 4,
    PTEN13 = 5,
    PTEN14 = 6,
    PTEN15 = 7

// PMMODEL
public const
    WAITE0 = 0,
    WAITE1 = 1,
    WAITM0 = 2,
    WAITM1 = 3,
    WAITM2 = 4,
    WAITM3 = 5,
    WAITB0 = 6,
    WAITB1 = 7

// PMMODEH
public const
    MODE0 = 0,
    MODE1 = 1,
    MODE16 = 2,
    INCM0 = 3,
    INCM1 = 4,
    IRQM0 = 5,
    IRQM1 = 6,
    BUSY = 7

// PMCONL
public const
    RDSP = 0,
    WRSP = 1,
    BEP = 2,
    CS1P = 3,
    RESERVED = 4,
    ALP = 5,
    CSF0 = 6,
    CSF1 = 7

// PMCONH
public const
    PTRDEN = 0,
    PTWREN = 1,
    PTBEEN = 2,
    ADRMUX0 = 3,
    ADRMUX1 = 4,
    PMPEN = 7

// PMADDRH
public const
    CS1 = 6

// CMSTAT
public const
    COUT1 = 0,
    COUT2 = 1,
    COUT3 = 2

// CMSTATUS

// SSP2CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSP2CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSP2STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSP2MSK
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// T4CON
public const
    T4CKPS0 = 0,
    T4CKPS1 = 1,
    TMR4ON = 2,
    T4OUTPS0 = 3,
    T4OUTPS1 = 4,
    T4OUTPS2 = 5,
    T4OUTPS3 = 6

// T3CON
public const
    TMR3ON = 0,
    _T3SYNC = 2,
    T3OSCEN = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    TMR3CS0 = 6,
    TMR3CS1 = 7

// BAUDCON2
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCON

// BAUDCON1

// BAUDCTL

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2

// HLVDCON
public const
    HLVDL0 = 0,
    HLVDL1 = 1,
    HLVDL2 = 2,
    HLVDL3 = 3,
    HLVDEN = 4,
    IRVST = 5,
    BGVST = 6,
    VDIRMAG = 7

// DMACON2
public const
    INTLVL0 = 0,
    INTLVL1 = 1,
    INTLVL2 = 2,
    INTLVL3 = 3,
    DLYCYC0 = 4,
    DLYCYC1 = 5,
    DLYCYC2 = 6,
    DLYCYC3 = 7

// OSCCON2
public const
    PRISD = 2,
    SOSCGO = 3,
    SOSCDRV = 4,
    SOSCRUN = 6

// DMACON1
public const
    DMAEN = 0,
    DLYINTEN = 1,
    DUPLEX0 = 2,
    DUPLEX1 = 3,
    RXINC = 4,
    TXINC = 5,
    SSCON0 = 6,
    SSCON1 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2

// PIE4
public const
    CCP3IE = 0,
    CCP4IE = 1,
    CCP5IE = 2,
    CCP6IE = 3,
    CCP7IE = 4,
    CCP8IE = 5,
    CCP9IE = 6,
    CCP10IE = 7

// PIR4
public const
    CCP3IF = 0,
    CCP4IF = 1,
    CCP5IF = 2,
    CCP6IF = 3,
    CCP7IF = 4,
    CCP8IF = 5,
    CCP9IF = 6,
    CCP10IF = 7

// IPR4
public const
    CCP3IP = 0,
    CCP4IP = 1,
    CCP5IP = 2,
    CCP6IP = 3,
    CCP7IP = 4,
    CCP8IP = 5,
    CCP9IP = 6,
    CCP10IP = 7

// PIE5
public const
    TMR1GIE = 0,
    TMR5GIE = 1,
    TMR5IE = 2,
    TMR6IE = 3,
    TMR8IE = 4,
    CM3IE = 5

// TRISA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    REPU = 6,
    RDPU = 7

// T3GCON
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GVAL = 2,
    T3GGO_T3DONE = 3,
    T3GSPM = 4,
    T3GTM = 5,
    T3GPOL = 6,
    TMR3GE = 7

// PIR5
public const
    TMR1GIF = 0,
    TMR5GIF = 1,
    TMR5IF = 2,
    TMR6IF = 3,
    TMR8IF = 4,
    CM3IF = 5

// IPR5
public const
    TMR1GIP = 0,
    TMR5GIP = 1,
    TMR5IP = 2,
    TMR6IP = 3,
    TMR8IP = 4,
    CM3IP = 5

// T1GCON
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GVAL = 2,
    T1GGO_T1DONE = 3,
    T1GSPM = 4,
    T1GTM = 5,
    T1GPOL = 6,
    TMR1GE = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    PLLEN = 6,
    INTSRC = 7

// RCSTA2
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSP1IE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6,
    PMPIE = 7

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSP1IF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6,
    PMPIF = 7

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSP1IP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6,
    PMPIP = 7

// PIE2
public const
    CCP2IE = 0,
    TMR3IE = 1,
    LVDIE = 2,
    BCL1IE = 3,
    CM1IE = 5,
    CM2IE = 6,
    OSCFIE = 7

// PIR2
public const
    CCP2IF = 0,
    TMR3IF = 1,
    LVDIF = 2,
    BCL1IF = 3,
    CM1IF = 5,
    CM2IF = 6,
    OSCFIF = 7

// IPR2
public const
    CCP2IP = 0,
    TMR3IP = 1,
    LVDIP = 2,
    BCL1IP = 3,
    CM1IP = 5,
    CM2IP = 6,
    OSCFIP = 7

// PIE3
public const
    RTCCIE = 0,
    TMR3GIE = 1,
    CTMUIE = 2,
    TMR4IE = 3,
    TX2IE = 4,
    RC2IE = 5,
    BCL2IE = 6,
    SSP2IE = 7

// PIR3
public const
    RTCCIF = 0,
    TMR3GIF = 1,
    CTMUIF = 2,
    TMR4IF = 3,
    TX2IF = 4,
    RC2IF = 5,
    BCL2IF = 6,
    SSP2IF = 7

// IPR3
public const
    RTCCIP = 0,
    TMR3GIP = 1,
    CTMUIP = 2,
    TMR4IP = 3,
    TX2IP = 4,
    RC2IP = 5,
    BCL2IP = 6,
    SSP2IP = 7

// EECON1
public const
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    WPROG = 5

// TXSTA2
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// RCSTA
public const
    RCD8 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADEN = 3,
    CREN1 = 4,
    SREN1 = 5,
    RC9 = 6,
    SPEN1 = 7

// RCSTA1
public const
    RX9D1 = 0,
    ADDEN1 = 3,
    _RC8 = 6

// TXSTA
public const
    TXD8 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB1 = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX8_9 = 6,
    CSRC1 = 7

// TXSTA1
public const
    TX9D1 = 0,
    _TX8 = 6

// CTMUICON
public const
    IRNG0 = 0,
    IRNG1 = 1,
    ITRIM0 = 2,
    ITRIM1 = 3,
    ITRIM2 = 4,
    ITRIM3 = 5,
    ITRIM4 = 6,
    ITRIM5 = 7

// CTMUCONL
public const
    EDG1STAT = 0,
    EDG2STAT = 1,
    EDG1SEL0 = 2,
    EDG1SEL1 = 3,
    EDG1POL = 4,
    EDG2SEL0 = 5,
    EDG2SEL1 = 6,
    EDG2POL = 7

// CTMUCONH
public const
    CTTRIG = 0,
    IDISSEN = 1,
    EDGSEQEN = 2,
    EDGEN = 3,
    TGEN = 4,
    CTMUSIDL = 5,
    CTMUEN = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5,
    P2M0 = 6,
    P2M1 = 7

// ECCP2CON
public const
    CCP2Y = 4,
    CCP2X = 5

// ECCP2DEL
public const
    P2DC0 = 0,
    P2DC1 = 1,
    P2DC2 = 2,
    P2DC3 = 3,
    P2DC4 = 4,
    P2DC5 = 5,
    P2DC6 = 6,
    P2RSEN = 7

// PWM2CON

// ECCP2AS
public const
    PSS2BD0 = 0,
    PSS2BD1 = 1,
    PSS2AC0 = 2,
    PSS2AC1 = 3,
    ECCP2AS0 = 4,
    ECCP2AS1 = 5,
    ECCP2AS2 = 6,
    ECCP2ASE = 7

// PSTR2CON

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ECCP1CON
public const
    CCP1Y = 4,
    CCP1X = 5

// ECCP1DEL
public const
    P1DC0 = 0,
    P1DC1 = 1,
    P1DC2 = 2,
    P1DC3 = 3,
    P1DC4 = 4,
    P1DC5 = 5,
    P1DC6 = 6,
    P1RSEN = 7

// PWM1CON

// ECCP1AS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCP1AS0 = 4,
    ECCP1AS1 = 5,
    ECCP1AS2 = 6,
    ECCP1ASE = 7

// PSTR1CON

// WDTCON
public const
    SWDTEN = 0,
    ULPSINK = 1,
    ULPEN = 2,
    DS = 3,
    VBGOE = 4,
    ULPLVL = 5,
    LVDSTAT = 6,
    REGSLP = 7

// ADCON1
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADCAL = 6,
    ADFM = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    VCFG0 = 6,
    VCFG1 = 7

// SSP1CON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSPCON2

// SSP1CON1

// SSPCON1

// SSP1STAT
public const
    R = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    D = 5

// SSPSTAT
public const
    _W = 2,
    _A = 5

// SSP1MSK

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    TMR1CS0 = 6,
    TMR1CS1 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    IPEN = 7

// CM2CON

// CM2CON1

// CM1CON

// CM1CON1

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
