//
//****************************************************************
// Name: P18F2431.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F2431


// DFLTCON
public const
    FLTCK0 = 0,
    FLTCK1 = 1,
    FLTCK2 = 2,
    FLT1EN = 3,
    FLT2EN = 4,
    FLT3EN = 5,
    FLT4EN = 6

// CAP3CON
public const
    CAP3M0 = 0,
    CAP3M1 = 1,
    CAP3M2 = 2,
    CAP3M3 = 3,
    CAP3TMR = 5,
    CAP3REN = 6

// CAP2CON
public const
    CAP2M0 = 0,
    CAP2M1 = 1,
    CAP2M2 = 2,
    CAP2M3 = 3,
    CAP2TMR = 5,
    CAP2REN = 6

// CAP1CON
public const
    CAP1M0 = 0,
    CAP1M1 = 1,
    CAP1M2 = 2,
    CAP1M3 = 3,
    CAP1TMR = 5,
    CAP1REN = 6

// OVDCONS
public const
    POUT0 = 0,
    POUT1 = 1,
    POUT2 = 2,
    POUT3 = 3,
    POUT4 = 4,
    POUT5 = 5,
    POUT6 = 6,
    POUT7 = 7

// OVDCOND
public const
    POVD0 = 0,
    POVD1 = 1,
    POVD2 = 2,
    POVD3 = 3,
    POVD4 = 4,
    POVD5 = 5,
    POVD6 = 6,
    POVD7 = 7

// FLTCONFIG
public const
    FLTAEN = 0,
    FLTAMOD = 1,
    FLTAS = 2,
    FLTCON = 3,
    FLTBEN = 4,
    FLTBMOD = 5,
    FLTBS = 6,
    BRFEN = 7

// DTCON
public const
    DT0 = 0,
    DT1 = 1,
    DT2 = 2,
    DT3 = 3,
    DT4 = 4,
    DT5 = 5,
    DTPS0 = 6,
    DTPS1 = 7

// PWMCON1
public const
    OSYNC = 0,
    UDIS = 1,
    SEVTDIR = 3,
    SEVOPS0 = 4,
    SEVOPS1 = 5,
    SEVOPS2 = 6,
    SEVOPS3 = 7

// PWMCON0
public const
    PMOD0 = 0,
    PMOD1 = 1,
    PMOD2 = 2,
    PMOD3 = 3,
    PWMEN0 = 4,
    PWMEN1 = 5,
    PWMEN2 = 6

// PTCON1
public const
    PTDIR = 6,
    PTEN = 7

// PTCON0
public const
    PTMOD0 = 0,
    PTMOD1 = 1,
    PTCKPS0 = 2,
    PTCKPS1 = 3,
    PTOPS0 = 4,
    PTOPS1 = 5,
    PTOPS2 = 6,
    PTOPS3 = 7

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTE
public const
    RE3 = 3

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// ADCHS
public const
    GASEL0 = 0,
    GASEL1 = 1,
    GCSEL0 = 2,
    GCSEL1 = 3,
    GBSEL0 = 4,
    GBSEL1 = 5,
    GDSEL0 = 6,
    GDSEL1 = 7

// ADCON3
public const
    SSRC0 = 0,
    SSRC1 = 1,
    SSRC2 = 2,
    SSRC3 = 3,
    SSRC4 = 4,
    ADRS0 = 6,
    ADRS1 = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSPIE = 3,
    TXIE = 4,
    RCIE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSPIF = 3,
    TXIF = 4,
    RCIF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSPIP = 3,
    TXIP = 4,
    RCIP = 5,
    ADIP = 6

// PIE2
public const
    CCP2IE = 0,
    LVDIE = 2,
    EEIE = 4,
    OSFIE = 7

// PIR2
public const
    CCP2IF = 0,
    LVDIF = 2,
    EEIF = 4,
    OSFIF = 7

// IPR2
public const
    CCP2IP = 0,
    LVDIP = 2,
    EEIP = 4,
    OSFIP = 7

// PIE3
public const
    TMR5IE = 0,
    IC1IE = 1,
    IC2QEIE = 2,
    IC3DRIE = 3,
    PTIE = 4

// PIR3
public const
    TMR5IF = 0,
    IC1IF = 1,
    IC2QEIF = 2,
    IC3DRIF = 3,
    PTIF = 4

// IPR3
public const
    TMR5IP = 0,
    IC1IP = 1,
    IC2QEIP = 2,
    IC3DRIP = 3,
    PTIP = 4

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// BAUDCON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCTL
public const
    SCKP = 4,
    RCMT = 6

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// QEICON
public const
    PDEC0 = 0,
    PDEC1 = 1,
    QEIM0 = 2,
    QEIM1 = 3,
    QEIM2 = 4,
    UP_DOWN = 5,
    //; ERROR = 6,
    _VELM = 7

// T5CON
public const
    TMR5ON = 0,
    TMR5CS = 1,
    _T5SYNC = 2,
    T5PS0 = 3,
    T5PS1 = 4,
    T5MOD = 5,
    _RESEN = 6,
    T5SEN = 7

// ANSEL0
public const
    ANS0 = 0,
    ANS1 = 1,
    ANS2 = 2,
    ANS3 = 3,
    ANS4 = 4

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    CCP2Y = 4,
    CCP2X = 5

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    CCP1Y = 4,
    CCP1X = 5

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ACQT3 = 6,
    ADFM = 7

// ADCON1
public const
    ADPNT0 = 0,
    ADPNT1 = 1,
    BFOVFL = 2,
    BFEMT = 3,
    FIFOEN = 4,
    VCFG0 = 6,
    VCFG1 = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    ACMOD0 = 2,
    ACMOD1 = 3,
    ACSCH = 4,
    ACONV = 5

// SSPCON
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPSTAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6,
    RD16 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0,
    WDTW = 7

// LVDCON
public const
    LVDL0 = 0,
    LVDL1 = 1,
    LVDL2 = 2,
    LVDL3 = 3,
    LVDEN = 4,
    IRVST = 5

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    IOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T016BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT1IE = 3,
    INT2IE = 4,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    TMR0IP = 2,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
