//
//****************************************************************
// Name: P18F248.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F248


// RXF0SIDH
public const
    SID3 = 0,
    SID4 = 1,
    SID5 = 2,
    SID6 = 3,
    SID7 = 4,
    SID8 = 5,
    SID9 = 6,
    SID10 = 7

// RXF0SIDL
public const
    EID16 = 0,
    EID17 = 1,
    EXIDEN = 3,
    SID0 = 5,
    SID1 = 6,
    SID2 = 7

// RXF0EIDH
public const
    EID8 = 0,
    EID9 = 1,
    EID10 = 2,
    EID11 = 3,
    EID12 = 4,
    EID13 = 5,
    EID14 = 6,
    EID15 = 7

// RXF0EIDL
public const
    EID0 = 0,
    EID1 = 1,
    EID2 = 2,
    EID3 = 3,
    EID4 = 4,
    EID5 = 5,
    EID6 = 6,
    EID7 = 7

// RXF1SIDH

// RXF1SIDL

// RXF1EIDH

// RXF1EIDL

// RXF2SIDH

// RXF2SIDL

// RXF2EIDH

// RXF2EIDL

// RXF3SIDH

// RXF3SIDL

// RXF3EIDH

// RXF3EIDL

// RXF4SIDH

// RXF4SIDL

// RXF4EIDH

// RXF4EIDL

// RXF5SIDH

// RXF5SIDL

// RXF5EIDH

// RXF5EIDL

// RXM0SIDH

// RXM0SIDL

// RXM0EIDH

// RXM0EIDL

// RXM1SIDH

// RXM1SIDL

// RXM1EIDH

// RXM1EIDL

// TXB2CON
public const
    TXPRI0 = 0,
    TXPRI1 = 1,
    TXREQ = 3,
    TXERR = 4,
    TXLARB = 5,
    TXABT = 6

// TXB2SIDH

// TXB2SIDL
public const
    EXIDE = 3

// TXB2EIDH

// TXB2EIDL

// TXB2DLC
public const
    DLC0 = 0,
    DLC1 = 1,
    DLC2 = 2,
    DLC3 = 3,
    TXRTR = 6

// TXB2D0
public const
    TXB2D00 = 0,
    TXB2D01 = 1,
    TXB2D02 = 2,
    TXB2D03 = 3,
    TXB2D04 = 4,
    TXB2D05 = 5,
    TXB2D06 = 6,
    TXB2D07 = 7

// TXB2D1
public const
    TXB2D10 = 0,
    TXB2D11 = 1,
    TXB2D12 = 2,
    TXB2D13 = 3,
    TXB2D14 = 4,
    TXB2D15 = 5,
    TXB2D16 = 6,
    TXB2D17 = 7

// TXB2D2
public const
    TXB2D20 = 0,
    TXB2D21 = 1,
    TXB2D22 = 2,
    TXB2D23 = 3,
    TXB2D24 = 4,
    TXB2D25 = 5,
    TXB2D26 = 6,
    TXB2D27 = 7

// TXB2D3
public const
    TXB2D30 = 0,
    TXB2D31 = 1,
    TXB2D32 = 2,
    TXB2D33 = 3,
    TXB2D34 = 4,
    TXB2D35 = 5,
    TXB2D36 = 6,
    TXB2D37 = 7

// TXB2D4
public const
    TXB2D40 = 0,
    TXB2D41 = 1,
    TXB2D42 = 2,
    TXB2D43 = 3,
    TXB2D44 = 4,
    TXB2D45 = 5,
    TXB2D46 = 6,
    TXB2D47 = 7

// TXB2D5
public const
    TXB2D50 = 0,
    TXB2D51 = 1,
    TXB2D52 = 2,
    TXB2D53 = 3,
    TXB2D54 = 4,
    TXB2D55 = 5,
    TXB2D56 = 6,
    TXB2D57 = 7

// TXB2D6
public const
    TXB2D60 = 0,
    TXB2D61 = 1,
    TXB2D62 = 2,
    TXB2D63 = 3,
    TXB2D64 = 4,
    TXB2D65 = 5,
    TXB2D66 = 6,
    TXB2D67 = 7

// TXB2D7
public const
    TXB2D70 = 0,
    TXB2D71 = 1,
    TXB2D72 = 2,
    TXB2D73 = 3,
    TXB2D74 = 4,
    TXB2D75 = 5,
    TXB2D76 = 6,
    TXB2D77 = 7

// CANSTATRO4
public const
    ICODE0 = 1,
    ICODE1 = 2,
    ICODE2 = 3,
    OPMODE0 = 5,
    OPMODE1 = 6,
    OPMODE2 = 7

// TXB1CON

// TXB1SIDH

// TXB1SIDL

// TXB1EIDH

// TXB1EIDL

// TXB1DLC

// TXB1D0
public const
    TXB1D00 = 0,
    TXB1D01 = 1,
    TXB1D02 = 2,
    TXB1D03 = 3,
    TXB1D04 = 4,
    TXB1D05 = 5,
    TXB1D06 = 6,
    TXB1D07 = 7

// TXB1D1
public const
    TXB1D10 = 0,
    TXB1D11 = 1,
    TXB1D12 = 2,
    TXB1D13 = 3,
    TXB1D14 = 4,
    TXB1D15 = 5,
    TXB1D16 = 6,
    TXB1D17 = 7

// TXB1D2
public const
    TXB1D20 = 0,
    TXB1D21 = 1,
    TXB1D22 = 2,
    TXB1D23 = 3,
    TXB1D24 = 4,
    TXB1D25 = 5,
    TXB1D26 = 6,
    TXB1D27 = 7

// TXB1D3
public const
    TXB1D30 = 0,
    TXB1D31 = 1,
    TXB1D32 = 2,
    TXB1D33 = 3,
    TXB1D34 = 4,
    TXB1D35 = 5,
    TXB1D36 = 6,
    TXB1D37 = 7

// TXB1D4
public const
    TXB1D40 = 0,
    TXB1D41 = 1,
    TXB1D42 = 2,
    TXB1D43 = 3,
    TXB1D44 = 4,
    TXB1D45 = 5,
    TXB1D46 = 6,
    TXB1D47 = 7

// TXB1D5
public const
    TXB1D50 = 0,
    TXB1D51 = 1,
    TXB1D52 = 2,
    TXB1D53 = 3,
    TXB1D54 = 4,
    TXB1D55 = 5,
    TXB1D56 = 6,
    TXB1D57 = 7

// TXB1D6
public const
    TXB1D60 = 0,
    TXB1D61 = 1,
    TXB1D62 = 2,
    TXB1D63 = 3,
    TXB1D64 = 4,
    TXB1D65 = 5,
    TXB1D66 = 6,
    TXB1D67 = 7

// TXB1D7
public const
    TXB1D70 = 0,
    TXB1D71 = 1,
    TXB1D72 = 2,
    TXB1D73 = 3,
    TXB1D74 = 4,
    TXB1D75 = 5,
    TXB1D76 = 6,
    TXB1D77 = 7

// CANSTATRO3

// TXB0CON

// TXB0SIDH

// TXB0SIDL

// TXB0EIDH

// TXB0EIDL

// TXB0DLC

// TXB0D0
public const
    TXB0D00 = 0,
    TXB0D01 = 1,
    TXB0D02 = 2,
    TXB0D03 = 3,
    TXB0D04 = 4,
    TXB0D05 = 5,
    TXB0D06 = 6,
    TXB0D07 = 7

// TXB0D1
public const
    TXB0D10 = 0,
    TXB0D11 = 1,
    TXB0D12 = 2,
    TXB0D13 = 3,
    TXB0D14 = 4,
    TXB0D15 = 5,
    TXB0D16 = 6,
    TXB0D17 = 7

// TXB0D2
public const
    TXB0D20 = 0,
    TXB0D21 = 1,
    TXB0D22 = 2,
    TXB0D23 = 3,
    TXB0D24 = 4,
    TXB0D25 = 5,
    TXB0D26 = 6,
    TXB0D27 = 7

// TXB0D3
public const
    TXB0D30 = 0,
    TXB0D31 = 1,
    TXB0D32 = 2,
    TXB0D33 = 3,
    TXB0D34 = 4,
    TXB0D35 = 5,
    TXB0D36 = 6,
    TXB0D37 = 7

// TXB0D4
public const
    TXB0D40 = 0,
    TXB0D41 = 1,
    TXB0D42 = 2,
    TXB0D43 = 3,
    TXB0D44 = 4,
    TXB0D45 = 5,
    TXB0D46 = 6,
    TXB0D47 = 7

// TXB0D5
public const
    TXB0D50 = 0,
    TXB0D51 = 1,
    TXB0D52 = 2,
    TXB0D53 = 3,
    TXB0D54 = 4,
    TXB0D55 = 5,
    TXB0D56 = 6,
    TXB0D57 = 7

// TXB0D6
public const
    TXB0D60 = 0,
    TXB0D61 = 1,
    TXB0D62 = 2,
    TXB0D63 = 3,
    TXB0D64 = 4,
    TXB0D65 = 5,
    TXB0D66 = 6,
    TXB0D67 = 7

// TXB0D7
public const
    TXB0D70 = 0,
    TXB0D71 = 1,
    TXB0D72 = 2,
    TXB0D73 = 3,
    TXB0D74 = 4,
    TXB0D75 = 5,
    TXB0D76 = 6,
    TXB0D77 = 7

// CANSTATRO2

// RXB1CON
public const
    FILHIT0 = 0,
    FILHIT1 = 1,
    FILHIT2 = 2,
    RXRTRRO = 3,
    RXM0 = 5,
    RXM1 = 6,
    RXFUL = 7

// RXB1SIDH

// RXB1SIDL
public const
    EXID = 3,
    SRR = 4

// RXB1EIDH

// RXB1EIDL

// RXB1DLC
public const
    RB0_RXB1DLC = 4,
    RB1_RXB1DLC = 5,
    RXRTR = 6

// RXB1D0
public const
    RXB1D00 = 0,
    RXB1D01 = 1,
    RXB1D02 = 2,
    RXB1D03 = 3,
    RXB1D04 = 4,
    RXB1D05 = 5,
    RXB1D06 = 6,
    RXB1D07 = 7

// RXB1D1
public const
    RXB1D10 = 0,
    RXB1D11 = 1,
    RXB1D12 = 2,
    RXB1D13 = 3,
    RXB1D14 = 4,
    RXB1D15 = 5,
    RXB1D16 = 6,
    RXB1D17 = 7

// RXB1D2
public const
    RXB1D20 = 0,
    RXB1D21 = 1,
    RXB1D22 = 2,
    RXB1D23 = 3,
    RXB1D24 = 4,
    RXB1D25 = 5,
    RXB1D26 = 6,
    RXB1D27 = 7

// RXB1D3
public const
    RXB1D30 = 0,
    RXB1D31 = 1,
    RXB1D32 = 2,
    RXB1D33 = 3,
    RXB1D34 = 4,
    RXB1D35 = 5,
    RXB1D36 = 6,
    RXB1D37 = 7

// RXB1D4
public const
    RXB1D40 = 0,
    RXB1D41 = 1,
    RXB1D42 = 2,
    RXB1D43 = 3,
    RXB1D44 = 4,
    RXB1D45 = 5,
    RXB1D46 = 6,
    RXB1D47 = 7

// RXB1D5
public const
    RXB1D50 = 0,
    RXB1D51 = 1,
    RXB1D52 = 2,
    RXB1D53 = 3,
    RXB1D54 = 4,
    RXB1D55 = 5,
    RXB1D56 = 6,
    RXB1D57 = 7

// RXB1D6
public const
    RXB1D60 = 0,
    RXB1D61 = 1,
    RXB1D62 = 2,
    RXB1D63 = 3,
    RXB1D64 = 4,
    RXB1D65 = 5,
    RXB1D66 = 6,
    RXB1D67 = 7

// RXB1D7
public const
    RXB1D70 = 0,
    RXB1D71 = 1,
    RXB1D72 = 2,
    RXB1D73 = 3,
    RXB1D74 = 4,
    RXB1D75 = 5,
    RXB1D76 = 6,
    RXB1D77 = 7

// CANSTATRO1

// RXB0CON
public const
    JTOFF = 1,
    RXB0DBEN = 2

// RXB0SIDH

// RXB0SIDL

// RXB0EIDH

// RXB0EIDL

// RXB0DLC
public const
    RB0_RXB0DLC = 4,
    RB1_RXB0DLC = 5

// RXB0D0
public const
    RXB0D00 = 0,
    RXB0D01 = 1,
    RXB0D02 = 2,
    RXB0D03 = 3,
    RXB0D04 = 4,
    RXB0D05 = 5,
    RXB0D06 = 6,
    RXB0D07 = 7

// RXB0D1
public const
    RXB0D10 = 0,
    RXB0D11 = 1,
    RXB0D12 = 2,
    RXB0D13 = 3,
    RXB0D14 = 4,
    RXB0D15 = 5,
    RXB0D16 = 6,
    RXB0D17 = 7

// RXB0D2
public const
    RXB0D20 = 0,
    RXB0D21 = 1,
    RXB0D22 = 2,
    RXB0D23 = 3,
    RXB0D24 = 4,
    RXB0D25 = 5,
    RXB0D26 = 6,
    RXB0D27 = 7

// RXB0D3
public const
    RXB0D30 = 0,
    RXB0D31 = 1,
    RXB0D32 = 2,
    RXB0D33 = 3,
    RXB0D34 = 4,
    RXB0D35 = 5,
    RXB0D36 = 6,
    RXB0D37 = 7

// RXB0D4
public const
    RXB0D40 = 0,
    RXB0D41 = 1,
    RXB0D42 = 2,
    RXB0D43 = 3,
    RXB0D44 = 4,
    RXB0D45 = 5,
    RXB0D46 = 6,
    RXB0D47 = 7

// RXB0D5
public const
    RXB0D50 = 0,
    RXB0D51 = 1,
    RXB0D52 = 2,
    RXB0D53 = 3,
    RXB0D54 = 4,
    RXB0D55 = 5,
    RXB0D56 = 6,
    RXB0D57 = 7

// RXB0D6
public const
    RXB0D60 = 0,
    RXB0D61 = 1,
    RXB0D62 = 2,
    RXB0D63 = 3,
    RXB0D64 = 4,
    RXB0D65 = 5,
    RXB0D66 = 6,
    RXB0D67 = 7

// RXB0D7
public const
    RXB0D70 = 0,
    RXB0D71 = 1,
    RXB0D72 = 2,
    RXB0D73 = 3,
    RXB0D74 = 4,
    RXB0D75 = 5,
    RXB0D76 = 6,
    RXB0D77 = 7

// CANSTAT

// CANCON
public const
    WIN0 = 1,
    WIN1 = 2,
    WIN2 = 3,
    ABAT = 4,
    REQOP0 = 5,
    REQOP1 = 6,
    REQOP2 = 7

// BRGCON1
public const
    BRP0 = 0,
    BRP1 = 1,
    BRP2 = 2,
    BRP3 = 3,
    BRP4 = 4,
    BRP5 = 5,
    SJW0 = 6,
    SJW1 = 7

// BRGCON2
public const
    PRSEG0 = 0,
    PRSEG1 = 1,
    PRSEG2 = 2,
    SEG1PH0 = 3,
    SEG1PH1 = 4,
    SEG1PH2 = 5,
    SAM = 6,
    SEG2PHTS = 7

// BRGCON3
public const
    SEG2PH0 = 0,
    SEG2PH1 = 1,
    SEG2PH2 = 2,
    WAKFIL = 6

// CIOCON
public const
    CANCAP = 4,
    ENDRHI = 5

// COMSTAT
public const
    EWARN = 0,
    RXWARN = 1,
    TXWARN = 2,
    RXBP = 3,
    TXBP = 4,
    TXBO = 5,
    RXB1OVFL = 6,
    RXB0OVFL = 7

// RXERRCNT
public const
    REC0 = 0,
    REC1 = 1,
    REC2 = 2,
    REC3 = 3,
    REC4 = 4,
    REC5 = 5,
    REC6 = 6,
    REC7 = 7

// TXERRCNT
public const
    TEC0 = 0,
    TEC1 = 1,
    TEC2 = 2,
    TEC3 = 3,
    TEC4 = 4,
    TEC5 = 5,
    TEC6 = 6,
    TEC7 = 7

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6

// PORTB
public const
    RB0_PORTB = 0,
    RB1_PORTB = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB
public const
    RB0_TRISB = 0,
    RB1_TRISB = 1

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSPIE = 3,
    TXIE = 4,
    RCIE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSPIF = 3,
    TXIF = 4,
    RCIF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSPIP = 3,
    TXIP = 4,
    RCIP = 5,
    ADIP = 6

// PIE2
public const
    TMR3IE = 1,
    LVDIE = 2,
    BCLIE = 3,
    EEIE = 4

// PIR2
public const
    TMR3IF = 1,
    LVDIF = 2,
    BCLIF = 3,
    EEIF = 4

// IPR2
public const
    TMR3IP = 1,
    LVDIP = 2,
    BCLIP = 3,
    EEIP = 4

// PIE3
public const
    RXB0IE = 0,
    RXB1IE = 1,
    TXB0IE = 2,
    TXB1IE = 3,
    TXB2IE = 4,
    ERRIE = 5,
    WAKIE = 6,
    IRXIE = 7

// PIR3
public const
    RXB0IF = 0,
    RXB1IF = 1,
    TXB0IF = 2,
    TXB1IF = 3,
    TXB2IF = 4,
    ERRIF = 5,
    WAKIF = 6,
    IRXIF = 7

// IPR3
public const
    RXB0IP = 0,
    RXB1IP = 1,
    TXB0IP = 2,
    TXB1IP = 3,
    TXB2IP = 4,
    ERRIP = 5,
    WAKIP = 6,
    IRXIP = 7

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    T3ECCP1 = 6,
    RD16 = 7

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5

// ADCON1
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    ADCS2 = 6,
    ADFM = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 2,
    CHS0 = 3,
    CHS1 = 4,
    CHS2 = 5,
    ADCS0 = 6,
    ADCS1 = 7

// SSPCON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPSTAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    TOUTPS0 = 3,
    TOUTPS1 = 4,
    TOUTPS2 = 5,
    TOUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// LVDCON
public const
    LVDL0 = 0,
    LVDL1 = 1,
    LVDL2 = 2,
    LVDL3 = 3,
    LVDEN = 4,
    IRVST = 5

// OSCCON
public const
    SCS = 0

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT1IE = 3,
    INT2IE = 4,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    TMR0IP = 2,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// INTCON1
public const
    INT0F = 1,
    T0IF = 2,
    INT0E = 4,
    T0IE = 5

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
