//
//****************************************************************
// Name: P18F24Q10.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F24Q10


// PPSLOCK
public const
    PPSLOCKED = 0

// INT0PPS
public const
    INT0PPS0 = 0,
    INT0PPS1 = 1,
    INT0PPS2 = 2,
    PORTIO = 3

// INT1PPS
public const
    INT1PPS0 = 0,
    INT1PPS1 = 1,
    INT1PPS2 = 2,
    INT1PPS3 = 3

// INT2PPS
public const
    INT2PPS0 = 0,
    INT2PPS1 = 1,
    INT2PPS2 = 2,
    INT2PPS3 = 3

// T0CKIPPS
public const
    T0CKIPPS0 = 0,
    T0CKIPPS1 = 1,
    T0CKIPPS2 = 2,
    T0CKIPPS3 = 3

// T1CKIPPS
public const
    T1CKIPPS0 = 0,
    T1CKIPPS1 = 1,
    T1CKIPPS2 = 2,
    T1CKIPPS3 = 3,
    T1CKIPPS4 = 4

// T1GPPS
public const
    T1GPPS0 = 0,
    T1GPPS1 = 1,
    T1GPPS2 = 2,
    T1GPPS3 = 3,
    T1GPPS4 = 4

// T3CKIPPS
public const
    T3CKIPPS0 = 0,
    T3CKIPPS1 = 1,
    T3CKIPPS2 = 2,
    T3CKIPPS3 = 3,
    T3CKIPPS4 = 4

// T3GPPS
public const
    T3GPPS0 = 0,
    T3GPPS1 = 1,
    T3GPPS2 = 2,
    T3GPPS3 = 3,
    T3GPPS4 = 4

// T5CKIPPS
public const
    T5CKIPPS0 = 0,
    T5CKIPPS1 = 1,
    T5CKIPPS2 = 2,
    T5CKIPPS3 = 3,
    T5CKIPPS4 = 4

// T5GPPS
public const
    T5GPPS0 = 0,
    T5GPPS1 = 1,
    T5GPPS2 = 2,
    T5GPPS3 = 3,
    T5GPPS4 = 4

// T2INPPS
public const
    T2INPPS0 = 0,
    T2INPPS1 = 1,
    T2INPPS2 = 2,
    T2INPPS3 = 3,
    T2INPPS4 = 4

// T4INPPS
public const
    T4INPPS0 = 0,
    T4INPPS1 = 1,
    T4INPPS2 = 2,
    T4INPPS3 = 3,
    T4INPPS4 = 4

// T6INPPS
public const
    T6INPPS0 = 0,
    T6INPPS1 = 1,
    T6INPPS2 = 2,
    T6INPPS3 = 3,
    T6INPPS4 = 4

// ADACTPPS
public const
    ADACTPPS0 = 0,
    ADACTPPS1 = 1,
    ADACTPPS2 = 2,
    ADACTPPS3 = 3,
    ADACTPPS4 = 4

// CCP1PPS
public const
    CCP1PPS0 = 0,
    CCP1PPS1 = 1,
    CCP1PPS2 = 2,
    CCP1PPS3 = 3,
    CCP1PPS4 = 4

// CCP2PPS
public const
    CCP2PPS0 = 0,
    CCP2PPS1 = 1,
    CCP2PPS2 = 2,
    CCP2PPS3 = 3,
    CCP2PPS4 = 4

// CWG1INPPS
public const
    CWGINPPS0 = 0,
    CWGINPPS1 = 1,
    CWGINPPS2 = 2,
    CWGINPPS3 = 3,
    CWGINPPS4 = 4

// CWG1PPS
public const
    CWG1INPPS0 = 0,
    CWG1INPPS1 = 1,
    CWG1INPPS2 = 2,
    CWG1INPPS3 = 3,
    CWG1INPPS4 = 4

// CWGINPPS

// MDCARLPPS
public const
    MDCARLPPS0 = 0,
    MDCARLPPS1 = 1,
    MDCARLPPS2 = 2,
    MDCARLPPS3 = 3,
    MDCARLPPS4 = 4

// MDCARHPPS
public const
    MDCARHPPS0 = 0,
    MDCARHPPS1 = 1,
    MDCARHPPS2 = 2,
    MDCARHPPS3 = 3,
    MDCARHPPS4 = 4

// MDSRCPPS
public const
    MDSRCPPS0 = 0,
    MDSRCPPS1 = 1,
    MDSRCPPS2 = 2,
    MDSRCPPS3 = 3,
    MDSRCPPS4 = 4

// RX1PPS
public const
    RXPPS0 = 0,
    RXPPS1 = 1,
    RXPPS2 = 2,
    RXPPS3 = 3,
    RXPPS4 = 4

// RXDT1PPS

// RXPPS

// CK1PPS
public const
    TXPPS0 = 0,
    TXPPS1 = 1,
    TXPPS2 = 2,
    TXPPS3 = 3,
    TXPPS4 = 4

// CKPPS

// TX1PPS

// TXCK1PPS

// TXPPS

// SSP1CLKPPS
public const
    SSPCLKPPS0 = 0,
    SSPCLKPPS1 = 1,
    SSPCLKPPS2 = 2,
    SSPCLKPPS3 = 3,
    SSPCLKPPS4 = 4

// SSPCLKPPS
public const
    SSP1CLKPPS0 = 0,
    SSP1CLKPPS1 = 1,
    SSP1CLKPPS2 = 2,
    SSP1CLKPPS3 = 3,
    SSP1CLKPPS4 = 4

// SSP1DATPPS
public const
    SSPDATPPS0 = 0,
    SSPDATPPS1 = 1,
    SSPDATPPS2 = 2,
    SSPDATPPS3 = 3,
    SSPDATPPS4 = 4

// SSPDATPPS
public const
    SSP1DATPPS0 = 0,
    SSP1DATPPS1 = 1,
    SSP1DATPPS2 = 2,
    SSP1DATPPS3 = 3,
    SSP1DATPPS4 = 4

// SSP1SSPPS
public const
    SSPSSPPS0 = 0,
    SSPSSPPS1 = 1,
    SSPSSPPS2 = 2,
    SSPSSPPS3 = 3,
    SSPSSPPS4 = 4

// SSPSSPPS
public const
    SSP1SSPPS0 = 0,
    SSP1SSPPS1 = 1,
    SSP1SSPPS2 = 2,
    SSP1SSPPS3 = 3,
    SSP1SSPPS4 = 4

// IPR0
public const
    INT0IP = 0,
    INT1IP = 1,
    INT2IP = 2,
    IOCIP = 4,
    TMR0IP = 5

// IPR1
public const
    ADIP = 0,
    ADTIP = 1,
    CSWIP = 6,
    OSCFIP = 7

// IPR2
public const
    C1IP = 0,
    C2IP = 1,
    ZCDIP = 6,
    HLVDIP = 7

// IPR3
public const
    SSPIP = 0,
    BCLIP = 1,
    TXIP = 4,
    RCIP = 5

// IPR4
public const
    TMR1IP = 0,
    TMR2IP = 1,
    TMR3IP = 2,
    TMR4IP = 3,
    TMR5IP = 4,
    TMR6IP = 5

// IPR5
public const
    TMR1GIP = 0,
    TMR3GIP = 1,
    TMR5GIP = 2

// IPR6
public const
    CCP1IP = 0,
    CCP2IP = 1

// IPR7
public const
    CWGIP = 0,
    NVMIP = 5,
    CRCIP = 6,
    SCANIP = 7

// PIE0
public const
    INT0IE = 0,
    INT1IE = 1,
    INT2IE = 2,
    IOCIE = 4,
    TMR0IE = 5

// PIE1
public const
    ADIE = 0,
    ADTIE = 1,
    CSWIE = 6,
    OSCFIE = 7

// PIE2
public const
    C1IE = 0,
    C2IE = 1,
    ZCDIE = 6,
    HLVDIE = 7

// PIE3
public const
    SSPIE = 0,
    BCLIE = 1,
    TXIE = 4,
    RCIE = 5

// PIE4
public const
    TMR1IE = 0,
    TMR2IE = 1,
    TMR3IE = 2,
    TMR4IE = 3,
    TMR5IE = 4,
    TMR6IE = 5

// PIE5
public const
    TMR1GIE = 0,
    TMR3GIE = 1,
    TMR5GIE = 2

// PIE6
public const
    CCP1IE = 0,
    CCP2IE = 1

// PIE7
public const
    CWGIE = 0,
    NVMIE = 5,
    CRCIE = 6,
    SCANIE = 7

// PIR0
public const
    INT0IF = 0,
    INT1IF = 1,
    INT2IF = 2,
    IOCIF = 4,
    TMR0IF = 5

// PIR1
public const
    ADIF = 0,
    ADTIF = 1,
    CSWIF = 6,
    OSCFIF = 7

// PIR2
public const
    C1IF = 0,
    C2IF = 1,
    ZCDIF = 6,
    HLVDIF = 7

// PIR3
public const
    SSPIF = 0,
    BCLIF = 1,
    TXIF = 4,
    RCIF = 5

// PIR4
public const
    TMR1IF = 0,
    TMR2IF = 1,
    TMR3IF = 2,
    TMR4IF = 3,
    TMR5IF = 4,
    TMR6IF = 5

// PIR5
public const
    TMR1GIF = 0,
    TMR3GIF = 1,
    TMR5GIF = 2

// PIR6
public const
    CCP1IF = 0,
    CCP2IF = 1

// PIR7
public const
    CWGIF = 0,
    NVMIF = 5,
    CRCIF = 6,
    SCANIF = 7

// WDTCON0
public const
    SEN_WDTCON0 = 0,
    WDTPS0 = 1,
    WDTPS1 = 2,
    WDTPS2 = 3,
    WDTPS3 = 4,
    WDTPS4 = 5

// WDTCON1
public const
    WINDOW0 = 0,
    WINDOW1 = 1,
    WINDOW2 = 2,
    WDTCS0 = 4,
    WDTCS1 = 5,
    WDTCS2 = 6

// WDTPSL
public const
    PSCNT0 = 0,
    PSCNT1 = 1,
    PSCNT2 = 2,
    PSCNT3 = 3,
    PSCNT4 = 4,
    PSCNT5 = 5,
    PSCNT6 = 6,
    PSCNT7 = 7

// WDTPSH
public const
    PSCNT8 = 0,
    PSCNT9 = 1,
    PSCNT10 = 2,
    PSCNT11 = 3,
    PSCNT12 = 4,
    PSCNT13 = 5,
    PSCNT14 = 6,
    PSCNT15 = 7

// WDTTMR
public const
    PSCNT16 = 0,
    PSCNT17 = 1,
    STATE = 2,
    WDTTMR0 = 3,
    WDTTMR1 = 4,
    WDTTMR2 = 5,
    WDTTMR3 = 6,
    WDTTMR4 = 7

// CPUDOZE
public const
    DOZE0 = 0,
    DOZE1 = 1,
    DOZE2 = 2,
    DOE = 4,
    ROI = 5,
    DOZEN = 6,
    IDLEN = 7

// OSCCON1
public const
    NDIV0 = 0,
    NDIV1 = 1,
    NDIV2 = 2,
    NDIV3 = 3,
    NOSC0 = 4,
    NOSC1 = 5,
    NOSC2 = 6

// OSCCON2
public const
    CDIV0 = 0,
    CDIV1 = 1,
    CDIV2 = 2,
    CDIV3 = 3,
    COSC0 = 4,
    COSC1 = 5,
    COSC2 = 6

// OSCCON3
public const
    NOSCR = 3,
    ORDY = 4,
    SOSCPWR = 6,
    CSWHOLD = 7

// OSCSTAT
public const
    PLLR = 0,
    ADOR = 2,
    SOR = 3,
    LFOR = 4,
    MFOR = 5,
    HFOR = 6,
    EXTOR = 7

// OSCSTAT1

// OSCEN
public const
    ADOEN = 2,
    SOSCEN = 3,
    LFOEN = 4,
    MFOEN = 5,
    HFOEN = 6,
    EXTOEN = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5

// OSCFREQ
public const
    FRQ0 = 0,
    FRQ1 = 1,
    FRQ2 = 2,
    FRQ3 = 3

// OSCFRQ

// VREGCON
public const
    VREGPM0 = 0,
    VREGPM1 = 1,
    PMSYS0 = 4,
    PMSYS1 = 5

// BORCON
public const
    BORRDY = 0,
    SBOREN = 7

// PMD0
public const
    IOCMD = 0,
    CLKRMD = 1,
    NVMMD = 2,
    SCANMD = 3,
    CRCMD = 4,
    HLVDMD = 5,
    FVRMD = 6,
    SYSCMD = 7

// PMD1
public const
    TMR0MD = 0,
    TMR1MD = 1,
    TMR2MD = 2,
    TMR3MD = 3,
    TMR4MD = 4,
    TMR5MD = 5,
    TMR6MD = 6

// PMD2
public const
    ZCDMD = 0,
    CMP1MD = 1,
    CMP2MD = 2,
    ADCMD = 5,
    DACMD = 6

// PMD3
public const
    CCP1MD = 0,
    CCP2MD = 1,
    PWM3MD = 2,
    PWM4MD = 3

// PMD4
public const
    CWGMD = 0,
    MSSP1MD = 4,
    UART1MD = 6

// PMD5
public const
    DSMMD = 0

// RA0PPS
public const
    RA0PPS0 = 0,
    RA0PPS1 = 1,
    RA0PPS2 = 2,
    RA0PPS3 = 3,
    RA0PPS4 = 4

// RA1PPS
public const
    RA1PPS0 = 0,
    RA1PPS1 = 1,
    RA1PPS2 = 2,
    RA1PPS3 = 3,
    RA1PPS4 = 4

// RA2PPS
public const
    RA2PPS0 = 0,
    RA2PPS1 = 1,
    RA2PPS2 = 2,
    RA2PPS3 = 3,
    RA2PPS4 = 4

// RA3PPS
public const
    RA3PPS0 = 0,
    RA3PPS1 = 1,
    RA3PPS2 = 2,
    RA3PPS3 = 3,
    RA3PPS4 = 4

// RA4PPS
public const
    RA4PPS0 = 0,
    RA4PPS1 = 1,
    RA4PPS2 = 2,
    RA4PPS3 = 3,
    RA4PPS4 = 4

// RA5PPS
public const
    RA5PPS0 = 0,
    RA5PPS1 = 1,
    RA5PPS2 = 2,
    RA5PPS3 = 3,
    RA5PPS4 = 4

// RA6PPS
public const
    RA6PPS0 = 0,
    RA6PPS1 = 1,
    RA6PPS2 = 2,
    RA6PPS3 = 3,
    RA6PPS4 = 4

// RA7PPS
public const
    RA7PPS0 = 0,
    RA7PPS1 = 1,
    RA7PPS2 = 2,
    RA7PPS3 = 3,
    RA7PPS4 = 4

// RB0PPS
public const
    RB0PPS0 = 0,
    RB0PPS1 = 1,
    RB0PPS2 = 2,
    RB0PPS3 = 3,
    RB0PPS4 = 4

// RB1PPS
public const
    RB1PPS0 = 0,
    RB1PPS1 = 1,
    RB1PPS2 = 2,
    RB1PPS3 = 3,
    RB1PPS4 = 4

// RB2PPS
public const
    RB2PPS0 = 0,
    RB2PPS1 = 1,
    RB2PPS2 = 2,
    RB2PPS3 = 3,
    RB2PPS4 = 4

// RB3PPS
public const
    RB3PPS0 = 0,
    RB3PPS1 = 1,
    RB3PPS2 = 2,
    RB3PPS3 = 3,
    RB3PPS4 = 4

// RB4PPS
public const
    RB4PPS0 = 0,
    RB4PPS1 = 1,
    RB4PPS2 = 2,
    RB4PPS3 = 3,
    RB4PPS4 = 4

// RB5PPS
public const
    RB5PPS0 = 0,
    RB5PPS1 = 1,
    RB5PPS2 = 2,
    RB5PPS3 = 3,
    RB5PPS4 = 4

// RB6PPS
public const
    RB6PPS0 = 0,
    RB6PPS1 = 1,
    RB6PPS2 = 2,
    RB6PPS3 = 3,
    RB6PPS4 = 4

// RB7PPS
public const
    RB7PPS0 = 0,
    RB7PPS1 = 1,
    RB7PPS2 = 2,
    RB7PPS3 = 3,
    RB7PPS4 = 4

// RC0PPS
public const
    RC0PPS0 = 0,
    RC0PPS1 = 1,
    RC0PPS2 = 2,
    RC0PPS3 = 3,
    RC0PPS4 = 4

// RC1PPS
public const
    RC1PPS0 = 0,
    RC1PPS1 = 1,
    RC1PPS2 = 2,
    RC1PPS3 = 3,
    RC1PPS4 = 4

// RC2PPS
public const
    RC2PPS0 = 0,
    RC2PPS1 = 1,
    RC2PPS2 = 2,
    RC2PPS3 = 3,
    RC2PPS4 = 4

// RC3PPS
public const
    RC3PPS0 = 0,
    RC3PPS1 = 1,
    RC3PPS2 = 2,
    RC3PPS3 = 3,
    RC3PPS4 = 4

// RC4PPS
public const
    RC4PPS0 = 0,
    RC4PPS1 = 1,
    RC4PPS2 = 2,
    RC4PPS3 = 3,
    RC4PPS4 = 4

// RC5PPS
public const
    RC5PPS0 = 0,
    RC5PPS1 = 1,
    RC5PPS2 = 2,
    RC5PPS3 = 3,
    RC5PPS4 = 4

// RC6PPS
public const
    RC6PPS0 = 0,
    RC6PPS1 = 1,
    RC6PPS2 = 2,
    RC6PPS3 = 3,
    RC6PPS4 = 4

// RC7PPS
public const
    RC7PPS0 = 0,
    RC7PPS1 = 1,
    RC7PPS2 = 2,
    RC7PPS3 = 3,
    RC7PPS4 = 4

// IOCAF
public const
    IOCAF0 = 0,
    IOCAF1 = 1,
    IOCAF2 = 2,
    IOCAF3 = 3,
    IOCAF4 = 4,
    IOCAF5 = 5,
    IOCAF6 = 6,
    IOCAF7 = 7

// IOCAN
public const
    IOCAN0 = 0,
    IOCAN1 = 1,
    IOCAN2 = 2,
    IOCAN3 = 3,
    IOCAN4 = 4,
    IOCAN5 = 5,
    IOCAN6 = 6,
    IOCAN7 = 7

// IOCAP
public const
    IOCAP0 = 0,
    IOCAP1 = 1,
    IOCAP2 = 2,
    IOCAP3 = 3,
    IOCAP4 = 4,
    IOCAP5 = 5,
    IOCAP6 = 6,
    IOCAP7 = 7

// INLVLA
public const
    INLVLA0 = 0,
    INLVLA1 = 1,
    INLVLA2 = 2,
    INLVLA3 = 3,
    INLVLA4 = 4,
    INLVLA5 = 5,
    INLVLA6 = 6,
    INLVLA7 = 7

// SLRCONA
public const
    SLRA0 = 0,
    SLRA1 = 1,
    SLRA2 = 2,
    SLRA3 = 3,
    SLRA4 = 4,
    SLRA5 = 5,
    SLRA6 = 6,
    SLRA7 = 7

// ODCONA
public const
    ODCA0 = 0,
    ODCA1 = 1,
    ODCA2 = 2,
    ODCA3 = 3,
    ODCA4 = 4,
    ODCA5 = 5,
    ODCA6 = 6,
    ODCA7 = 7

// WPUA
public const
    WPUA0 = 0,
    WPUA1 = 1,
    WPUA2 = 2,
    WPUA3 = 3,
    WPUA4 = 4,
    WPUA5 = 5,
    WPUA6 = 6,
    WPUA7 = 7

// ANSELA
public const
    ANSELA0 = 0,
    ANSELA1 = 1,
    ANSELA2 = 2,
    ANSELA3 = 3,
    ANSELA4 = 4,
    ANSELA5 = 5,
    ANSELA6 = 6,
    ANSELA7 = 7

// IOCBF
public const
    IOCBF0 = 0,
    IOCBF1 = 1,
    IOCBF2 = 2,
    IOCBF3 = 3,
    IOCBF4 = 4,
    IOCBF5 = 5,
    IOCBF6 = 6,
    IOCBF7 = 7

// IOCBN
public const
    IOCBN0 = 0,
    IOCBN1 = 1,
    IOCBN2 = 2,
    IOCBN3 = 3,
    IOCBN4 = 4,
    IOCBN5 = 5,
    IOCBN6 = 6,
    IOCBN7 = 7

// IOCBP
public const
    IOCBP0 = 0,
    IOCBP1 = 1,
    IOCBP2 = 2,
    IOCBP3 = 3,
    IOCBP4 = 4,
    IOCBP5 = 5,
    IOCBP6 = 6,
    IOCBP7 = 7

// INLVLB
public const
    INLVLB0 = 0,
    INLVLB1 = 1,
    INLVLB2 = 2,
    INLVLB3 = 3,
    INLVLB4 = 4,
    INLVLB5 = 5,
    INLVLB6 = 6,
    INLVLB7 = 7

// SLRCONB
public const
    SLRB0 = 0,
    SLRB1 = 1,
    SLRB2 = 2,
    SLRB3 = 3,
    SLRB4 = 4,
    SLRB5 = 5,
    SLRB6 = 6,
    SLRB7 = 7

// ODCONB
public const
    ODCB0 = 0,
    ODCB1 = 1,
    ODCB2 = 2,
    ODCB3 = 3,
    ODCB4 = 4,
    ODCB5 = 5,
    ODCB6 = 6,
    ODCB7 = 7

// WPUB
public const
    WPUB0 = 0,
    WPUB1 = 1,
    WPUB2 = 2,
    WPUB3 = 3,
    WPUB4 = 4,
    WPUB5 = 5,
    WPUB6 = 6,
    WPUB7 = 7

// ANSELB
public const
    ANSELB0 = 0,
    ANSELB1 = 1,
    ANSELB2 = 2,
    ANSELB3 = 3,
    ANSELB4 = 4,
    ANSELB5 = 5,
    ANSELB6 = 6,
    ANSELB7 = 7

// IOCCF
public const
    IOCCF0 = 0,
    IOCCF1 = 1,
    IOCCF2 = 2,
    IOCCF3 = 3,
    IOCCF4 = 4,
    IOCCF5 = 5,
    IOCCF6 = 6,
    IOCCF7 = 7

// IOCCN
public const
    IOCCN0 = 0,
    IOCCN1 = 1,
    IOCCN2 = 2,
    IOCCN3 = 3,
    IOCCN4 = 4,
    IOCCN5 = 5,
    IOCCN6 = 6,
    IOCCN7 = 7

// IOCCP
public const
    IOCCP0 = 0,
    IOCCP1 = 1,
    IOCCP2 = 2,
    IOCCP3 = 3,
    IOCCP4 = 4,
    IOCCP5 = 5,
    IOCCP6 = 6,
    IOCCP7 = 7

// INLVLC
public const
    INLVLC0 = 0,
    INLVLC1 = 1,
    INLVLC2 = 2,
    INLVLC3 = 3,
    INLVLC4 = 4,
    INLVLC5 = 5,
    INLVLC6 = 6,
    INLVLC7 = 7

// SLRCONC
public const
    SLRC0 = 0,
    SLRC1 = 1,
    SLRC2 = 2,
    SLRC3 = 3,
    SLRC4 = 4,
    SLRC5 = 5,
    SLRC6 = 6,
    SLRC7 = 7

// ODCONC
public const
    ODCC0 = 0,
    ODCC1 = 1,
    ODCC2 = 2,
    ODCC3 = 3,
    ODCC4 = 4,
    ODCC5 = 5,
    ODCC6 = 6,
    ODCC7 = 7

// WPUC
public const
    WPUC0 = 0,
    WPUC1 = 1,
    WPUC2 = 2,
    WPUC3 = 3,
    WPUC4 = 4,
    WPUC5 = 5,
    WPUC6 = 6,
    WPUC7 = 7

// ANSELC
public const
    ANSELC0 = 0,
    ANSELC1 = 1,
    ANSELC2 = 2,
    ANSELC3 = 3,
    ANSELC4 = 4,
    ANSELC5 = 5,
    ANSELC6 = 6,
    ANSELC7 = 7

// IOCEF
public const
    IOCEF3 = 3

// IOCEN
public const
    IOCEN3 = 3

// IOCEP
public const
    IOCEP3 = 3

// INLVLE
public const
    INLVLE3 = 3

// WPUE
public const
    WPUE3 = 3

// HLVDCON0
public const
    INTL = 0,
    INTH = 1,
    RDY_HLVDCON0 = 4,
    OUT_HLVDCON0 = 5,
    EN = 7

// HLVDCON1
public const
    SEL0 = 0,
    SEL1 = 1,
    SEL2 = 2,
    SEL3 = 3

// FVRCON
public const
    ADFVR0 = 0,
    ADFVR1 = 1,
    CDAFVR0 = 2,
    CDAFVR1 = 3,
    TSRNG = 4,
    TSEN = 5,
    RDY_FVRCON = 6,
    FVREN = 7

// ZCDCON
public const
    INTN = 0,
    INTP = 1,
    POL = 4,
    OUT_ZCDCON = 5,
    SEN_ZCDCON = 7

// DAC1CON0
public const
    NSS = 0,
    DAC1PSS0 = 2,
    DAC1PSS1 = 3,
    OE2 = 4,
    OE1 = 5,
    DAC1EN = 7

// DAC1CON1
public const
    DAC1R0 = 0,
    DAC1R1 = 1,
    DAC1R2 = 2,
    DAC1R3 = 3,
    DAC1R4 = 4

// CM2CON0
public const
    SYNC_CM2CON0 = 0,
    HYS = 1,
    C2POL = 4,
    OUT_CM2CON0 = 6,
    C2EN = 7

// CM2CON1
public const
    C2INTN = 0,
    C2INTP = 1

// CM2NCH
public const
    NCH0 = 0,
    NCH1 = 1,
    NCH2 = 2

// CM2PCH
public const
    PCH0 = 0,
    PCH1 = 1,
    PCH2 = 2

// CM1CON0
public const
    SYNC_CM1CON0 = 0,
    C1HYS = 1,
    C1POL = 4,
    OUT_CM1CON0 = 6,
    C1EN = 7

// CM1CON1
public const
    C1INTN = 0,
    C1INTP = 1

// CM1NCH
public const
    C1NCH0 = 0,
    C1NCH1 = 1,
    C1NCH2 = 2

// CM1PCH
public const
    C1PCH0 = 0,
    C1PCH1 = 1,
    C1PCH2 = 2

// CMOUT
public const
    MC1OUT = 0,
    MC2OUT = 1

// CLKRCON
public const
    CLKRDIV0 = 0,
    CLKRDIV1 = 1,
    CLKRDIV2 = 2,
    CLKRDC0 = 3,
    CLKRDC1 = 4,
    CLKREN = 7

// CLKRCLK
public const
    CLKRCLK0 = 0,
    CLKRCLK1 = 1,
    CLKRCLK2 = 2

// CWG1CLK
public const
    CS = 0

// CWG1CLKCON
public const
    CWG1CS = 0

// CWG1ISM
public const
    CWG1ISM0 = 0,
    CWG1ISM1 = 1,
    CWG1ISM2 = 2,
    CWG1ISM3 = 3

// CWG1DBR
public const
    DBR0 = 0,
    DBR1 = 1,
    DBR2 = 2,
    DBR3 = 3,
    DBR4 = 4,
    DBR5 = 5

// CWG1DBF
public const
    DBF0 = 0,
    DBF1 = 1,
    DBF2 = 2,
    DBF3 = 3,
    DBF4 = 4,
    DBF5 = 5

// CWG1CON0
public const
    MODE0 = 0,
    MODE1 = 1,
    MODE2 = 2,
    LD = 6,
    G1EN = 7

// CWG1CON1
public const
    POLA = 0,
    POLB = 1,
    POLC = 2,
    POLD = 3,
    IN = 5

// CWG1AS0
public const
    LSAC0 = 2,
    LSAC1 = 3,
    LSBD0 = 4,
    LSBD1 = 5,
    REN = 6,
    SHUTDOWN = 7

// CWG1AS1
public const
    AS0E = 0,
    AS1E = 1,
    AS2E = 2,
    AS3E = 3,
    AS4E = 4,
    AS5E = 5

// CWG1STR
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    OVRA = 4,
    OVRB = 5,
    OVRC = 6,
    OVRD = 7

// SCANLADRL
public const
    LADR0 = 0,
    LADR1 = 1,
    LADR2 = 2,
    LADR3 = 3,
    LADR4 = 4,
    LADR5 = 5,
    LADR6 = 6,
    LADR7 = 7

// SCANLADRH
public const
    LADR8 = 0,
    LADR9 = 1,
    LADR10 = 2,
    LADR11 = 3,
    LADR12 = 4,
    LADR13 = 5,
    LADR14 = 6,
    LADR15 = 7

// SCANLADRU
public const
    LADR16 = 0,
    LADR17 = 1,
    LADR18 = 2,
    LADR19 = 3,
    LADR20 = 4,
    LADR21 = 5

// SCANHADRL
public const
    HADR0 = 0,
    HADR1 = 1,
    HADR2 = 2,
    HADR3 = 3,
    HADR4 = 4,
    HADR5 = 5,
    HADR6 = 6,
    HADR7 = 7

// SCANHADRH
public const
    HADR8 = 0,
    HADR9 = 1,
    HADR10 = 2,
    HADR11 = 3,
    HADR12 = 4,
    HADR13 = 5,
    HADR14 = 6,
    HADR15 = 7

// SCANHADRU
public const
    HADR16 = 0,
    HADR17 = 1,
    HADR18 = 2,
    HADR19 = 3,
    HADR20 = 4,
    HADR21 = 5

// SCANCON0
public const
    SCANMODE0 = 0,
    SCANMODE1 = 1,
    INTM = 3,
    INVALID = 4,
    BUSY = 5,
    GO_SCANCON0 = 6,
    SCANEN = 7

// SCANTRIG
public const
    TSEL0 = 0,
    TSEL1 = 1,
    TSEL2 = 2,
    TSEL3 = 3

// MDCON0
public const
    MDBIT = 0,
    OPOL = 4,
    OUT_MDCON0 = 5,
    MDEN = 7

// MDCON1
public const
    CLSYNC = 0,
    CLPOL = 1,
    CHSYNC = 4,
    CHPOL = 5

// MDSRC
public const
    SRCS0 = 0,
    SRCS1 = 1,
    SRCS2 = 2,
    SRCS3 = 3

// MDCARL
public const
    CLS0 = 0,
    CLS1 = 1,
    CLS2 = 2

// MDCARH
public const
    CHS0 = 0,
    CHS1 = 1,
    CHS2 = 2

// ADACT
public const
    ADACT0 = 0,
    ADACT1 = 1,
    ADACT2 = 2,
    ADACT3 = 3,
    ADACT4 = 4

// ADCLK
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ADCS3 = 3,
    ADCS4 = 4,
    ADCS5 = 5

// ADREF
public const
    ADPREF0 = 0,
    ADPREF1 = 1,
    ADNREF = 4

// ADCON1
public const
    ADDSEN = 0,
    ADGPOL = 5,
    ADIPEN = 6,
    ADPPOL = 7

// ADCON2
public const
    ADMD0 = 0,
    ADMD1 = 1,
    ADMD2 = 2,
    ADACLR = 3,
    ADCRS0 = 4,
    ADCRS1 = 5,
    ADCRS2 = 6,
    ADPSIS = 7

// ADCON3
public const
    ADTMD0 = 0,
    ADTMD1 = 1,
    ADTMD2 = 2,
    ADSOI = 3,
    ADCALC0 = 4,
    ADCALC1 = 5,
    ADCALC2 = 6

// ADACQ
public const
    ADACQ0 = 0,
    ADACQ1 = 1,
    ADACQ2 = 2,
    ADACQ3 = 3,
    ADACQ4 = 4,
    ADACQ5 = 5,
    ADACQ6 = 6,
    ADACQ7 = 7

// ADCAP
public const
    ADCAP0 = 0,
    ADCAP1 = 1,
    ADCAP2 = 2,
    ADCAP3 = 3,
    ADCAP4 = 4

// ADPRE
public const
    ADPRE0 = 0,
    ADPRE1 = 1,
    ADPRE2 = 2,
    ADPRE3 = 3,
    ADPRE4 = 4,
    ADPRE5 = 5,
    ADPRE6 = 6,
    ADPRE7 = 7

// ADPCH
public const
    ADPCH0 = 0,
    ADPCH1 = 1,
    ADPCH2 = 2,
    ADPCH3 = 3,
    ADPCH4 = 4,
    ADPCH5 = 5

// ADCON0
public const
    ADGO = 0,
    ADFM = 2,
    ADCS = 4,
    ADCONT = 6,
    ADON = 7

// ADPREVL
public const
    ADPREV0 = 0,
    ADPREV1 = 1,
    ADPREV2 = 2,
    ADPREV3 = 3,
    ADPREV4 = 4,
    ADPREV5 = 5,
    ADPREV6 = 6,
    ADPREV7 = 7

// ADPREVH
public const
    ADPREV8 = 0,
    ADPREV9 = 1,
    ADPREV10 = 2,
    ADPREV11 = 3,
    ADPREV12 = 4,
    ADPREV13 = 5,
    ADPREV14 = 6,
    ADPREV15 = 7

// ADRESL
public const
    ADRES0 = 0,
    ADRES1 = 1,
    ADRES2 = 2,
    ADRES3 = 3,
    ADRES4 = 4,
    ADRES5 = 5,
    ADRES6 = 6,
    ADRES7 = 7

// ADRESH
public const
    ADRES8 = 0,
    ADRES9 = 1,
    ADRES10 = 2,
    ADRES11 = 3,
    ADRES12 = 4,
    ADRES13 = 5,
    ADRES14 = 6,
    ADRES15 = 7

// ADSTAT
public const
    ADSTAT0 = 0,
    ADSTAT1 = 1,
    ADSTAT2 = 2,
    ADMATH = 4,
    ADLTHR = 5,
    ADUTHR = 6,
    ADAOV = 7

// ADRPT
public const
    ADRPT0 = 0,
    ADRPT1 = 1,
    ADRPT2 = 2,
    ADRPT3 = 3,
    ADRPT4 = 4,
    ADRPT5 = 5,
    ADRPT6 = 6,
    ADRPT7 = 7

// ADCNT
public const
    ADCNT0 = 0,
    ADCNT1 = 1,
    ADCNT2 = 2,
    ADCNT3 = 3,
    ADCNT4 = 4,
    ADCNT5 = 5,
    ADCNT6 = 6,
    ADCNT7 = 7

// ADSTPTL
public const
    ADSTPT0 = 0,
    ADSTPT1 = 1,
    ADSTPT2 = 2,
    ADSTPT3 = 3,
    ADSTPT4 = 4,
    ADSTPT5 = 5,
    ADSTPT6 = 6,
    ADSTPT7 = 7

// ADSTPTH
public const
    ADSTPT8 = 0,
    ADSTPT9 = 1,
    ADSTPT10 = 2,
    ADSTPT11 = 3,
    ADSTPT12 = 4,
    ADSTPT13 = 5,
    ADSTPT14 = 6,
    ADSTPT15 = 7

// ADLTHL
public const
    ADLTH0 = 0,
    ADLTH1 = 1,
    ADLTH2 = 2,
    ADLTH3 = 3,
    ADLTH4 = 4,
    ADLTH5 = 5,
    ADLTH6 = 6,
    ADLTH7 = 7

// ADLTHH
public const
    ADLTH8 = 0,
    ADLTH9 = 1,
    ADLTH10 = 2,
    ADLTH11 = 3,
    ADLTH12 = 4,
    ADLTH13 = 5,
    ADLTH14 = 6,
    ADLTH15 = 7

// ADUTHL
public const
    ADUTH0 = 0,
    ADUTH1 = 1,
    ADUTH2 = 2,
    ADUTH3 = 3,
    ADUTH4 = 4,
    ADUTH5 = 5,
    ADUTH6 = 6,
    ADUTH7 = 7

// ADUTHH
public const
    ADUTH8 = 0,
    ADUTH9 = 1,
    ADUTH10 = 2,
    ADUTH11 = 3,
    ADUTH12 = 4,
    ADUTH13 = 5,
    ADUTH14 = 6,
    ADUTH15 = 7

// ADERRL
public const
    ADERR0 = 0,
    ADERR1 = 1,
    ADERR2 = 2,
    ADERR3 = 3,
    ADERR4 = 4,
    ADERR5 = 5,
    ADERR6 = 6,
    ADERR7 = 7

// ADERRH
public const
    ADERR8 = 0,
    ADERR9 = 1,
    ADERR10 = 2,
    ADERR11 = 3,
    ADERR12 = 4,
    ADERR13 = 5,
    ADERR14 = 6,
    ADERR15 = 7

// ADACCL
public const
    ADACC0 = 0,
    ADACC1 = 1,
    ADACC2 = 2,
    ADACC3 = 3,
    ADACC4 = 4,
    ADACC5 = 5,
    ADACC6 = 6,
    ADACC7 = 7

// ADACCH
public const
    ADACC8 = 0,
    ADACC9 = 1,
    ADACC10 = 2,
    ADACC11 = 3,
    ADACC12 = 4,
    ADACC13 = 5,
    ADACC14 = 6,
    ADACC15 = 7

// ADFLTRL
public const
    ADFLTR0 = 0,
    ADFLTR1 = 1,
    ADFLTR2 = 2,
    ADFLTR3 = 3,
    ADFLTR4 = 4,
    ADFLTR5 = 5,
    ADFLTR6 = 6,
    ADFLTR7 = 7

// ADFLTRH
public const
    ADFLTR8 = 0,
    ADFLTR9 = 1,
    ADFLTR10 = 2,
    ADFLTR11 = 3,
    ADFLTR12 = 4,
    ADFLTR13 = 5,
    ADFLTR14 = 6,
    ADFLTR15 = 7

// CRCDATL
public const
    DATA0 = 0,
    DATA1 = 1,
    DATA2 = 2,
    DATA3 = 3,
    DATA4 = 4,
    DATA5 = 5,
    DATA6 = 6,
    DATA7 = 7

// CRCDATH
public const
    DATA8 = 0,
    DATA9 = 1,
    DATA10 = 2,
    DATA11 = 3,
    DATA12 = 4,
    DATA13 = 5,
    DATA14 = 6,
    DATA15 = 7

// CRCACCL
public const
    ACC0 = 0,
    ACC1 = 1,
    ACC2 = 2,
    ACC3 = 3,
    ACC4 = 4,
    ACC5 = 5,
    ACC6 = 6,
    ACC7 = 7

// CRCACCH
public const
    ACC8 = 0,
    ACC9 = 1,
    ACC10 = 2,
    ACC11 = 3,
    ACC12 = 4,
    ACC13 = 5,
    ACC14 = 6,
    ACC15 = 7

// CRCSHIFTL
public const
    SHFT0 = 0,
    SHFT1 = 1,
    SHFT2 = 2,
    SHFT3 = 3,
    SHFT4 = 4,
    SHFT5 = 5,
    SHFT6 = 6,
    SHFT7 = 7

// CRCSHIFTH
public const
    SHFT8 = 0,
    SHFT9 = 1,
    SHFT10 = 2,
    SHFT11 = 3,
    SHFT12 = 4,
    SHFT13 = 5,
    SHFT14 = 6,
    SHFT15 = 7

// CRCXORL
public const
    X1 = 1,
    X2 = 2,
    X3 = 3,
    X4 = 4,
    X5 = 5,
    X6 = 6,
    X7 = 7

// CRCXORH
public const
    X8 = 0,
    X9 = 1,
    X10 = 2,
    X11 = 3,
    X12 = 4,
    X13 = 5,
    X14 = 6,
    X15 = 7

// CRCCON0
public const
    FULL = 0,
    SHIFTM = 1,
    ACCM = 4,
    CRCGO = 6,
    CRCEN = 7

// CRCCON1
public const
    PLEN0 = 0,
    PLEN1 = 1,
    PLEN2 = 2,
    PLEN3 = 3,
    DLEN0 = 4,
    DLEN1 = 5,
    DLEN2 = 6,
    DLEN3 = 7

// NVMADRL
public const
    NVMADR0 = 0,
    NVMADR1 = 1,
    NVMADR2 = 2,
    NVMADR3 = 3,
    NVMADR4 = 4,
    NVMADR5 = 5,
    NVMADR6 = 6,
    NVMADR7 = 7

// NVMADRH
public const
    NVMADR8 = 0,
    NVMADR9 = 1,
    NVMADR10 = 2,
    NVMADR11 = 3,
    NVMADR12 = 4,
    NVMADR13 = 5,
    NVMADR14 = 6,
    NVMADR15 = 7

// NVMADRU
public const
    NVMADR16 = 0,
    NVMADR17 = 1,
    NVMADR18 = 2,
    NVMADR19 = 3,
    NVMADR20 = 4,
    NVMADR21 = 5

// NVMDATL
public const
    NVMDAT0 = 0,
    NVMDAT1 = 1,
    NVMDAT2 = 2,
    NVMDAT3 = 3,
    NVMDAT4 = 4,
    NVMDAT5 = 5,
    NVMDAT6 = 6,
    NVMDAT7 = 7

// NVMDATH
public const
    NVMDAT8 = 0,
    NVMDAT9 = 1,
    NVMDAT10 = 2,
    NVMDAT11 = 3,
    NVMDAT12 = 4,
    NVMDAT13 = 5,
    NVMDAT14 = 6,
    NVMDAT15 = 7

// NVMCON0
public const
    NVMERR = 4,
    NVMEN = 7

// NVMCON1
public const
    RD = 0,
    SECRD = 1,
    WR = 4,
    SECWR = 5,
    SECER = 6

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTE
public const
    RE3 = 3

// SSP1MSK
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// SSP1STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSP1CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSP1CON2
public const
    SEN_SSP1CON2 = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSP1CON3
public const
    DHEN = 0,
    AHEN = 1,
    SBCDE = 2,
    SDAHT = 3,
    BOEN = 4,
    SCIE = 5,
    PCIE = 6,
    ACKTIM = 7

// RC1STA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// RCSTA

// RCSTA1

// TX1STA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC_TX1STA = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// TXSTA
public const
    SYNC_TXSTA = 4

// TXSTA1
public const
    SYNC_TXSTA1 = 4

// BAUD1CON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    SCKP = 4,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCON

// BAUDCON1

// BAUDCTL

// BAUDCTL1

// PWM4DCL
public const
    DC0_PWM4DCL = 6,
    DC1_PWM4DCL = 7

// PWM4DCH
public const
    DC2 = 0,
    DC3 = 1,
    DC4 = 2,
    DC5 = 3,
    DC6 = 4,
    DC7 = 5,
    DC8 = 6,
    DC9 = 7

// PWM4CON
public const
    PWM4POL = 4,
    OUT_PWM4CON = 5,
    PWM4EN = 7

// PWM3DCL
public const
    DC0_PWM3DCL = 6,
    DC1_PWM3DCL = 7

// PWM3DCH
public const
    PWM3DC2 = 0,
    PWM3DC3 = 1,
    PWM3DC4 = 2,
    PWM3DC5 = 3,
    PWM3DC6 = 4,
    PWM3DC7 = 5,
    PWM3DC8 = 6,
    PWM3DC9 = 7

// PWM3CON
public const
    PWM3POL = 4,
    OUT_PWM3CON = 5,
    PWM3EN = 7

// CCP2CON
public const
    CCP2MODE0 = 0,
    CCP2MODE1 = 1,
    CCP2MODE2 = 2,
    MODE3 = 3,
    FMT = 4,
    OUT_CCP2CON = 5,
    CCP2EN = 7

// CCP2CAP
public const
    CTS0 = 0,
    CTS1 = 1

// CCP1CON
public const
    CCP1MODE0 = 0,
    CCP1MODE1 = 1,
    CCP1MODE2 = 2,
    CCP1MODE3 = 3,
    CCP1FMT = 4,
    OUT_CCP1CON = 5,
    CCP1EN = 7

// CCP1CAP
public const
    CCP1CTS0 = 0,
    CCP1CTS1 = 1

// CCPTMRS
public const
    C1TSEL0 = 0,
    C1TSEL1 = 1,
    C2TSEL0 = 2,
    C2TSEL1 = 3,
    P3TSEL0 = 4,
    P3TSEL1 = 5,
    P4TSEL0 = 6,
    P4TSEL1 = 7

// T6CON
public const
    T6OUTPS0 = 0,
    T6OUTPS1 = 1,
    T6OUTPS2 = 2,
    T6OUTPS3 = 3,
    T6CKPS0 = 4,
    T6CKPS1 = 5,
    T6CKPS2 = 6,
    ON_T6CON = 7

// T6HLT
public const
    T6MODE0 = 0,
    T6MODE1 = 1,
    T6MODE2 = 2,
    T6MODE3 = 3,
    MODE4 = 4,
    CKSYNC = 5,
    CKPOL = 6,
    PSYNC = 7

// T6CLK
public const
    CS0 = 0,
    CS1 = 1,
    CS2 = 2,
    CS3 = 3

// T6CLKCON
public const
    T6CS0 = 0,
    T6CS1 = 1,
    T6CS2 = 2,
    T6CS3 = 3

// T6RST
public const
    RSEL0 = 0,
    RSEL1 = 1,
    RSEL2 = 2,
    RSEL3 = 3

// T4CON
public const
    T4OUTPS0 = 0,
    T4OUTPS1 = 1,
    T4OUTPS2 = 2,
    T4OUTPS3 = 3,
    T4CKPS0 = 4,
    T4CKPS1 = 5,
    T4CKPS2 = 6,
    ON_T4CON = 7

// T4HLT
public const
    T4MODE0 = 0,
    T4MODE1 = 1,
    T4MODE2 = 2,
    T4MODE3 = 3,
    T4MODE4 = 4,
    T4CKSYNC = 5,
    T4CKPOL = 6,
    T4PSYNC = 7

// T4CLK
public const
    T4CS0 = 0,
    T4CS1 = 1,
    T4CS2 = 2,
    T4CS3 = 3

// T4CLKCON

// T4RST
public const
    T4RSEL0 = 0,
    T4RSEL1 = 1,
    T4RSEL2 = 2,
    T4RSEL3 = 3

// T2CON
public const
    T2OUTPS0 = 0,
    T2OUTPS1 = 1,
    T2OUTPS2 = 2,
    T2OUTPS3 = 3,
    T2CKPS0 = 4,
    T2CKPS1 = 5,
    T2CKPS2 = 6,
    ON_T2CON = 7

// T2HLT
public const
    T2MODE0 = 0,
    T2MODE1 = 1,
    T2MODE2 = 2,
    T2MODE3 = 3,
    T2MODE4 = 4,
    T2CKSYNC = 5,
    T2CKPOL = 6,
    T2PSYNC = 7

// T2CLK
public const
    T2CS0 = 0,
    T2CS1 = 1,
    T2CS2 = 2,
    T2CS3 = 3

// T2CLKCON

// T2RST
public const
    T2RSEL0 = 0,
    T2RSEL1 = 1,
    T2RSEL2 = 2,
    T2RSEL3 = 3

// TMR5L
public const
    TMR5L0 = 0,
    TMR5L1 = 1,
    TMR5L2 = 2,
    TMR5L3 = 3,
    TMR5L4 = 4,
    TMR5L5 = 5,
    TMR5L6 = 6,
    TMR5L7 = 7

// TMR5H
public const
    TMR5H0 = 0,
    TMR5H1 = 1,
    TMR5H2 = 2,
    TMR5H3 = 3,
    TMR5H4 = 4,
    TMR5H5 = 5,
    TMR5H6 = 6,
    TMR5H7 = 7

// T5CON
public const
    ON_T5CON = 0,
    RD16 = 1,
    _SYNC = 2,
    T5CKPS0 = 4,
    T5CKPS1 = 5

// PR5
public const
    GVAL = 2,
    GGO_DONE = 3,
    GSPM = 4,
    GTM = 5,
    GPOL = 6,
    GE = 7

// T5GCON
public const
    T5GVAL = 2,
    T5GGO_DONE = 3,
    T5GSPM = 4,
    T5GTM = 5,
    T5GPOL = 6,
    T5GE = 7

// T5GATE
public const
    GSS0 = 0,
    GSS1 = 1,
    GSS2 = 2,
    GSS3 = 3

// TMR5GATE
public const
    T5GSS0 = 0,
    T5GSS1 = 1,
    T5GSS2 = 2,
    T5GSS3 = 3

// T5CLK
public const
    T5CS0 = 0,
    T5CS1 = 1,
    T5CS2 = 2,
    T5CS3 = 3

// TMR5CLK

// TMR3L
public const
    TMR3L0 = 0,
    TMR3L1 = 1,
    TMR3L2 = 2,
    TMR3L3 = 3,
    TMR3L4 = 4,
    TMR3L5 = 5,
    TMR3L6 = 6,
    TMR3L7 = 7

// TMR3H
public const
    TMR3H0 = 0,
    TMR3H1 = 1,
    TMR3H2 = 2,
    TMR3H3 = 3,
    TMR3H4 = 4,
    TMR3H5 = 5,
    TMR3H6 = 6,
    TMR3H7 = 7

// T3CON
public const
    ON_T3CON = 0,
    T3RD16 = 1,
    _T3SYNC = 2,
    T3CKPS0 = 4,
    T3CKPS1 = 5

// PR3
public const
    T3GVAL = 2,
    T3GGO_DONE = 3,
    T3GSPM = 4,
    T3GTM = 5,
    T3GPOL = 6,
    T3GE = 7

// T3GCON
public const
    T3GGO = 3

// T3GATE
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GSS2 = 2,
    T3GSS3 = 3

// TMR3GATE

// T3CLK
public const
    T3CS0 = 0,
    T3CS1 = 1,
    T3CS2 = 2,
    T3CS3 = 3

// TMR3CLK

// TMR1L
public const
    TMR1L0 = 0,
    TMR1L1 = 1,
    TMR1L2 = 2,
    TMR1L3 = 3,
    TMR1L4 = 4,
    TMR1L5 = 5,
    TMR1L6 = 6,
    TMR1L7 = 7

// TMR1H
public const
    TMR1H0 = 0,
    TMR1H1 = 1,
    TMR1H2 = 2,
    TMR1H3 = 3,
    TMR1H4 = 4,
    TMR1H5 = 5,
    TMR1H6 = 6,
    TMR1H7 = 7

// T1CON
public const
    ON_T1CON = 0,
    T1RD16 = 1,
    _T1SYNC = 2,
    T1CKPS0 = 4,
    T1CKPS1 = 5

// PR1
public const
    T1GVAL = 2,
    T1GGO_DONE = 3,
    T1GSPM = 4,
    T1GTM = 5,
    T1GPOL = 6,
    T1GE = 7

// T1GCON
public const
    T1GGO = 3

// T1GATE
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GSS2 = 2,
    T1GSS3 = 3

// TMR1GATE

// T1CLK
public const
    T1CS0 = 0,
    T1CS1 = 1,
    T1CS2 = 2,
    T1CS3 = 3

// TMR1CLK

// TMR0
public const
    TMR0L0 = 0,
    TMR0L1 = 1,
    TMR0L2 = 2,
    TMR0L3 = 3,
    TMR0L4 = 4,
    TMR0L5 = 5,
    TMR0L6 = 6,
    TMR0L7 = 7

// TMR0L

// PR0
public const
    TMR0H0 = 0,
    TMR0H1 = 1,
    TMR0H2 = 2,
    TMR0H3 = 3,
    TMR0H4 = 4,
    TMR0H5 = 5,
    TMR0H6 = 6,
    TMR0H7 = 7

// TMR0H
public const
    T0PR0 = 0,
    T0PR1 = 1,
    T0PR2 = 2,
    T0PR3 = 3,
    T0PR4 = 4,
    T0PR5 = 5,
    T0PR6 = 6,
    T0PR7 = 7

// T0CON0
public const
    T0OUTPS0 = 0,
    T0OUTPS1 = 1,
    T0OUTPS2 = 2,
    T0OUTPS3 = 3,
    T016BIT = 4,
    T0OUT = 5,
    T0EN = 7

// T0CON1
public const
    T0CKPS0 = 0,
    T0CKPS1 = 1,
    T0CKPS2 = 2,
    T0CKPS3 = 3,
    T0ASYNC = 4,
    T0CS0 = 5,
    T0CS1 = 6,
    T0CS2 = 7

// PCON1
public const
    RCM = 0,
    RVREG = 2

// PCON0
public const
    _BOR = 0,
    _POR = 1,
    _RI = 2,
    _RMCLR = 3,
    _RWDT = 4,
    _WDTWV = 5,
    STKUNF = 6,
    STKOVF = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4,
    _PD = 5,
    _TO = 6

// INTCON
public const
    INT0EDG = 0,
    INT1EDG = 1,
    INT2EDG = 2,
    IPEN = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKPTR5 = 5

end module
