//
//****************************************************************
// Name: P18F67J50.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F67J50


// PMSTATL
public const
    OB0E = 0,
    OB1E = 1,
    OB2E = 2,
    OB3E = 3,
    OBUF = 6,
    OBE = 7

// PMSTATH
public const
    IB0F = 0,
    IB1F = 1,
    IB2F = 2,
    IB3F = 3,
    IBOV = 6,
    IBF = 7

// PMEL
public const
    PTEN0 = 0,
    PTEN1 = 1,
    PTEN2 = 2,
    PTEN3 = 3,
    PTEN4 = 4,
    PTEN5 = 5,
    PTEN6 = 6,
    PTEN7 = 7

// PMEH
public const
    PTEN8 = 0,
    PTEN9 = 1,
    PTEN10 = 2,
    PTEN11 = 3,
    PTEN12 = 4,
    PTEN13 = 5,
    PTEN14 = 6,
    PTEN15 = 7

// PMMODEL
public const
    WAITE0 = 0,
    WAITE1 = 1,
    WAITM0 = 2,
    WAITM1 = 3,
    WAITM2 = 4,
    WAITM3 = 5,
    WAITB0 = 6,
    WAITB1 = 7

// PMMODEH
public const
    MODE0 = 0,
    MODE1 = 1,
    MODE16 = 2,
    INCM0 = 3,
    INCM1 = 4,
    IRQM0 = 5,
    IRQM1 = 6,
    BUSY = 7

// PMCONL
public const
    RDSP = 0,
    WRSP = 1,
    BEP = 2,
    CS1P = 3,
    CS2P = 4,
    ALP = 5,
    CSF0 = 6,
    CSF1 = 7

// PMCONH
public const
    PTRDEN = 0,
    PTWREN = 1,
    PTBEEN = 2,
    ADRMUX0 = 3,
    ADRMUX1 = 4,
    PSIDL = 5,
    PMPEN = 7

// UEP0
public const
    EPSTALL = 0,
    EPINEN = 1,
    EPOUTEN = 2,
    EPCONDIS = 3,
    EPHSHK = 4

// UEP1

// UEP2

// UEP3

// UEP4

// UEP5

// UEP6

// UEP7

// UEP8

// UEP9

// UEP10

// UEP11

// UEP12

// UEP13

// UEP14

// UEP15

// UIE
public const
    URSTIE = 0,
    UERRIE = 1,
    ACTVIE = 2,
    TRNIE = 3,
    IDLEIE = 4,
    STALLIE = 5,
    SOFIE = 6

// UEIE
public const
    PIDEE = 0,
    CRC5EE = 1,
    CRC16EE = 2,
    DFN8EE = 3,
    BTOEE = 4,
    BTSEE = 7

// UADDR
public const
    ADDR0 = 0,
    ADDR1 = 1,
    ADDR2 = 2,
    ADDR3 = 3,
    ADDR4 = 4,
    ADDR5 = 5,
    ADDR6 = 6

// UCFG
public const
    PPB0 = 0,
    PPB1 = 1,
    FSEN = 2,
    UTRDIS = 3,
    UPUEN = 4,
    UOEMON = 6,
    UTEYE = 7

// UFRML
public const
    FRM0 = 0,
    FRM1 = 1,
    FRM2 = 2,
    FRM3 = 3,
    FRM4 = 4,
    FRM5 = 5,
    FRM6 = 6,
    FRM7 = 7

// UFRMH
public const
    FRM8 = 0,
    FRM9 = 1,
    FRM10 = 2

// UIR
public const
    URSTIF = 0,
    UERRIF = 1,
    ACTVIF = 2,
    TRNIF = 3,
    IDLEIF = 4,
    STALLIF = 5,
    SOFIF = 6

// UEIR
public const
    PIDEF = 0,
    CRC5EF = 1,
    CRC16EF = 2,
    DFN8EF = 3,
    BTOEF = 4,
    BTSEF = 7

// USTAT
public const
    PPBI = 1,
    DIR = 2,
    ENDP0 = 3,
    ENDP1 = 4,
    ENDP2 = 5,
    ENDP3 = 6

// UCON
public const
    SUSPND = 1,
    RESUME = 2,
    USBEN = 3,
    PKTDIS = 4,
    SE0 = 5,
    PPBRST = 6

// PMADDRH
public const
    CS1 = 6,
    CS2 = 7

// CMSTAT
public const
    COUT1 = 0,
    COUT2 = 1

// CMSTATUS

// SSP2CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSP2CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSP2STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSP2MSK
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// CCP5CON
public const
    CCP5M0 = 0,
    CCP5M1 = 1,
    CCP5M2 = 2,
    CCP5M3 = 3,
    DC5B0 = 4,
    DC5B1 = 5

// CCP4CON
public const
    CCP4M0 = 0,
    CCP4M1 = 1,
    CCP4M2 = 2,
    CCP4M3 = 3,
    DC4B0 = 4,
    DC4B1 = 5

// T4CON
public const
    T4CKPS0 = 0,
    T4CKPS1 = 1,
    TMR4ON = 2,
    T4OUTPS0 = 3,
    T4OUTPS1 = 4,
    T4OUTPS2 = 5,
    T4OUTPS3 = 6

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVROE = 6,
    CVREN = 7

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    T3CCP2 = 6,
    RD16 = 7

// BAUDCON2
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCON
public const
    SCKP = 4,
    DTRXP = 5,
    RCMT = 6

// BAUDCON1

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5,
    RE6 = 6,
    RE7 = 7

// PORTF
public const
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG0 = 0,
    RG1 = 1,
    RG2 = 2,
    RG3 = 3,
    RG4 = 4,
    REPU = 6,
    RDPU = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5,
    LATE6 = 6,
    LATE7 = 7

// LATF
public const
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG0 = 0,
    LATG1 = 1,
    LATG2 = 2,
    LATG3 = 3,
    LATG4 = 4

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// DDRD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISD

// DDRE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5,
    TRISE6 = 6,
    TRISE7 = 7

// TRISE

// DDRF
public const
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISF

// DDRG
public const
    TRISG0 = 0,
    TRISG1 = 1,
    TRISG2 = 2,
    TRISG3 = 3,
    TRISG4 = 4

// TRISG

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    PLLEN = 6,
    INTSRC = 7

// RCSTA2
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSP1IE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6,
    PMPIE = 7

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSP1IF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6,
    PMPIF = 7

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSP1IP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6,
    PMPIP = 7

// PIE2
public const
    CCP2IE = 0,
    TMR3IE = 1,
    LVDIE = 2,
    BCL1IE = 3,
    USBIE = 4,
    CM1IE = 5,
    CM2IE = 6,
    OSCFIE = 7

// PIR2
public const
    CCP2IF = 0,
    TMR3IF = 1,
    LVDIF = 2,
    BCL1IF = 3,
    USBIF = 4,
    CM1IF = 5,
    CM2IF = 6,
    OSCFIF = 7

// IPR2
public const
    CCP2IP = 0,
    TMR3IP = 1,
    LVDIP = 2,
    BCL1IP = 3,
    USBIP = 4,
    CM1IP = 5,
    CM2IP = 6,
    OSCFIP = 7

// PIE3
public const
    CCP3IE = 0,
    CCP4IE = 1,
    CCP5IE = 2,
    TMR4IE = 3,
    TX2IE = 4,
    RC2IE = 5,
    BCL2IE = 6,
    SSP2IE = 7

// PIR3
public const
    CCP3IF = 0,
    CCP4IF = 1,
    CCP5IF = 2,
    TMR4IF = 3,
    TX2IF = 4,
    RC2IF = 5,
    BCL2IF = 6,
    SSP2IF = 7

// IPR3
public const
    CCP3IP = 0,
    CCP4IP = 1,
    CCP5IP = 2,
    TMR4IP = 3,
    TX2IP = 4,
    RC2IP = 5,
    BCL2IP = 6,
    SSP2IP = 7

// EECON1
public const
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    WPROG = 5

// TXSTA2
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// RCSTA
public const
    RCD8 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADDEN1 = 3,
    CREN1 = 4,
    SREN1 = 5,
    RC9 = 6,
    SPEN1 = 7

// RCSTA1
public const
    RX9D1 = 0,
    _RC8 = 6

// TXSTA
public const
    TXD8 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB1 = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX8_9 = 6,
    CSRC1 = 7

// TXSTA1
public const
    TX9D1 = 0,
    _TX8 = 6

// CCP3CON
public const
    CCP3M0 = 0,
    CCP3M1 = 1,
    CCP3M2 = 2,
    CCP3M3 = 3,
    DC3B0 = 4,
    DC3B1 = 5,
    P3M0 = 6,
    P3M1 = 7

// ECCP3CON
public const
    CCP3Y = 4,
    CCP3X = 5

// ECCP3DEL
public const
    PDC0 = 0,
    PDC1 = 1,
    PDC2 = 2,
    PDC3 = 3,
    PDC4 = 4,
    PDC5 = 5,
    PDC6 = 6,
    PRSEN = 7

// ECCP3AS
public const
    PSSBD0 = 0,
    PSSBD1 = 1,
    PSSAC0 = 2,
    PSSAC1 = 3,
    ECCPAS0 = 4,
    ECCPAS1 = 5,
    ECCPAS2 = 6,
    ECCPASE = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5,
    P2M0 = 6,
    P2M1 = 7

// ECCP2CON
public const
    CCP2Y = 4,
    CCP2X = 5

// ECCP2DEL
public const
    P2DC0 = 0,
    P2DC1 = 1,
    P2DC2 = 2,
    P2DC3 = 3,
    P2DC4 = 4,
    P2DC5 = 5,
    P2DC6 = 6,
    P2RSEN = 7

// ECCP2AS
public const
    PSS2BD0 = 0,
    PSS2BD1 = 1,
    PSS2AC0 = 2,
    PSS2AC1 = 3,
    ECCP2AS0 = 4,
    ECCP2AS1 = 5,
    ECCP2AS2 = 6,
    ECCP2ASE = 7

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ECCP1CON
public const
    CCP1Y = 4,
    CCP1X = 5

// ECCP1DEL
public const
    P1DC0 = 0,
    P1DC1 = 1,
    P1DC2 = 2,
    P1DC3 = 3,
    P1DC4 = 4,
    P1DC5 = 5,
    P1DC6 = 6,
    P1RSEN = 7

// ECCP1AS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCP1AS0 = 4,
    ECCP1AS1 = 5,
    ECCP1AS2 = 6,
    ECCP1ASE = 7

// WDTCON
public const
    SWDTEN = 0,
    ADSHR = 4,
    LVDSTAT = 6,
    REGSLP = 7

// ADCON1
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADCAL = 6,
    ADFM = 7

// ANCON0
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    PCFG4 = 4,
    PCFG7 = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    VCFG0 = 6,
    VCFG1 = 7

// ANCON1
public const
    PCFG10 = 2,
    PCFG11 = 3,
    PCFG12 = 4,
    PCFG13 = 5,
    PCFG14 = 6,
    PCFG15 = 7

// SSP1CON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSPCON2

// SSP1CON1

// SSPCON1

// SSP1STAT
public const
    I2C_READ = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    I2C_DAT = 5

// SSPSTAT
public const
    _W = 2,
    _A = 5

// SSP1MSK

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// PADCFG1
public const
    PMPTL = 0

// ODCON3
public const
    SPI1OD = 0,
    SPI2OD = 1

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6

// ODCON2
public const
    USART1OD = 0,
    USART2OD = 1

// ODCON1
public const
    ECCP1OD = 0,
    ECCP2OD = 1,
    ECCP3OD = 2,
    CCP4OD = 3,
    CCP5OD = 4

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    IPEN = 7

// CM2CON
public const
    C1CH0 = 0,
    C1CH1 = 1,
    CREF = 2,
    EVPOL0 = 3,
    EVPOL1 = 4,
    CPOL = 5,
    COE = 6,
    CON = 7

// CM2CON1
public const
    CCH0 = 0,
    CCH1 = 1,
    CREF2 = 2,
    EVPOL02 = 3,
    EVPOL12 = 4,
    CPOL2 = 5,
    COE2 = 6,
    CON2 = 7

// CM1CON

// CM1CON1

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// REFOCON
public const
    RODIV0 = 0,
    RODIV1 = 1,
    RODIV2 = 2,
    RODIV3 = 3,
    ROSEL = 4,
    ROSSLP = 5,
    ROON = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
