//
//****************************************************************
// Name: P18F67J94.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F67J94


// UEP0
public const
    EPSTALL = 0,
    EPINEN = 1,
    EPOUTEN = 2,
    EPCONDIS = 3,
    EPHSHK = 4

// UEP1

// UEP2

// UEP3

// UEP4

// UEP5

// UEP6

// UEP7

// UEP8

// UEP9

// UEP10

// UEP11

// UEP12

// UEP13

// UEP14

// UEP15

// UEIE
public const
    PIDEE = 0,
    CRC5EE = 1,
    CRC16EE = 2,
    DFN8EE = 3,
    BTOEE = 4,
    BTSEE = 7

// UIE
public const
    URSTIE = 0,
    UERRIE = 1,
    ACTVIE = 2,
    TRNIE = 3,
    IDLEIE = 4,
    STALLIE = 5,
    SOFIE = 6

// UCFG
public const
    PPB0 = 0,
    PPB1 = 1,
    FSEN = 2,
    UTRDIS = 3,
    UPUEN = 4,
    UOEMON = 6,
    UTEYE = 7

// RPOR0_1
public const
    RPO0R0 = 0,
    RPO0R1 = 1,
    RPO0R2 = 2,
    RPO0R3 = 3,
    RPO1R0 = 4,
    RPO1R1 = 5,
    RPO1R2 = 6,
    RPO1R3 = 7

// RPOR2_3
public const
    RPO2R0 = 0,
    RPO2R1 = 1,
    RPO2R2 = 2,
    RPO2R3 = 3,
    RPO3R0 = 4,
    RPO3R1 = 5,
    RPO3R2 = 6,
    RPO3R3 = 7

// RPOR4_5
public const
    RPO4R0 = 0,
    RPO4R1 = 1,
    RPO4R2 = 2,
    RPO4R3 = 3,
    RPO5R0 = 4,
    RPO5R1 = 5,
    RPO5R2 = 6,
    RPO5R3 = 7

// RPOR6_7
public const
    RPO6R0 = 0,
    RPO6R1 = 1,
    RPO6R2 = 2,
    RPO6R3 = 3,
    RPO7R0 = 4,
    RPO7R1 = 5,
    RPO7R2 = 6,
    RPO7R3 = 7

// RPOR8_9
public const
    RPO8R0 = 0,
    RPO8R1 = 1,
    RPO8R2 = 2,
    RPO8R3 = 3,
    RPO9R0 = 4,
    RPO9R1 = 5,
    RPO9R2 = 6,
    RPO9R3 = 7

// RPOR10_11
public const
    RPO10R0 = 0,
    RPO10R1 = 1,
    RPO10R2 = 2,
    RPO10R3 = 3,
    RPO11R0 = 4,
    RPO11R1 = 5,
    RPO11R2 = 6,
    RPO11R3 = 7

// RPOR12_13
public const
    RPO12R0 = 0,
    RPO12R1 = 1,
    RPO12R2 = 2,
    RPO12R3 = 3,
    RPO13R0 = 4,
    RPO13R1 = 5,
    RPO13R2 = 6,
    RPO13R3 = 7

// RPOR14_15
public const
    RPO14R0 = 0,
    RPO14R1 = 1,
    RPO14R2 = 2,
    RPO14R3 = 3,
    RPO15R0 = 4,
    RPO15R1 = 5,
    RPO15R2 = 6,
    RPO15R3 = 7

// RPOR16_17
public const
    RPO16R0 = 0,
    RPO16R1 = 1,
    RPO16R2 = 2,
    RPO16R3 = 3,
    RPO17R0 = 4,
    RPO17R1 = 5,
    RPO17R2 = 6,
    RPO17R3 = 7

// RPOR18_19
public const
    RPO18R0 = 0,
    RPO18R1 = 1,
    RPO18R2 = 2,
    RPO18R3 = 3,
    RPO19R0 = 4,
    RPO19R1 = 5,
    RPO19R2 = 6,
    RPO19R3 = 7

// RPOR20_21
public const
    RPO20R0 = 0,
    RPO20R1 = 1,
    RPO20R2 = 2,
    RPO20R3 = 3,
    RPO21R0 = 4,
    RPO21R1 = 5,
    RPO21R2 = 6,
    RPO21R3 = 7

// RPOR22_23
public const
    RPO22R0 = 0,
    RPO22R1 = 1,
    RPO22R2 = 2,
    RPO22R3 = 3,
    RPO23R0 = 4,
    RPO23R1 = 5,
    RPO23R2 = 6,
    RPO23R3 = 7

// RPOR24_25
public const
    RPO24R0 = 0,
    RPO24R1 = 1,
    RPO24R2 = 2,
    RPO24R3 = 3,
    RPO25R0 = 4,
    RPO25R1 = 5,
    RPO25R2 = 6,
    RPO25R3 = 7

// RPOR26_27
public const
    RPO26R0 = 0,
    RPO26R1 = 1,
    RPO26R2 = 2,
    RPO26R3 = 3,
    RPO27R0 = 4,
    RPO27R1 = 5,
    RPO27R2 = 6,
    RPO27R3 = 7

// RPOR28_29
public const
    RPO28R0 = 0,
    RPO28R1 = 1,
    RPO28R2 = 2,
    RPO28R3 = 3,
    RPO29R0 = 4,
    RPO29R1 = 5,
    RPO29R2 = 6,
    RPO29R3 = 7

// RPOR30_31
public const
    RPO30R0 = 0,
    RPO30R1 = 1,
    RPO30R2 = 2,
    RPO30R3 = 3,
    RPO31R0 = 4,
    RPO31R1 = 5,
    RPO31R2 = 6,
    RPO31R3 = 7

// RPOR32_33
public const
    RPO32R0 = 0,
    RPO32R1 = 1,
    RPO32R2 = 2,
    RPO32R3 = 3,
    RPO33R0 = 4,
    RPO33R1 = 5,
    RPO33R2 = 6,
    RPO33R3 = 7

// RPOR34_35
public const
    RPO34R0 = 0,
    RPO34R1 = 1,
    RPO34R2 = 2,
    RPO34R3 = 3,
    RPO35R0 = 4,
    RPO35R1 = 5,
    RPO35R2 = 6,
    RPO35R3 = 7

// RPOR36_37
public const
    RPO36R0 = 0,
    RPO36R1 = 1,
    RPO36R2 = 2,
    RPO36R3 = 3,
    RPO37R0 = 4,
    RPO37R1 = 5,
    RPO37R2 = 6,
    RPO37R3 = 7

// RPOR38_39
public const
    RPO38R0 = 0,
    RPO38R1 = 1,
    RPO38R2 = 2,
    RPO38R3 = 3,
    RPO39R0 = 4,
    RPO39R1 = 5,
    RPO39R2 = 6,
    RPO39R3 = 7

// RPOR40_41
public const
    RPO40R0 = 0,
    RPO40R1 = 1,
    RPO40R2 = 2,
    RPO40R3 = 3,
    RPO41R0 = 4,
    RPO41R1 = 5,
    RPO41R2 = 6,
    RPO41R3 = 7

// RPOR42_43
public const
    RPO42R0 = 0,
    RPO42R1 = 1,
    RPO42R2 = 2,
    RPO42R3 = 3,
    RPO43R0 = 4,
    RPO43R1 = 5,
    RPO43R2 = 6,
    RPO43R3 = 7

// RPOR44_45
public const
    RPO44R0 = 0,
    RPO44R1 = 1,
    RPO44R2 = 2,
    RPO44R3 = 3,
    RPO45R0 = 4,
    RPO45R1 = 5,
    RPO45R2 = 6,
    RPO45R3 = 7

// RPOR46
public const
    RPO46R0 = 0,
    RPO46R1 = 1,
    RPO46R2 = 2,
    RPO46R3 = 3

// RPINR0_1
public const
    U1RXR0 = 0,
    U1RXR1 = 1,
    U1RXR2 = 2,
    U1RXR3 = 3,
    U1TXR0 = 4,
    U1TXR1 = 5,
    U1TXR2 = 6,
    U1TXR3 = 7

// RPINR2_3
public const
    U2RXR0 = 0,
    U2RXR1 = 1,
    U2RXR2 = 2,
    U2RXR3 = 3,
    U2TXR0 = 4,
    U2TXR1 = 5,
    U2TXR2 = 6,
    U2TXR3 = 7

// RPINR4_5
public const
    U3RXR0 = 0,
    U3RXR1 = 1,
    U3RXR2 = 2,
    U3RXR3 = 3,
    U3TXR0 = 4,
    U3TXR1 = 5,
    U3TXR2 = 6,
    U3TXR3 = 7

// RPINR6_7
public const
    U4RXR0 = 0,
    U4RXR1 = 1,
    U4RXR2 = 2,
    U4RXR3 = 3,
    U4TXR0 = 4,
    U4TXR1 = 5,
    U4TXR2 = 6,
    U4TXR3 = 7

// RPINR8_9
public const
    SCK1R0 = 0,
    SCK1R1 = 1,
    SCK1R2 = 2,
    SCK1R3 = 3,
    SDI1R0 = 4,
    SDI1R1 = 5,
    SDI1R2 = 6,
    SDI1R3 = 7

// RPINR10_11
public const
    SS1R0 = 0,
    SS1R1 = 1,
    SS1R2 = 2,
    SS1R3 = 3,
    SCK2R0 = 4,
    SCK2R1 = 5,
    SCK2R2 = 6,
    SCK2R3 = 7

// RPINR12_13
public const
    SDI2R0 = 0,
    SDI2R1 = 1,
    SDI2R2 = 2,
    SDI2R3 = 3,
    SS2R0 = 4,
    SS2R1 = 5,
    SS2R2 = 6,
    SS2R3 = 7

// RPINR14_15
public const
    FLT0R0 = 0,
    FLT0R1 = 1,
    FLT0R2 = 2,
    FLT0R3 = 3,
    ECCP1R0 = 4,
    ECCP1R1 = 5,
    ECCP1R2 = 6,
    ECCP1R3 = 7

// RPINR16_17
public const
    ECCP2R0 = 0,
    ECCP2R1 = 1,
    ECCP2R2 = 2,
    ECCP2R3 = 3,
    ECCP3R0 = 4,
    ECCP3R1 = 5,
    ECCP3R2 = 6,
    ECCP3R3 = 7

// RPINR18_19
public const
    IOC0R0 = 0,
    IOC0R1 = 1,
    IOC0R2 = 2,
    IOC0R3 = 3,
    IOC1R0 = 4,
    IOC1R1 = 5,
    IOC1R2 = 6,
    IOC1R3 = 7

// RPINR20_21
public const
    IOC2R0 = 0,
    IOC2R1 = 1,
    IOC2R2 = 2,
    IOC2R3 = 3,
    IOC3R0 = 4,
    IOC3R1 = 5,
    IOC3R2 = 6,
    IOC3R3 = 7

// RPINR22_23
public const
    IOC4R0 = 0,
    IOC4R1 = 1,
    IOC4R2 = 2,
    IOC4R3 = 3,
    IOC5R0 = 4,
    IOC5R1 = 5,
    IOC5R2 = 6,
    IOC5R3 = 7

// RPINR24_25
public const
    IOC6R0 = 0,
    IOC6R1 = 1,
    IOC6R2 = 2,
    IOC6R3 = 3,
    IOC7R0 = 4,
    IOC7R1 = 5,
    IOC7R2 = 6,
    IOC7R3 = 7

// RPINR26_27
public const
    INT1R0 = 0,
    INT1R1 = 1,
    INT1R2 = 2,
    INT1R3 = 3,
    INT2R0 = 4,
    INT2R1 = 5,
    INT2R2 = 6,
    INT2R3 = 7

// RPINR28_29
public const
    INT3R0 = 0,
    INT3R1 = 1,
    INT3R2 = 2,
    INT3R3 = 3,
    MDMINR0 = 4,
    MDMINR1 = 5,
    MDMINR2 = 6,
    MDMINR3 = 7

// RPINR30_31
public const
    MDCIN1R0 = 0,
    MDCIN1R1 = 1,
    MDCIN1R2 = 2,
    MDCIN1R3 = 3,
    MDCIN2R0 = 4,
    MDCIN2R1 = 5,
    MDCIN2R2 = 6,
    MDCIN2R3 = 7

// RPINR32_33
public const
    CCP4R0 = 0,
    CCP4R1 = 1,
    CCP4R2 = 2,
    CCP4R3 = 3,
    CCP5R0 = 4,
    CCP5R1 = 5,
    CCP5R2 = 6,
    CCP5R3 = 7

// RPINR34_35
public const
    CCP6R0 = 0,
    CCP6R1 = 1,
    CCP6R2 = 2,
    CCP6R3 = 3,
    CCP7R0 = 4,
    CCP7R1 = 5,
    CCP7R2 = 6,
    CCP7R3 = 7

// RPINR36_37
public const
    CCP8R0 = 0,
    CCP8R1 = 1,
    CCP8R2 = 2,
    CCP8R3 = 3,
    CCP9R0 = 4,
    CCP9R1 = 5,
    CCP9R2 = 6,
    CCP9R3 = 7

// RPINR38_39
public const
    CCP10R0 = 0,
    CCP10R1 = 1,
    CCP10R2 = 2,
    CCP10R3 = 3,
    T0CKIR0 = 4,
    T0CKIR1 = 5,
    T0CKIR2 = 6,
    T0CKIR3 = 7

// RPINR40_41
public const
    T1GR0 = 0,
    T1GR1 = 1,
    T1GR2 = 2,
    T1GR3 = 3,
    T1CKIR0 = 4,
    T1CKIR1 = 5,
    T1CKIR2 = 6,
    T1CKIR3 = 7

// RPINR42_43
public const
    T3GR0 = 0,
    T3GR1 = 1,
    T3GR2 = 2,
    T3GR3 = 3,
    T3CKIR0 = 4,
    T3CKIR1 = 5,
    T3CKIR2 = 6,
    T3CKIR3 = 7

// RPINR44_45
public const
    T5GR0 = 0,
    T5GR1 = 1,
    T5GR2 = 2,
    T5GR3 = 3,
    T5CKIR0 = 4,
    T5CKIR1 = 5,
    T5CKIR2 = 6,
    T5CKIR3 = 7

// RPINR46_47
public const
    PBIO0R0 = 0,
    PBIO0R1 = 1,
    PBIO0R2 = 2,
    PBIO0R3 = 3,
    PBIO1R0 = 4,
    PBIO1R1 = 5,
    PBIO1R2 = 6,
    PBIO1R3 = 7

// RPINR48_49
public const
    PBIO2R0 = 0,
    PBIO2R1 = 1,
    PBIO2R2 = 2,
    PBIO2R3 = 3,
    PBIO3R0 = 4,
    PBIO3R1 = 5,
    PBIO3R2 = 6,
    PBIO3R3 = 7

// RPINR50_51
public const
    PBIO4R0 = 0,
    PBIO4R1 = 1,
    PBIO4R2 = 2,
    PBIO4R3 = 3,
    PBIO5R0 = 4,
    PBIO5R1 = 5,
    PBIO5R2 = 6,
    PBIO5R3 = 7

// RPINR52_53
public const
    PBIO6R0 = 0,
    PBIO6R1 = 1,
    PBIO6R2 = 2,
    PBIO6R3 = 3,
    PBIO7R0 = 4,
    PBIO7R1 = 5,
    PBIO7R2 = 6,
    PBIO7R3 = 7

// ANCON3
public const
    ANSEL16 = 0,
    ANSEL17 = 1,
    ANSEL18 = 2,
    ANSEL19 = 3,
    ANSEL20 = 4,
    ANSEL21 = 5,
    ANSEL22 = 6,
    ANSEL23 = 7

// ANCON2
public const
    ANSEL8 = 0,
    ANSEL9 = 1,
    ANSEL10 = 2,
    ANSEL11 = 3,
    ANSEL12 = 4,
    ANSEL13 = 5,
    ANSEL14 = 6,
    ANSEL15 = 7

// ANCON1
public const
    ANSEL0 = 0,
    ANSEL1 = 1,
    ANSEL2 = 2,
    ANSEL3 = 3,
    ANSEL4 = 4,
    ANSEL5 = 5,
    ANSEL6 = 6,
    ANSEL7 = 7

// ADCTMUEN0L
public const
    CTMUEN0 = 0,
    CTMUEN1 = 1,
    CTMUEN2 = 2,
    CTMUEN3 = 3,
    CTMUEN4 = 4,
    CTMUEN5 = 5,
    CTMUEN6 = 6,
    CTMUEN7 = 7

// ADCTMUEN0H
public const
    CTMUEN8 = 0,
    CTMUEN9 = 1,
    CTMUEN10 = 2,
    CTMUEN11 = 3,
    CTMUEN12 = 4,
    CTMUEN13 = 5,
    CTMUEN14 = 6,
    CTMUEN15 = 7

// ADCTMUEN1L
public const
    CTUMEN16 = 0,
    CTUMEN17 = 1,
    CTUMEN18 = 2,
    CTUMEN19 = 3,
    CTMUEN20 = 4,
    CTMUEN21 = 5,
    CTMUEN22 = 6,
    CTMUEN23 = 7

// ADCTMUEN1H
public const
    CTUMEN24 = 0,
    CTUMEN25 = 1,
    CTUMEN26 = 2,
    CTUMEN27 = 3,
    CTUMEN28 = 4,
    CTUMEN29 = 5,
    CTMUEN30 = 6

// ADCHIT0L
public const
    CHH0 = 0,
    CHH1 = 1,
    CHH2 = 2,
    CHH3 = 3,
    CHH4 = 4,
    CHH5 = 5,
    CHH6 = 6,
    CHH7 = 7

// ADCHIT0H
public const
    CHH8 = 0,
    CHH9 = 1,
    CHH10 = 2,
    CHH11 = 3,
    CHH12 = 4,
    CHH13 = 5,
    CHH14 = 6,
    CHH15 = 7

// ADCHIT1L
public const
    CHH16 = 0,
    CHH17 = 1,
    CHH18 = 2,
    CHH19 = 3,
    CHH20 = 4,
    CHH21 = 5,
    CHH22 = 6,
    CHH23 = 7

// ADCHIT1H
public const
    CHH24 = 0,
    CHH25 = 1,
    CHH26 = 2,
    CHH27 = 3,
    CHH28 = 4,
    CHH29 = 5,
    CHH30 = 6

// ADCSS0L
public const
    CSS0 = 0,
    CSS1 = 1,
    CSS2 = 2,
    CSS3 = 3,
    CSS4 = 4,
    CSS5 = 5,
    CSS6 = 6,
    CSS7 = 7

// ADCSS0H
public const
    CSS8 = 0,
    CSS9 = 1,
    CSS10 = 2,
    CSS11 = 3,
    CSS12 = 4,
    CSS13 = 5,
    CSS14 = 6,
    CSS15 = 7

// ADCSS1L
public const
    CSS16 = 0,
    CSS17 = 1,
    CSS18 = 2,
    CSS19 = 3,
    CSS20 = 4,
    CSS21 = 5,
    CSS22 = 6,
    CSS23 = 7

// ADCSS1H
public const
    CSS24 = 0,
    CSS25 = 1,
    CSS26 = 2,
    CSS27 = 3,
    CSS28 = 4,
    CSS29 = 5,
    CSS30 = 6

// ADCHS0L
public const
    CH0SA0 = 0,
    CH0SA1 = 1,
    CH0SA2 = 2,
    CH0SA3 = 3,
    CH0SA4 = 4,
    CH0NA0 = 5,
    CH0NA1 = 6,
    CH0NA2 = 7

// ADCHS0H
public const
    CH0SB0 = 0,
    CH0SB1 = 1,
    CH0SB2 = 2,
    CH0SB3 = 3,
    CH0SB4 = 4,
    CH0NB0 = 5,
    CH0NB1 = 6,
    CH0NB2 = 7

// ADCON5L
public const
    CM0 = 0,
    CM1 = 1,
    WM0 = 2,
    WM1 = 3

// ADCON5H
public const
    ASINTMD0 = 0,
    ASINTMD1 = 1,
    CTMUREQ = 5,
    LPENA = 6,
    ASENA = 7

// ADCON3L
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ADCS3 = 3,
    ADCS4 = 4,
    ADCS5 = 5,
    ADCS6 = 6,
    ADCS7 = 7

// ADCON3H
public const
    SAMC0 = 0,
    SAMC1 = 1,
    SAMC2 = 2,
    SAMC3 = 3,
    SAMC4 = 4,
    PUMPEN = 5,
    EXTSAM = 6,
    ADRC = 7

// ADCON2L
public const
    ALTS = 0,
    BUFM = 1,
    SMPI0 = 2,
    SMPI1 = 3,
    SMPI2 = 4,
    SMPI3 = 5,
    SMPI4 = 6,
    BUFS = 7

// ADCON2H
public const
    CSCNA = 2,
    BUFREGEN = 3,
    OFFCAL = 4,
    NVCFG0 = 5,
    PVCFG0 = 6,
    PVCFG1 = 7

// LCDDATA0
public const
    S00C0 = 0,
    S01C0 = 1,
    S02C0 = 2,
    S03C0 = 3,
    S04C0 = 4,
    S05C0 = 5,
    S06C0 = 6,
    S07C0 = 7

// LCDDATA1
public const
    S08C0 = 0,
    S09C0 = 1,
    S10C0 = 2,
    S11C0 = 3,
    S12C0 = 4,
    S13C0 = 5,
    S14C0 = 6,
    S15C0 = 7

// LCDDATA2
public const
    S16C0 = 0,
    S17C0 = 1,
    S18C0 = 2,
    S19C0 = 3,
    S20C0 = 4,
    S21C0 = 5,
    S22C0 = 6,
    S23C0 = 7

// LCDDATA3
public const
    S24C0 = 0,
    S25C0 = 1,
    S26C0 = 2,
    S27C0 = 3,
    S28C0 = 4,
    S29C0 = 5,
    S30C0 = 6,
    S31C0 = 7

// LCDDATA4
public const
    S32C0 = 0,
    S33C0 = 1,
    S34C0 = 2,
    S35C0 = 3,
    S36C0 = 4,
    S37C0 = 5,
    S38C0 = 6,
    S39C0 = 7

// LCDDATA5
public const
    S40C0 = 0,
    S41C0 = 1,
    S42C0 = 2,
    S43C0 = 3,
    S44C0 = 4,
    S45C0 = 5,
    S46C0 = 6,
    S47C0 = 7

// LCDDATA6
public const
    S48C0 = 0,
    S49C0 = 1,
    S50C0 = 2,
    S51C0 = 3,
    S52C0 = 4,
    S53C0 = 5,
    S54C0 = 6,
    S55C0 = 7

// LCDDATA7
public const
    S56C0 = 0,
    S57C0 = 1,
    S58C0 = 2,
    S59C0 = 3,
    S60C0 = 4,
    S61C0 = 5,
    S62C0 = 6,
    S63C0 = 7

// LCDDATA8
public const
    S00C1 = 0,
    S01C1 = 1,
    S02C1 = 2,
    S03C1 = 3,
    S04C1 = 4,
    S05C1 = 5,
    S06C1 = 6,
    S07C1 = 7

// LCDDATA9
public const
    S08C1 = 0,
    S09C1 = 1,
    S10C1 = 2,
    S11C1 = 3,
    S12C1 = 4,
    S13C1 = 5,
    S14C1 = 6,
    S15C1 = 7

// LCDDATA10
public const
    S16C1 = 0,
    S17C1 = 1,
    S18C1 = 2,
    S19C1 = 3,
    S20C1 = 4,
    S21C1 = 5,
    S22C1 = 6,
    S23C1 = 7

// LCDDATA11
public const
    S24C1 = 0,
    S25C1 = 1,
    S26C1 = 2,
    S27C1 = 3,
    S28C1 = 4,
    S29C1 = 5,
    S30C1 = 6,
    S31C1 = 7

// LCDDATA12
public const
    S32C1 = 0,
    S33C1 = 1,
    S34C1 = 2,
    S35C1 = 3,
    S36C1 = 4,
    S37C1 = 5,
    S38C1 = 6,
    S39C1 = 7

// LCDDATA13
public const
    S40C1 = 0,
    S41C1 = 1,
    S42C1 = 2,
    S43C1 = 3,
    S44C1 = 4,
    S45C1 = 5,
    S46C1 = 6,
    S47C1 = 7

// LCDDATA14
public const
    S48C1 = 0,
    S49C1 = 1,
    S50C1 = 2,
    S51C1 = 3,
    S52C1 = 4,
    S53C1 = 5,
    S54C1 = 6,
    S55C1 = 7

// LCDDATA15
public const
    S56C1 = 0,
    S57C1 = 1,
    S58C1 = 2,
    S59C1 = 3,
    S60C1 = 4,
    S61C1 = 5,
    S62C1 = 6,
    S63C1 = 7

// LCDDATA16
public const
    S00C2 = 0,
    S01C2 = 1,
    S02C2 = 2,
    S03C2 = 3,
    S04C2 = 4,
    S05C2 = 5,
    S06C2 = 6,
    S07C2 = 7

// LCDDATA17
public const
    S08C2 = 0,
    S09C2 = 1,
    S10C2 = 2,
    S11C2 = 3,
    S12C2 = 4,
    S13C2 = 5,
    S14C2 = 6,
    S15C2 = 7

// LCDDATA18
public const
    S16C2 = 0,
    S17C2 = 1,
    S18C2 = 2,
    S19C2 = 3,
    S20C2 = 4,
    S21C2 = 5,
    S22C2 = 6,
    S23C2 = 7

// LCDDATA19
public const
    S24C2 = 0,
    S25C2 = 1,
    S26C2 = 2,
    S27C2 = 3,
    S28C2 = 4,
    S29C2 = 5,
    S30C2 = 6,
    S31C2 = 7

// LCDDATA20
public const
    S32C2 = 0,
    S33C2 = 1,
    S34C2 = 2,
    S35C2 = 3,
    S36C2 = 4,
    S37C2 = 5,
    S38C2 = 6,
    S39C2 = 7

// LCDDATA21
public const
    S40C2 = 0,
    S41C2 = 1,
    S42C2 = 2,
    S43C2 = 3,
    S44C2 = 4,
    S45C2 = 5,
    S46C2 = 6,
    S47C2 = 7

// LCDDATA22
public const
    S48C2 = 0,
    S49C2 = 1,
    S50C2 = 2,
    S51C2 = 3,
    S52C2 = 4,
    S53C2 = 5,
    S54C2 = 6,
    S55C2 = 7

// LCDDATA23
public const
    S56C2 = 0,
    S57C2 = 1,
    S58C2 = 2,
    S59C2 = 3,
    S60C2 = 4,
    S61C2 = 5,
    S62C2 = 6,
    S63C2 = 7

// LCDDATA24
public const
    S00C3 = 0,
    S01C3 = 1,
    S02C3 = 2,
    S03C3 = 3,
    S04C3 = 4,
    S05C3 = 5,
    S06C3 = 6,
    S07C3 = 7

// LCDDATA25
public const
    S08C3 = 0,
    S09C3 = 1,
    S10C3 = 2,
    S11C3 = 3,
    S12C3 = 4,
    S13C3 = 5,
    S14C3 = 6,
    S15C3 = 7

// LCDDATA26
public const
    S16C3 = 0,
    S17C3 = 1,
    S18C3 = 2,
    S19C3 = 3,
    S20C3 = 4,
    S21C3 = 5,
    S22C3 = 6,
    S23C3 = 7

// LCDDATA27
public const
    S24C3 = 0,
    S25C3 = 1,
    S26C3 = 2,
    S27C3 = 3,
    S28C3 = 4,
    S29C3 = 5,
    S30C3 = 6,
    S31C3 = 7

// LCDDATA28
public const
    S32C3 = 0,
    S33C3 = 1,
    S34C3 = 2,
    S35C3 = 3,
    S36C3 = 4,
    S37C3 = 5,
    S38C3 = 6,
    S39C3 = 7

// LCDDATA29
public const
    S40C3 = 0,
    S41C3 = 1,
    S42C3 = 2,
    S43C3 = 3,
    S44C3 = 4,
    S45C3 = 5,
    S46C3 = 6,
    S47C3 = 7

// LCDDATA30
public const
    S48C3 = 0,
    S49C3 = 1,
    S50C3 = 2,
    S51C3 = 3,
    S52C3 = 4,
    S53C3 = 5,
    S54C3 = 6,
    S55C3 = 7

// LCDDATA31
public const
    S56C3 = 0,
    S57C3 = 1,
    S58C3 = 2,
    S59C3 = 3,
    S60C3 = 4,
    S61C3 = 5,
    S62C3 = 6,
    S63C3 = 7

// LCDDATA32
public const
    S00C4 = 0,
    S01C4 = 1,
    S02C4 = 2,
    S03C4 = 3,
    S04C4 = 4,
    S05C4 = 5,
    S06C4 = 6,
    S07C4 = 7

// LCDDATA33
public const
    S08C4 = 0,
    S09C4 = 1,
    S10C4 = 2,
    S11C4 = 3,
    S12C4 = 4,
    S13C4 = 5,
    S14C4 = 6,
    S15C4 = 7

// LCDDATA34
public const
    S16C4 = 0,
    S17C4 = 1,
    S18C4 = 2,
    S19C4 = 3,
    S20C4 = 4,
    S21C4 = 5,
    S22C4 = 6,
    S23C4 = 7

// LCDDATA35
public const
    S24C4 = 0,
    S25C4 = 1,
    S26C4 = 2,
    S27C4 = 3,
    S28C4 = 4,
    S29C4 = 5,
    S30C4 = 6,
    S31C4 = 7

// LCDDATA36
public const
    S32C4 = 0,
    S33C4 = 1,
    S34C4 = 2,
    S35C4 = 3,
    S36C4 = 4,
    S37C4 = 5,
    S38C4 = 6,
    S39C4 = 7

// LCDDATA37
public const
    S40C4 = 0,
    S41C4 = 1,
    S42C4 = 2,
    S43C4 = 3,
    S44C4 = 4,
    S45C4 = 5,
    S46C4 = 6,
    S47C4 = 7

// LCDDATA38
public const
    S48C4 = 0,
    S49C4 = 1,
    S50C4 = 2,
    S51C4 = 3,
    S52C4 = 4,
    S53C4 = 5,
    S54C4 = 6,
    S55C4 = 7

// LCDDATA39
public const
    S56C4 = 0,
    S57C4 = 1,
    S58C4 = 2,
    S59C4 = 3,
    S60C4 = 4,
    S61C4 = 5,
    S62C4 = 6,
    S63C4 = 7

// LCDDATA40
public const
    S00C5 = 0,
    S01C5 = 1,
    S02C5 = 2,
    S03C5 = 3,
    S04C5 = 4,
    S05C5 = 5,
    S06C5 = 6,
    S07C5 = 7

// LCDDATA41
public const
    S08C5 = 0,
    S09C5 = 1,
    S10C5 = 2,
    S11C5 = 3,
    S12C5 = 4,
    S13C5 = 5,
    S14C5 = 6,
    S15C5 = 7

// LCDDATA42
public const
    S16C5 = 0,
    S17C5 = 1,
    S18C5 = 2,
    S19C5 = 3,
    S20C5 = 4,
    S21C5 = 5,
    S22C5 = 6,
    S23C5 = 7

// LCDDATA43
public const
    S24C5 = 0,
    S25C5 = 1,
    S26C5 = 2,
    S27C5 = 3,
    S28C5 = 4,
    S29C5 = 5,
    S30C5 = 6,
    S31C5 = 7

// LCDDATA44
public const
    S32C5 = 0,
    S33C5 = 1,
    S34C5 = 2,
    S35C5 = 3,
    S36C5 = 4,
    S37C5 = 5,
    S38C5 = 6,
    S39C5 = 7

// LCDDATA45
public const
    S40C5 = 0,
    S41C5 = 1,
    S42C5 = 2,
    S43C5 = 3,
    S44C5 = 4,
    S45C5 = 5,
    S46C5 = 6,
    S47C5 = 7

// LCDDATA46
public const
    S48C5 = 0,
    S49C5 = 1,
    S50C5 = 2,
    S51C5 = 3,
    S52C5 = 4,
    S53C5 = 5,
    S54C5 = 6,
    S55C5 = 7

// LCDDATA47
public const
    S56C5 = 0,
    S57C5 = 1,
    S58C5 = 2,
    S59C5 = 3,
    S60C5 = 4,
    S61C5 = 5,
    S62C5 = 6,
    S63C5 = 7

// LCDDATA48
public const
    S00C6 = 0,
    S01C6 = 1,
    S02C6 = 2,
    S03C6 = 3,
    S04C6 = 4,
    S05C6 = 5,
    S06C6 = 6,
    S07C6 = 7

// LCDDATA49
public const
    S08C6 = 0,
    S09C6 = 1,
    S10C6 = 2,
    S11C6 = 3,
    S12C6 = 4,
    S13C6 = 5,
    S14C6 = 6,
    S15C6 = 7

// LCDDATA50
public const
    S16C6 = 0,
    S17C6 = 1,
    S18C6 = 2,
    S19C6 = 3,
    S20C6 = 4,
    S21C6 = 5,
    S22C6 = 6,
    S23C6 = 7

// LCDDATA51
public const
    S24C6 = 0,
    S25C6 = 1,
    S26C6 = 2,
    S27C6 = 3,
    S28C6 = 4,
    S29C6 = 5,
    S30C6 = 6,
    S31C6 = 7

// LCDDATA52
public const
    S32C6 = 0,
    S33C6 = 1,
    S34C6 = 2,
    S35C6 = 3,
    S36C6 = 4,
    S37C6 = 5,
    S38C6 = 6,
    S39C6 = 7

// LCDDATA53
public const
    S40C6 = 0,
    S41C6 = 1,
    S42C6 = 2,
    S43C6 = 3,
    S44C6 = 4,
    S45C6 = 5,
    S46C6 = 6,
    S47C6 = 7

// LCDDATA54
public const
    S48C6 = 0,
    S49C6 = 1,
    S50C6 = 2,
    S51C6 = 3,
    S52C6 = 4,
    S53C6 = 5,
    S54C6 = 6,
    S55C6 = 7

// LCDDATA55
public const
    S56C6 = 0,
    S57C6 = 1,
    S58C6 = 2,
    S59C6 = 3,
    S60C6 = 4,
    S61C6 = 5,
    S62C6 = 6,
    S63C6 = 7

// LCDDATA56
public const
    S00C7 = 0,
    S01C7 = 1,
    S02C7 = 2,
    S03C7 = 3,
    S04C7 = 4,
    S05C7 = 5,
    S06C7 = 6,
    S07C7 = 7

// LCDDATA57
public const
    S08C7 = 0,
    S09C7 = 1,
    S10C7 = 2,
    S11C7 = 3,
    S12C7 = 4,
    S13C7 = 5,
    S14C7 = 6,
    S15C7 = 7

// LCDDATA58
public const
    S16C7 = 0,
    S17C7 = 1,
    S18C7 = 2,
    S19C7 = 3,
    S20C7 = 4,
    S21C7 = 5,
    S22C7 = 6,
    S23C7 = 7

// LCDDATA59
public const
    S24C7 = 0,
    S25C7 = 1,
    S26C7 = 2,
    S27C7 = 3,
    S28C7 = 4,
    S29C7 = 5,
    S30C7 = 6,
    S31C7 = 7

// LCDDATA60
public const
    S32C7 = 0,
    S33C7 = 1,
    S34C7 = 2,
    S35C7 = 3,
    S36C7 = 4,
    S37C7 = 5,
    S38C7 = 6,
    S39C7 = 7

// LCDDATA61
public const
    S40C7 = 0,
    S41C7 = 1,
    S42C7 = 2,
    S43C7 = 3,
    S44C7 = 4,
    S45C7 = 5,
    S46C7 = 6,
    S47C7 = 7

// LCDDATA62
public const
    S48C7 = 0,
    S49C7 = 1,
    S50C7 = 2,
    S51C7 = 3,
    S52C7 = 4,
    S53C7 = 5,
    S54C7 = 6,
    S55C7 = 7

// LCDDATA63
public const
    S56C7 = 0,
    S57C7 = 1,
    S58C7 = 2,
    S59C7 = 3,
    S60C7 = 4,
    S61C7 = 5,
    S62C7 = 6,
    S63C7 = 7

// LCDSE0
public const
    SE00 = 0,
    SE01 = 1,
    SE02 = 2,
    SE03 = 3,
    SE04 = 4,
    SE05 = 5,
    SE06 = 6,
    SE07 = 7

// LCDSE1
public const
    SE08 = 0,
    SE09 = 1,
    SE10 = 2,
    SE11 = 3,
    SE12 = 4,
    SE13 = 5,
    SE14 = 6,
    SE15 = 7

// LCDSE2
public const
    SE16 = 0,
    SE17 = 1,
    SE18 = 2,
    SE19 = 3,
    SE20 = 4,
    SE21 = 5,
    SE22 = 6,
    SE23 = 7

// LCDSE3
public const
    SE24 = 0,
    SE25 = 1,
    SE26 = 2,
    SE27 = 3,
    SE28 = 4,
    SE29 = 5,
    SE30 = 6,
    SE31 = 7

// LCDSE4
public const
    SE32 = 0,
    SE33 = 1,
    SE34 = 2,
    SE35 = 3,
    SE36 = 4,
    SE37 = 5,
    SE38 = 6,
    SE39 = 7

// LCDSE5
public const
    SE40 = 0,
    SE41 = 1,
    SE42 = 2,
    SE43 = 3,
    SE44 = 4,
    SE45 = 5,
    SE46 = 6,
    SE47 = 7

// LCDSE6
public const
    SE48 = 0,
    SE49 = 1,
    SE50 = 2,
    SE51 = 3,
    SE52 = 4,
    SE53 = 5,
    SE54 = 6,
    SE55 = 7

// LCDSE7
public const
    SE56 = 0,
    SE57 = 1,
    SE58 = 2,
    SE59 = 3,
    SE60 = 4,
    SE61 = 5,
    SE62 = 6,
    SE63 = 7

// LCDRL
public const
    LRLAT0 = 0,
    LRLAT1 = 1,
    LRLAT2 = 2,
    LRLBP0 = 4,
    LRLBP1 = 5,
    LRLAP0 = 6,
    LRLAP1 = 7

// LCDREF
public const
    VLCD1PE = 0,
    VLCD2PE = 1,
    VLCD3PE = 2,
    LCDCST0 = 3,
    LCDCST1 = 4,
    LCDCST2 = 5,
    LCDIRE = 7

// LCDREG
public const
    CLKSEL0 = 0,
    CLKSEL1 = 1,
    MODE13 = 2,
    BIAS0 = 3,
    BIAS1 = 4,
    BIAS2 = 5,
    CPEN = 7

// LCDCON
public const
    LMUX0 = 0,
    LMUX1 = 1,
    LMUX2 = 2,
    CS0 = 3,
    CS1 = 4,
    WERR = 5,
    SLPEN = 6,
    LCDEN = 7

// LCDPS
public const
    LP0 = 0,
    LP1 = 1,
    LP2 = 2,
    LP3 = 3,
    WA = 4,
    LCDA = 5,
    BIASMD = 6,
    WFT = 7

// REFO2CON3
public const
    RODIV8 = 0,
    RODIV9 = 1,
    RODIV10 = 2,
    RODIV11 = 3,
    RODIV12 = 4,
    RODIV13 = 5,
    RODIV14 = 6

// REFO2CON2
public const
    RODIV0 = 0,
    RODIV1 = 1,
    RODIV2 = 2,
    RODIV3 = 3,
    RODIV4 = 4,
    RODIV5 = 5,
    RODIV6 = 6,
    RODIV7 = 7

// REFO2CON1
public const
    ROSEL0 = 0,
    ROSEL1 = 1,
    ROSEL2 = 2,
    ROSEL3 = 3

// REFO2CON
public const
    ACTIVE = 0,
    DIVSWEN = 1,
    ROSSLP = 3,
    ROOE = 4,
    ROSIDL = 5,
    ROON = 7

// REFO1CON3

// REFO1CON2

// REFO1CON1

// REFO1CON

// ODCON2
public const
    ECCP3OD = 0,
    CCP4OD = 1,
    CCP5OD = 2,
    CCP6OD = 3,
    CCP7OD = 4,
    CCP8OD = 5,
    CCP9OD = 6,
    CCP10OD = 7

// ODCON1
public const
    SSP1OD = 0,
    SSP2OD = 1,
    USART1OD = 2,
    USART2OD = 3,
    USART3OD = 4,
    USART4OD = 5,
    ECCP1OD = 6,
    ECCP2OD = 7

// MDCARL
public const
    MDCL0 = 0,
    MDCL1 = 1,
    MDCL2 = 2,
    MDCL3 = 3,
    MDCLSYNC = 5,
    MDCLPOL = 6,
    MDCLODIS = 7

// MDCARH
public const
    MDCH0 = 0,
    MDCH1 = 1,
    MDCH2 = 2,
    MDCH3 = 3,
    MDCHSYNC = 5,
    MDCHPOL = 6,
    MDCHODIS = 7

// MDSRC
public const
    MDSRC0 = 0,
    MDSRC1 = 1,
    MDSRC2 = 2,
    MDSRC3 = 3,
    MDSODIS = 7

// MDCON
public const
    MDBIT = 0,
    MDO = 3,
    MDOPOL = 4,
    MDSLR = 5,
    MDOE = 6,
    MDEN = 7

// PMD4
public const
    EMBMD = 0,
    LVDMD = 2,
    IOCMD = 3,
    USBMD = 4,
    CMP3MD = 5,
    CMP2MD = 6,
    CMP1MD = 7

// PMD3
public const
    REFO2MD = 0,
    REFO1MD = 1,
    PSPMD = 2,
    LCDMD = 3,
    RTCCMD = 4,
    ADCMD = 5,
    CTMUMD = 6,
    MODMD = 7

// PMD2
public const
    TMR0MD = 0,
    TMR1MD = 1,
    TMR2MD = 2,
    TMR3MD = 3,
    TMR4MD = 4,
    TMR5MD = 5,
    TMR6MD = 6,
    TMR8MD = 7

// PMD1
public const
    SSP1MD = 0,
    SSP2MD = 1,
    UART1MD = 2,
    UART2MD = 3,
    UART3MD = 4,
    UART4MD = 5,
    ECCP1MD = 6,
    ECCP2MD = 7

// PMD0
public const
    ECCP3MD = 0,
    CCP4MD = 1,
    CCP5MD = 2,
    CCP6MD = 3,
    CCP7MD = 4,
    CCP8MD = 5,
    CCP9MD = 6,
    CCP10MD = 7

// CTMUCON4
public const
    EDG1STAT = 0,
    EDG2STAT = 1,
    EDG1SEL0 = 2,
    EDG1SEL1 = 3,
    EDG1SEL2 = 4,
    EDG1SEL3 = 5,
    EDG1POL = 6,
    EDG1EN = 7

// CTMUCON3
public const
    EDG2SEL0 = 2,
    EDG2SEL1 = 3,
    EDG2SEL2 = 4,
    EDG2SEL3 = 5,
    EDG2POL = 6,
    EDG2EN = 7

// CTMUCON2
public const
    IRNG0 = 0,
    IRNG1 = 1,
    ITRIM0 = 2,
    ITRIM1 = 3,
    ITRIM2 = 4,
    ITRIM3 = 5,
    ITRIM4 = 6,
    ITRIM5 = 7

// CTMUCON1
public const
    CTTRIG = 0,
    IDISSEN = 1,
    EDGSEQEN = 2,
    EDGEN = 3,
    TGEN = 4,
    CTMUSIDL = 5,
    CTMUEN = 7

// SPBRG4
public const
    BRG0 = 0,
    BRG1 = 1,
    BRG2 = 2,
    BRG3 = 3,
    BRG4 = 4,
    BRG5 = 5,
    BRG6 = 6,
    BRG7 = 7

// SPBRGH4
public const
    BRG8 = 0,
    BRG9 = 1,
    BRG10 = 2,
    BRG11 = 3,
    BRG12 = 4,
    BRG13 = 5,
    BRG14 = 6,
    BRG15 = 7

// BAUDCON4
public const
    ABDEN = 0,
    WUE = 1,
    IREN = 2,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// TXSTA4
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// RCSTA4
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// DMACON2
public const
    INTLVL0 = 0,
    INTLVL1 = 1,
    INTLVL2 = 2,
    INTLVL3 = 3,
    DLYCYC0 = 4,
    DLYCYC1 = 5,
    DLYCYC2 = 6,
    DLYCYC3 = 7

// ANCFG
public const
    VBGEN = 0,
    VBG2EN = 1,
    VBG6EN = 2

// T4CON
public const
    T4CKPS0 = 0,
    T4CKPS1 = 1,
    TMR4ON = 2,
    T4OUTPS0 = 3,
    T4OUTPS1 = 4,
    T4OUTPS2 = 5,
    T4OUTPS3 = 6

// CCP7CON
public const
    CCP7M0 = 0,
    CCP7M1 = 1,
    CCP7M2 = 2,
    CCP7M3 = 3,
    DC7B0 = 4,
    DC7B1 = 5

// CCP6CON
public const
    CCP6M0 = 0,
    CCP6M1 = 1,
    CCP6M2 = 2,
    CCP6M3 = 3,
    DC6B0 = 4,
    DC6B1 = 5

// CCP5CON
public const
    CCP5M0 = 0,
    CCP5M1 = 1,
    CCP5M2 = 2,
    CCP5M3 = 3,
    DC5B0 = 4,
    DC5B1 = 5

// CCP4CON
public const
    CCP4M0 = 0,
    CCP4M1 = 1,
    CCP4M2 = 2,
    CCP4M3 = 3,
    DC4B0 = 4,
    DC4B1 = 5

// T5GCON
public const
    T5GSS0 = 0,
    T5GSS1 = 1,
    T5GVAL = 2,
    T5GGO_T5DONE = 3,
    T5GSPM = 4,
    T5GTM = 5,
    T5GPOL = 6,
    TMR5GE = 7

// T5CON
public const
    TMR5ON = 0,
    RD16 = 1,
    _T5SYNC = 2,
    SOSCEN = 3,
    T5CKPS0 = 4,
    T5CKPS1 = 5,
    TMR5CS0 = 6,
    TMR5CS1 = 7

// SSP2MSK
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// SSP2CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSP2CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSP2STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// PSTR3CON
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    STRSYNC = 4,
    CMPL0 = 6,
    CMPL1 = 7

// PSTR2CON

// SPBRG2

// SPBRGH2

// DSWAKEH
public const
    DSINT0 = 0

// DSWAKEL
public const
    DSPOR = 0,
    DSICD = 1,
    DSMCLR = 2,
    DSRTC = 3,
    DSWDT = 4,
    DSULP = 5,
    BOR_DSWAKEL = 6,
    DSFLT = 7

// DSCONH
public const
    RTCWDIS = 0,
    DSEN = 7

// DSCONL
public const
    RELEASE = 0,
    DSBOR = 1,
    ULPWDIS = 2

// SPBRG3

// SPBRGH3

// BAUDCON3

// TXSTA3

// RCSTA3

// SPBRGH

// SPBRGH1

// BAUDCON2

// TXSTA2

// RCSTA2

// CCPTMRS2
public const
    C8TSEL0 = 0,
    C8TSEL1 = 1,
    C9TSEL = 2,
    C10TSEL = 4

// CCPTMRS1
public const
    C4TSEL0 = 0,
    C4TSEL1 = 1,
    C5TSEL = 2,
    C6TSEL = 4,
    C7TSEL0 = 6,
    C7TSEL1 = 7

// CCPTMRS0
public const
    C1TSEL0 = 0,
    C1TSEL1 = 1,
    C1TSEL2 = 2,
    C2TSEL0 = 3,
    C2TSEL1 = 4,
    C2TSEL2 = 5,
    C3TSEL0 = 6,
    C3TSEL1 = 7

// CM3CON
public const
    CCH0 = 0,
    CCH1 = 1,
    CREF = 2,
    EVPOL0 = 3,
    EVPOL1 = 4,
    CPOL = 5,
    COE = 6,
    CON = 7

// CM2CON

// SSP2CON3
public const
    DHEN = 0,
    AHEN = 1,
    SBCDE = 2,
    SDAHT = 3,
    BOEN = 4,
    SCIE = 5,
    PCIE = 6,
    ACKTIM = 7

// T8CON
public const
    T8CKPS0 = 0,
    T8CKPS1 = 1,
    TMR8ON = 2,
    T8OUTPS0 = 3,
    T8OUTPS1 = 4,
    T8OUTPS2 = 5,
    T8OUTPS3 = 6

// T6CON
public const
    T6CKPS0 = 0,
    T6CKPS1 = 1,
    TMR6ON = 2,
    T6OUTPS0 = 3,
    T6OUTPS1 = 4,
    T6OUTPS2 = 5,
    T6OUTPS3 = 6

// CCP10CON
public const
    CCP10M0 = 0,
    CCP10M1 = 1,
    CCP10M2 = 2,
    CCP10M3 = 3,
    DC10B0 = 4,
    DC10B1 = 5

// CCP9CON
public const
    CCP9M0 = 0,
    CCP9M1 = 1,
    CCP9M2 = 2,
    CCP9M3 = 3,
    DC9B0 = 4,
    DC9B1 = 5

// CCP8CON
public const
    CCP8M0 = 0,
    CCP8M1 = 1,
    CCP8M2 = 2,
    CCP8M3 = 3,
    DC8B0 = 4,
    DC8B1 = 5

// CCP3CON
public const
    CCP3M0 = 0,
    CCP3M1 = 1,
    CCP3M2 = 2,
    CCP3M3 = 3,
    DC3B0 = 4,
    DC3B1 = 5,
    P3M0 = 6,
    P3M1 = 7

// ECCP3DEL
public const
    P3DC0 = 0,
    P3DC1 = 1,
    P3DC2 = 2,
    P3DC3 = 3,
    P3DC4 = 4,
    P3DC5 = 5,
    P3DC6 = 6,
    P3RSEN = 7

// ECCP3AS
public const
    PSS3BD0 = 0,
    PSS3BD1 = 1,
    PSS3AC0 = 2,
    PSS3AC1 = 3,
    ECCP3AS0 = 4,
    ECCP3AS1 = 5,
    ECCP3AS2 = 6,
    ECCP3ASE = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5,
    P2M0 = 6,
    P2M1 = 7

// ECCP2DEL
public const
    P2DC0 = 0,
    P2DC1 = 1,
    P2DC2 = 2,
    P2DC3 = 3,
    P2DC4 = 4,
    P2DC5 = 5,
    P2DC6 = 6,
    P2RSEN = 7

// ECCP2AS
public const
    PSS2BD0 = 0,
    PSS2BD1 = 1,
    PSS2AC0 = 2,
    PSS2AC1 = 3,
    ECCP2AS0 = 4,
    ECCP2AS1 = 5,
    ECCP2AS2 = 6,
    ECCP2ASE = 7

// CM1CON

// PADCFG1
public const
    RLPU = 0,
    RKPU = 1,
    RJPU = 2,
    RHPU = 3,
    RGPU = 4,
    RFPU = 5,
    REPU = 6,
    RDPU = 7

// IOCN
public const
    IOCN0 = 0,
    IOCN1 = 1,
    IOCN2 = 2,
    IOCN3 = 3,
    IOCN4 = 4,
    IOCN5 = 5,
    IOCN6 = 6,
    IOCN7 = 7

// IOCP
public const
    IOCP0 = 0,
    IOCP1 = 1,
    IOCP2 = 2,
    IOCP3 = 3,
    IOCP4 = 4,
    IOCP5 = 5,
    IOCP6 = 6,
    IOCP7 = 7

// RTCCON2
public const
    RTCSECSEL0 = 0,
    RTCSECSEL1 = 1,
    RTCCLKSEL0 = 2,
    RTCCLKSEL1 = 3,
    PWCSPRE = 4,
    PWCCPRE = 5,
    PWCPOL = 6,
    PWCEN = 7

// ALRMRPT
public const
    ARPT0 = 0,
    ARPT1 = 1,
    ARPT2 = 2,
    ARPT3 = 3,
    ARPT4 = 4,
    ARPT5 = 5,
    ARPT6 = 6,
    ARPT7 = 7

// ALRMCFG
public const
    ALRMPTR0 = 0,
    ALRMPTR1 = 1,
    AMASK0 = 2,
    AMASK1 = 3,
    AMASK2 = 4,
    AMASK3 = 5,
    CHIME = 6,
    ALRMEN = 7

// RTCCAL
public const
    CAL0 = 0,
    CAL1 = 1,
    CAL2 = 2,
    CAL3 = 3,
    CAL4 = 4,
    CAL5 = 5,
    CAL6 = 6,
    CAL7 = 7

// RTCCON1
public const
    RTCPTR0 = 0,
    RTCPTR1 = 1,
    RTCOE = 2,
    HALFSEC = 3,
    RTCSYNC = 4,
    RTCWREN = 5,
    RTCEN = 7

// DMACON1
public const
    DMAEN = 0,
    DLYINTEN = 1,
    DUPLEX0 = 2,
    DUPLEX1 = 3,
    RXINC = 4,
    TXINC = 5,
    SSCON0 = 6,
    SSCON1 = 7

// PIE6
public const
    CMP1IE = 0,
    CMP2IE = 1,
    CMP3IE = 2,
    TX3IE = 4,
    RC3IE = 5,
    TX4IE = 6,
    RC4IE = 7

// WPUB
public const
    WPUB0 = 0,
    WPUB1 = 1,
    WPUB2 = 2,
    WPUB3 = 3,
    WPUB4 = 4,
    WPUB5 = 5,
    WPUB6 = 6,
    WPUB7 = 7

// ACTCON
public const
    ACTORSPOL = 0,
    ACTORS = 1,
    ACTLOCKPOL = 2,
    ACTLOCK = 3,
    ACTSRC = 4,
    ACTSIDL = 5,
    ACTEN = 7

// OSCCON4
public const
    PLLEN = 5,
    CPDIV0 = 6,
    CPDIV1 = 7

// OSCCON3
public const
    IRCF0 = 0,
    IRCF1 = 1,
    IRCF2 = 2

// OSCCON2
public const
    SOSCGO = 1,
    POSCEN = 2,
    CF = 3,
    LOCK = 5,
    IOLOCK = 6,
    CLKLOCK = 7

// BAUDCON
public const
    CKTXP = 4,
    DTRXP = 5,
    RCMT = 6

// BAUDCON1
public const
    SCKP = 4

// SSP1MSK

// SSP1CON3

// TXBUF
public const
    TXBUF0 = 0,
    TXBUF1 = 1,
    TXBUF2 = 2,
    TXBUF3 = 3,
    TXBUF4 = 4,
    TXBUF5 = 5,
    TXBUF6 = 6,
    TXBUF7 = 7

// DMABCH
public const
    BC8 = 0,
    BC9 = 1

// DMABCL
public const
    BC0 = 0,
    BC1 = 1,
    BC2 = 2,
    BC3 = 3,
    BC4 = 4,
    BC5 = 5,
    BC6 = 6,
    BC7 = 7

// RXADDRH
public const
    RXADDR8 = 0,
    RXADDR9 = 1,
    RXADDR10 = 2,
    RXADDR11 = 3

// RXADDRL
public const
    RXADDR0 = 0,
    RXADDR1 = 1,
    RXADDR2 = 2,
    RXADDR3 = 3,
    RXADDR4 = 4,
    RXADDR5 = 5,
    RXADDR6 = 6,
    RXADDR7 = 7

// TXADDRH
public const
    TXADDR8 = 0,
    TXADDR9 = 1,
    TXADDR10 = 2,
    TXADDR11 = 3

// TXADDRL
public const
    TXADDR0 = 0,
    TXADDR1 = 1,
    TXADDR2 = 2,
    TXADDR3 = 3,
    TXADDR4 = 4,
    TXADDR5 = 5,
    TXADDR6 = 6,
    TXADDR7 = 7

// PORTVP
public const
    RVP0 = 0,
    RVP1 = 1,
    RVP2 = 2,
    RVP3 = 3,
    RVP4 = 4,
    RVP5 = 5,
    RVP6 = 6,
    RVP7 = 7

// LATVP
public const
    LATVP0 = 0,
    LATVP1 = 1,
    LATVP2 = 2,
    LATVP3 = 3,
    LATVP4 = 4,
    LATVP5 = 5,
    LATVP6 = 6,
    LATVP7 = 7

// TRISVP
public const
    TRISVP0 = 0,
    TRISVP1 = 1,
    TRISVP2 = 2,
    TRISVP3 = 3,
    TRISVP4 = 4,
    TRISVP5 = 5,
    TRISVP6 = 6,
    TRISVP7 = 7

// UADDR
public const
    ADDR0 = 0,
    ADDR1 = 1,
    ADDR2 = 2,
    ADDR3 = 3,
    ADDR4 = 4,
    ADDR5 = 5,
    ADDR6 = 6

// UCON
public const
    SUSPND = 1,
    RESUME = 2,
    USBEN = 3,
    PKTDIS = 4,
    SE0 = 5,
    PPBRST = 6

// USTAT
public const
    PPBI = 1,
    DIR = 2,
    ENDP0 = 3,
    ENDP1 = 4,
    ENDP2 = 5,
    ENDP3 = 6

// UEIR
public const
    PIDEF = 0,
    CRC5EF = 1,
    CRC16EF = 2,
    DFN8EF = 3,
    BTOEF = 4,
    BTSEF = 7

// UIR
public const
    URSTIF = 0,
    UERRIF = 1,
    ACTVIF = 2,
    TRNIF = 3,
    IDLEIF = 4,
    STALLIF = 5,
    SOFIF = 6

// UFRMH
public const
    FRM8 = 0,
    FRM9 = 1,
    FRM10 = 2

// UFRML
public const
    FRM0 = 0,
    FRM1 = 1,
    FRM2 = 2,
    FRM3 = 3,
    FRM4 = 4,
    FRM5 = 5,
    FRM6 = 6,
    FRM7 = 7

// RCON4
public const
    PMSLP = 0,
    DPSLP = 2,
    SRETEN = 4

// RCON3
public const
    VBAT = 0,
    VBPOR = 1,
    VDDPOR = 2,
    VDDBOR = 3,
    STKERR = 7

// RCON2
public const
    SWDTEN = 5,
    EXTR = 7

// EECON1
public const
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    WWPROG = 5

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5,
    RE6 = 6,
    RE7 = 7

// PORTF
public const
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG0 = 0,
    RG1 = 1,
    RG2 = 2,
    RG3 = 3,
    RG4 = 4

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5,
    LATE6 = 6,
    LATE7 = 7

// LATF
public const
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG0 = 0,
    LATG1 = 1,
    LATG2 = 2,
    LATG3 = 3,
    LATG4 = 4

// TRISA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5,
    TRISE6 = 6,
    TRISE7 = 7

// TRISF
public const
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISG
public const
    TRISG0 = 0,
    TRISG1 = 1,
    TRISG2 = 2,
    TRISG3 = 3,
    TRISG4 = 4

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5

// PSTR1CON

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    TMR1GIE = 2,
    SSP1IE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6,
    PSPIE = 7

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    TMR1GIF = 2,
    SSP1IF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6,
    PSPIF = 7

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    TMR1GIP = 2,
    SSP1IP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6,
    PSPIP = 7

// PIE2
public const
    TMR3GIE = 0,
    TMR3IE = 1,
    HLVDIE = 2,
    BCL1IE = 3,
    USBIE = 4,
    BCL2IE = 5,
    SSP2IE = 6,
    OSCFIE = 7

// PIR2
public const
    TMR3GIF = 0,
    TMR3IF = 1,
    HLVDIF = 2,
    BCL1IF = 3,
    USBIF = 4,
    BCL2IF = 5,
    SSP2IF = 6,
    OSCFIF = 7

// IPR2
public const
    TMR3GIP = 0,
    TMR3IP = 1,
    HLVDIP = 2,
    BCL1IP = 3,
    USBIP = 4,
    BCL2IP = 5,
    SSP2IP = 6,
    OSCFIP = 7

// PIE3
public const
    RTCCIE = 0,
    CCP1IE = 1,
    CCP2IE = 2,
    CTMUIE = 3,
    TX2IE = 4,
    RC2IE = 5,
    LCDIE = 6,
    TMR5GIE = 7

// PIR3
public const
    RTCCIF = 0,
    CCP1IF = 1,
    CCP2IF = 2,
    CTMUIF = 3,
    TX2IF = 4,
    RC2IF = 5,
    LCDIF = 6,
    TMR5GIF = 7

// IPR3
public const
    RTCCIP = 0,
    CCP1IP = 1,
    CCP2IP = 2,
    CTMUIP = 3,
    TX2IP = 4,
    RC2IP = 5,
    LCDIP = 6,
    TMR5GIP = 7

// PIR6
public const
    CMP1IF = 0,
    CMP2IF = 1,
    CMP3IF = 2,
    TX3IF = 4,
    RC3IF = 5,
    TX4IF = 6,
    RC4IF = 7

// PSPCON
public const
    PSPMODE = 4,
    IBOV = 5,
    OBF = 6,
    IBF = 7

// HLVDCON
public const
    HLVDL0 = 0,
    HLVDL1 = 1,
    HLVDL2 = 2,
    HLVDL3 = 3,
    HLVDEN = 4,
    IRVST = 5,
    BGVST = 6,
    VDIRMAG = 7

// IPR6
public const
    CMP1IP = 0,
    CMP2IP = 1,
    CMP3IP = 2,
    TX3IP = 4,
    RC3IP = 5,
    TX4IP = 6,
    RC4IP = 7

// T1GCON
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GVAL = 2,
    T1GGO_T1DONE = 3,
    T1GSPM = 4,
    T1GTM = 5,
    T1GPOL = 6,
    TMR1GE = 7

// RCSTA
public const
    ADEN = 3

// RCSTA1

// TXSTA

// TXSTA1

// SPBRG

// SPBRG1

// T3GCON
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GVAL = 2,
    T3GGO_T3DONE = 3,
    T3GSPM = 4,
    T3GTM = 5,
    T3GPOL = 6,
    TMR3GE = 7

// T3CON
public const
    TMR3ON = 0,
    _T3SYNC = 2,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    TMR3CS0 = 6,
    TMR3CS1 = 7

// PIE4
public const
    ECCP3IE = 0,
    CCP4IE = 1,
    CCP5IE = 2,
    CCP6IE = 3,
    CCP7IE = 4,
    CCP8IE = 5,
    CCP9IE = 6,
    CCP10IE = 7

// PIR4
public const
    ECCP3IF = 0,
    CCP4IF = 1,
    CCP5IF = 2,
    CCP6IF = 3,
    CCP7IF = 4,
    CCP8IF = 5,
    CCP9IF = 6,
    CCP10IF = 7

// IPR4
public const
    ECCP3IP = 0,
    CCP4IP = 1,
    CCP5IP = 2,
    CCP6IP = 3,
    CCP7IP = 4,
    CCP8IP = 5,
    CCP9IP = 6,
    CCP10IP = 7

// PIE5
public const
    TMR4IE = 0,
    TMR5IE = 1,
    TMR6IE = 2,
    TMR8IE = 4,
    ACTLOCKIE = 5,
    ACTORSIE = 6

// PIR5
public const
    TMR4IF = 0,
    TMR5IF = 1,
    TMR6IF = 2,
    TMR8IF = 4,
    ACTLOCKIF = 5,
    ACTORSIF = 6

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ECCP1DEL
public const
    P1DC0 = 0,
    P1DC1 = 1,
    P1DC2 = 2,
    P1DC3 = 3,
    P1DC4 = 4,
    P1DC5 = 5,
    P1DC6 = 6,
    P1RSEN = 7

// ECCP1AS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCP1AS0 = 4,
    ECCP1AS1 = 5,
    ECCP1AS2 = 6,
    ECCP1ASE = 7

// CVRCONL
public const
    CVRNSS = 0,
    CVRPSS0 = 4,
    CVRPSS1 = 5,
    CVROE = 6,
    CVREN = 7

// CVRCONH
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVR4 = 4

// ADCON1L
public const
    DONE = 0,
    SAMP = 1,
    ASAM = 2,
    SSRC0 = 4,
    SSRC1 = 5,
    SSRC2 = 6,
    SSRC3 = 7

// ADCON1H
public const
    FORM0 = 0,
    FORM1 = 1,
    MODE12 = 2,
    ADON = 7

// CMSTAT
public const
    C1OUT = 0,
    C2OUT = 1,
    C3OUT = 2

// SSP1CON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSP1CON1

// SSP1STAT
public const
    _W = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    _A = 5

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    _T1SYNC = 2,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    TMR1CS0 = 6,
    TMR1CS1 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    IPEN = 7

// IOCF
public const
    IOCF0 = 0,
    IOCF1 = 1,
    IOCF2 = 2,
    IOCF3 = 3,
    IOCF4 = 4,
    IOCF5 = 5,
    IOCF6 = 6,
    IOCF7 = 7

// IPR5
public const
    TMR4IP = 0,
    TMR5IP = 1,
    TMR6IP = 2,
    TMR8IP = 4,
    ACTLOCKIP = 5,
    ACTORSIP = 6

// OSCCON
public const
    NOSC0 = 0,
    NOSC1 = 1,
    NOSC2 = 2,
    COSC0 = 4,
    COSC1 = 5,
    COSC2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0CS0 = 4,
    T0CS1 = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    IOCIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    IOCIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    IOCIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
