//
//****************************************************************
// Name: P18F84J11.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F84J11


// RCSTA2
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// TXSTA2
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB2 = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5

// BAUDCON1
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5,
    RE6 = 6,
    RE7 = 7

// PORTF
public const
    RF1 = 1,
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG0 = 0,
    RG1 = 1,
    RG2 = 2,
    RG3 = 3,
    RG4 = 4,
    RJPU = 5,
    REPU = 6,
    RDPU = 7

// PORTH
public const
    RH0 = 0,
    RH1 = 1,
    RH2 = 2,
    RH3 = 3,
    RH4 = 4,
    RH5 = 5,
    RH6 = 6,
    RH7 = 7

// PORTJ
public const
    RJ0 = 0,
    RJ1 = 1,
    RJ2 = 2,
    RJ3 = 3,
    RJ4 = 4,
    RJ5 = 5,
    RJ6 = 6,
    RJ7 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5,
    LATE6 = 6,
    LATE7 = 7

// LATF
public const
    LATF1 = 1,
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG0 = 0,
    LATG1 = 1,
    LATG2 = 2,
    LATG3 = 3,
    LATG4 = 4,
    U1OD = 6,
    U2OD = 7

// LATH
public const
    LATH0 = 0,
    LATH1 = 1,
    LATH2 = 2,
    LATH3 = 3,
    LATH4 = 4,
    LATH5 = 5,
    LATH6 = 6,
    LATH7 = 7

// LATJ
public const
    LATJ0 = 0,
    LATJ1 = 1,
    LATJ2 = 2,
    LATJ3 = 3,
    LATJ4 = 4,
    LATJ5 = 5,
    LATJ6 = 6,
    LATJ7 = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// DDRD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISD

// DDRE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5,
    TRISE6 = 6,
    TRISE7 = 7

// TRISE

// DDRF
public const
    TRISF1 = 1,
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISF

// DDRG
public const
    TRISG0 = 0,
    TRISG1 = 1,
    TRISG2 = 2,
    TRISG3 = 3,
    TRISG4 = 4,
    CCP1OD = 5,
    CCP2OD = 6,
    SPIOD = 7

// TRISG

// DDRH
public const
    TRISH0 = 0,
    TRISH1 = 1,
    TRISH2 = 2,
    TRISH3 = 3,
    TRISH4 = 4,
    TRISH5 = 5,
    TRISH6 = 6,
    TRISH7 = 7

// TRISH

// DDRJ
public const
    TRISJ0 = 0,
    TRISJ1 = 1,
    TRISJ2 = 2,
    TRISJ3 = 3,
    TRISJ4 = 4,
    TRISJ5 = 5,
    TRISJ6 = 6,
    TRISJ7 = 7

// TRISJ

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    PLLEN = 6,
    INTSRC = 7

// MEMCON
public const
    WM0 = 0,
    WM1 = 1,
    WAIT0 = 4,
    WAIT1 = 5,
    EBDIS = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    SSPIE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6,
    PSPIE = 7

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    SSPIF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6,
    PSPIF = 7

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    SSPIP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6,
    PSPIP = 7

// PIE2
public const
    TMR3IE = 1,
    LVDIE = 2,
    BCLIE = 3,
    CMIE = 6,
    OSCFIE = 7

// PIR2
public const
    TMR3IF = 1,
    LVDIF = 2,
    BCLIF = 3,
    CMIF = 6,
    OSCFIF = 7

// IPR2
public const
    TMR3IP = 1,
    LVDIP = 2,
    BCLIP = 3,
    CMIP = 6,
    OSCFIP = 7

// PIE3
public const
    CCP1IE = 1,
    CCP2IE = 2,
    TX2IE = 4,
    RC2IE = 5

// PIR3
public const
    CCP1IF = 1,
    CCP2IF = 2,
    TX2IF = 4,
    RC2IF = 5

// IPR3
public const
    CCP1IP = 1,
    CCP2IP = 2,
    TX2IP = 4,
    RC2IP = 5

// EECON1
public const
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4

// RCSTA
public const
    RCD8 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADDEN1 = 3,
    CREN1 = 4,
    SREN1 = 5,
    RC9 = 6,
    SPEN1 = 7

// RCSTA1
public const
    RX9D1 = 0,
    _RC8 = 6

// TXSTA
public const
    TXD8 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX8_9 = 6,
    CSRC1 = 7

// TXSTA1
public const
    TX9D1 = 0,
    SENDB1 = 3,
    _TX8 = 6

// PSPCON
public const
    PSPMODE = 4,
    IBOV = 5,
    OBF = 6,
    IBF = 7

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    T3CCP2 = 6,
    RD16 = 7

// CMCON
public const
    CM0 = 0,
    CM1 = 1,
    CM2 = 2,
    CIS = 3,
    C1INV = 4,
    C2INV = 5,
    C1OUT_CMCON = 6,
    C2OUT_CMCON = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVROE = 6,
    CVREN = 7

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    VCFG0 = 4,
    VCFG1 = 5

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    ADCAL = 7

// SSP1CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSP1CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPCON1

// SSP1STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSPSTAT
public const
    R = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    D = 5

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0,
    REGSLP = 7

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    IOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
