//
//****************************************************************
// Name: P18F86K90.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18F86K90


// LCDCON
public const
    LMUX0 = 0,
    LMUX1 = 1,
    CS0 = 2,
    CS1 = 3,
    WERR = 5,
    SLPEN = 6,
    LCDEN = 7

// LCDPS
public const
    LP0 = 0,
    LP1 = 1,
    LP2 = 2,
    LP3 = 3,
    WA = 4,
    LCDA = 5,
    BIASMD = 6,
    WFT = 7

// LCDSE0
public const
    SE00 = 0,
    SE01 = 1,
    SE02 = 2,
    SE03 = 3,
    SE04 = 4,
    SE05 = 5,
    SE06 = 6,
    SE07 = 7

// LCDSE1
public const
    SE08 = 0,
    SE09 = 1,
    SE10 = 2,
    SE11 = 3,
    SE12 = 4,
    SE13 = 5,
    SE14 = 6,
    SE15 = 7

// LCDSE2
public const
    SE16 = 0,
    SE17 = 1,
    SE18 = 2,
    SE19 = 3,
    SE20 = 4,
    SE21 = 5,
    SE22 = 6,
    SE23 = 7

// LCDSE3
public const
    SE24 = 0,
    SE25 = 1,
    SE26 = 2,
    SE27 = 3,
    SE28 = 4,
    SE29 = 5,
    SE30 = 6,
    SE31 = 7

// LCDSE4
public const
    SE32 = 0,
    SE33 = 1,
    SE34 = 2,
    SE35 = 3,
    SE36 = 4,
    SE37 = 5,
    SE38 = 6,
    SE39 = 7

// LCDSE5
public const
    SE40 = 0,
    SE41 = 1,
    SE42 = 2,
    SE43 = 3,
    SE44 = 4,
    SE45 = 5,
    SE46 = 6,
    SE47 = 7

// LCDRL
public const
    LRLAT0 = 0,
    LRLAT1 = 1,
    LRLAT2 = 2,
    LCDIRI = 3,
    LRLBP0 = 4,
    LRLBP1 = 5,
    LRLAP0 = 6,
    LRLAP1 = 7

// LCDREF
public const
    VLCD1PE = 0,
    VLCD2PE = 1,
    VLCD3PE = 2,
    LCDCST0 = 3,
    LCDCST1 = 4,
    LCDCST2 = 5,
    LCDIRS = 6,
    LCDIRE = 7

// SSP2CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSP2CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSP2STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSP2ADD
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// T4CON
public const
    T4CKPS0 = 0,
    T4CKPS1 = 1,
    TMR4ON = 2,
    T4OUTPS0 = 3,
    T4OUTPS1 = 4,
    T4OUTPS2 = 5,
    T4OUTPS3 = 6

// CCP7CON
public const
    CCP7M0 = 0,
    CCP7M1 = 1,
    CCP7M2 = 2,
    CCP7M3 = 3,
    DC7B0 = 4,
    DC7B1 = 5

// CCP6CON
public const
    CCP6M0 = 0,
    CCP6M1 = 1,
    CCP6M2 = 2,
    CCP6M3 = 3,
    DC6B0 = 4,
    DC6B1 = 5

// CCP5CON
public const
    CCP5M0 = 0,
    CCP5M1 = 1,
    CCP5M2 = 2,
    CCP5M3 = 3,
    DC5B0 = 4,
    DC5B1 = 5

// CCP4CON
public const
    CCP4M0 = 0,
    CCP4M1 = 1,
    CCP4M2 = 2,
    CCP4M3 = 3,
    DC4B0 = 4,
    DC4B1 = 5

// T5GCON
public const
    T5GSS0 = 0,
    T5GSS1 = 1,
    T5GVAL = 2,
    T5GGO_T5DONE = 3,
    T5GSPM = 4,
    T5GTM = 5,
    T5GPOL = 6,
    TMR5GE = 7

// T5CON
public const
    TMR5ON = 0,
    RD16 = 1,
    _T5SYNC = 2,
    SOSCEN = 3,
    T5CKPS0 = 4,
    T5CKPS1 = 5,
    TMR5CS0 = 6,
    TMR5CS1 = 7

// PMD3
public const
    TMR12MD = 0,
    CCP4MD = 1,
    CCP5MD = 2,
    CCP6MD = 3,
    CCP7MD = 4,
    CCP8MD = 5,
    CCP9MD = 6,
    CCP10MD = 7

// PMD2
public const
    CMP1MD = 0,
    CMP2MD = 1,
    CMP3MD = 2,
    TMR5MD = 3,
    TMR6MD = 4,
    TMR7MD = 5,
    TMR8MD = 6,
    TMR10MD = 7

// PMD1
public const
    TMR1MD = 1,
    TMR2MD = 2,
    TMR3MD = 3,
    TMR4MD = 4,
    RTCCMD = 5,
    CTMUMD = 6

// PMD0
public const
    ADCMD = 0,
    SSP1MD = 1,
    SSP2MD = 2,
    UART1MD = 3,
    UART2MD = 4,
    CCP1MD = 5,
    CCP2MD = 6,
    CCP3MD = 7

// PSTR3CON
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    STRSYNC = 4,
    CMPL0 = 6,
    CMPL1 = 7

// PSTR2CON

// BAUDCON2
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// TXSTA2
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// RCSTA2
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// ANCON2
public const
    ANSEL16 = 0,
    ANSEL17 = 1,
    ANSEL18 = 2,
    ANSEL19 = 3,
    ANSEL20 = 4,
    ANSEL21 = 5,
    ANSEL22 = 6,
    ANSEL23 = 7

// ANCON1
public const
    ANSEL8 = 0,
    ANSEL9 = 1,
    ANSEL10 = 2,
    ANSEL11 = 3,
    ANSEL12 = 4,
    ANSEL13 = 5,
    ANSEL14 = 6,
    ANSEL15 = 7

// ANCON0
public const
    ANSEL0 = 0,
    ANSEL1 = 1,
    ANSEL2 = 2,
    ANSEL3 = 3,
    ANSEL4 = 4,
    ANSEL5 = 5,
    ANSEL6 = 6,
    ANSEL7 = 7

// ODCON3
public const
    CTMUDS = 0,
    U1OD = 6,
    U2OD = 7

// ODCON2
public const
    CCP3OD = 0,
    CCP4OD = 1,
    CCP5OD = 2,
    CCP6OD = 3,
    CCP7OD = 4,
    CCP8OD = 5,
    CCP9OD = 6,
    CCP10OD = 7

// ODCON1
public const
    SPI2OD = 0,
    CCP1OD = 5,
    CCP2OD = 6,
    SPI1OD = 7

// REFOCON
public const
    RODIV0 = 0,
    RODIV1 = 1,
    RODIV2 = 2,
    RODIV3 = 3,
    ROSEL = 4,
    ROSSLP = 5,
    ROON = 7

// CCPTMRS2
public const
    C8TSEL0 = 0,
    C8TSEL1 = 1,
    C9TSEL0 = 2,
    C10TSEL0 = 4

// CCPTMRS1
public const
    C4TSEL0 = 0,
    C4TSEL1 = 1,
    C5TSEL0 = 2,
    C6TSEL0 = 4,
    C7TSEL0 = 6,
    C7TSEL1 = 7

// CCPTMRS0
public const
    C1TSEL0 = 0,
    C1TSEL1 = 1,
    C1TSEL2 = 2,
    C2TSEL0 = 3,
    C2TSEL1 = 4,
    C2TSEL2 = 5,
    C3TSEL0 = 6,
    C3TSEL1 = 7

// CM3CON
public const
    CCH0 = 0,
    CCH1 = 1,
    CREF = 2,
    EVPOL0 = 3,
    EVPOL1 = 4,
    CPOL = 5,
    COE = 6,
    CON = 7

// CM3CON1

// CM2CON

// CM2CON1

// T12CON
public const
    T12CKPS0 = 0,
    T12CKPS1 = 1,
    TMR12ON = 2,
    T12OUTPS0 = 3,
    T12OUTPS1 = 4,
    T12OUTPS2 = 5,
    T12OUTPS3 = 6

// T10CON
public const
    T10CKPS0 = 0,
    T10CKPS1 = 1,
    TMR10ON = 2,
    T10OUTPS0 = 3,
    T10OUTPS1 = 4,
    T10OUTPS2 = 5,
    T10OUTPS3 = 6

// T8CON
public const
    T8CKPS0 = 0,
    T8CKPS1 = 1,
    TMR8ON = 2,
    T8OUTPS0 = 3,
    T8OUTPS1 = 4,
    T8OUTPS2 = 5,
    T8OUTPS3 = 6

// T6CON
public const
    T6CKPS0 = 0,
    T6CKPS1 = 1,
    TMR6ON = 2,
    T6OUTPS0 = 3,
    T6OUTPS1 = 4,
    T6OUTPS2 = 5,
    T6OUTPS3 = 6

// T7GCON
public const
    T7GSS0 = 0,
    T7GSS1 = 1,
    T7GVAL = 2,
    T7GGO_T7DONE = 3,
    T7GSPM = 4,
    T7GTM = 5,
    T7GPOL = 6,
    TMR7GE = 7

// T7CON
public const
    TMR7ON = 0,
    _T7SYNC = 2,
    T7CKPS0 = 4,
    T7CKPS1 = 5,
    TMR7CS0 = 6,
    TMR7CS1 = 7

// CCP10CON
public const
    CCP10M0 = 0,
    CCP10M1 = 1,
    CCP10M2 = 2,
    CCP10M3 = 3,
    DC10B0 = 4,
    DC10B1 = 5

// CCP9CON
public const
    CCP9M0 = 0,
    CCP9M1 = 1,
    CCP9M2 = 2,
    CCP9M3 = 3,
    DC9B0 = 4,
    DC9B1 = 5

// CCP8CON
public const
    CCP8M0 = 0,
    CCP8M1 = 1,
    CCP8M2 = 2,
    CCP8M3 = 3,
    DC8B0 = 4,
    DC8B1 = 5

// CCP3CON
public const
    CCP3M0 = 0,
    CCP3M1 = 1,
    CCP3M2 = 2,
    CCP3M3 = 3,
    DC3B0 = 4,
    DC3B1 = 5,
    P3M0 = 6,
    P3M1 = 7

// ECCP3DEL
public const
    P3DC0 = 0,
    P3DC1 = 1,
    P3DC2 = 2,
    P3DC3 = 3,
    P3DC4 = 4,
    P3DC5 = 5,
    P3DC6 = 6,
    P3RSEN = 7

// PWM3CON

// ECCP3AS
public const
    PSS3BD0 = 0,
    PSS3BD1 = 1,
    PSS3AC0 = 2,
    PSS3AC1 = 3,
    ECCP3AS0 = 4,
    ECCP3AS1 = 5,
    ECCP3AS2 = 6,
    ECCP3ASE = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5,
    P2M0 = 6,
    P2M1 = 7

// ECCP2CON
public const
    CCP2Y = 4,
    CCP2X = 5

// ECCP2DEL
public const
    P2DC0 = 0,
    P2DC1 = 1,
    P2DC2 = 2,
    P2DC3 = 3,
    P2DC4 = 4,
    P2DC5 = 5,
    P2DC6 = 6,
    P2RSEN = 7

// PWM2CON

// ECCP2AS
public const
    PSS2BD0 = 0,
    PSS2BD1 = 1,
    PSS2AC0 = 2,
    PSS2AC1 = 3,
    ECCP2AS0 = 4,
    ECCP2AS1 = 5,
    ECCP2AS2 = 6,
    ECCP2ASE = 7

// PADCFG1
public const
    RTSECSEL0 = 1,
    RTSECSEL1 = 2,
    RJPU = 5,
    REPU = 6,
    RDPU = 7

// CM1CON

// CM1CON1

// CTMUICON
public const
    IRNG0 = 0,
    IRNG1 = 1,
    ITRIM0 = 2,
    ITRIM1 = 3,
    ITRIM2 = 4,
    ITRIM3 = 5,
    ITRIM4 = 6,
    ITRIM5 = 7

// CTMUCONL
public const
    EDG1STAT = 0,
    EDG2STAT = 1,
    EDG1SEL0 = 2,
    EDG1SEL1 = 3,
    EDG1POL = 4,
    EDG2SEL0 = 5,
    EDG2SEL1 = 6,
    EDG2POL = 7

// CTMUCONH
public const
    CTTRIG = 0,
    IDISSEN = 1,
    EDGSEQEN = 2,
    EDGEN = 3,
    TGEN = 4,
    CTMUSIDL = 5,
    CTMUEN = 7

// ALRMRPT
public const
    ARPT0 = 0,
    ARPT1 = 1,
    ARPT2 = 2,
    ARPT3 = 3,
    ARPT4 = 4,
    ARPT5 = 5,
    ARPT6 = 6,
    ARPT7 = 7

// ALRMCFG
public const
    ALRMPTR0 = 0,
    ALRMPTR1 = 1,
    AMASK0 = 2,
    AMASK1 = 3,
    AMASK2 = 4,
    AMASK3 = 5,
    CHIME = 6,
    ALRMEN = 7

// RTCVALH
public const
    WAITE0 = 0,
    WAITE1 = 1,
    WAITM0 = 2,
    WAITM1 = 3,
    WAITM2 = 4,
    WAITM3 = 5,
    WAITB0 = 6,
    WAITB1 = 7

// RTCCAL
public const
    CAL0 = 0,
    CAL1 = 1,
    CAL2 = 2,
    CAL3 = 3,
    CAL4 = 4,
    CAL5 = 5,
    CAL6 = 6,
    CAL7 = 7

// RTCCFG
public const
    RTCPTR0 = 0,
    RTCPTR1 = 1,
    RTCOE = 2,
    HALFSEC = 3,
    RTCSYNC = 4,
    RTCWREN = 5,
    RTCEN = 7

// PIE6
public const
    CMP1IE = 0,
    CMP2IE = 1,
    CMP3IE = 2,
    EEIE = 4

// OSCCON2
public const
    MFIOSEL = 0,
    MFIOFS = 1,
    SOSCGO = 3,
    SOSCRUN = 6

// BAUDCON

// BAUDCON1

// BAUDCTL

// LCDDATA0
public const
    S00C0 = 0,
    S01C0 = 1,
    S02C0 = 2,
    S03C0 = 3,
    S04C0 = 4,
    S05C0 = 5,
    S06C0 = 6,
    S07C0 = 7

// LCDDATA1
public const
    S08C0 = 0,
    S09C0 = 1,
    S10C0 = 2,
    S11C0 = 3,
    S12C0 = 4,
    S13C0 = 5,
    S14C0 = 6,
    S15C0 = 7

// LCDDATA2
public const
    S16C0 = 0,
    S17C0 = 1,
    S18C0 = 2,
    S19C0 = 3,
    S20C0 = 4,
    S21C0 = 5,
    S22C0 = 6,
    S23C0 = 7

// LCDDATA3
public const
    S24C0 = 0,
    S25C0 = 1,
    S26C0 = 2,
    S27C0 = 3,
    S28C0 = 4,
    S29C0 = 5,
    S30C0 = 6,
    S31C0 = 7

// LCDDATA4
public const
    S32C0 = 0,
    S33C0 = 1,
    S34C0 = 2,
    S35C0 = 3,
    S36C0 = 4,
    S37C0 = 5,
    S38C0 = 6,
    S39C0 = 7

// LCDDATA5
public const
    S40C0 = 0,
    S41C0 = 1,
    S42C0 = 2,
    S43C0 = 3,
    S44C0 = 4,
    S45C0 = 5,
    S46C0 = 6,
    S47C0 = 7

// LCDDATA6
public const
    S00C1 = 0,
    S01C1 = 1,
    S02C1 = 2,
    S03C1 = 3,
    S04C1 = 4,
    S05C1 = 5,
    S06C1 = 6,
    S07C1 = 7

// LCDDATA7
public const
    S08C1 = 0,
    S09C1 = 1,
    S10C1 = 2,
    S11C1 = 3,
    S12C1 = 4,
    S13C1 = 5,
    S14C1 = 6,
    S15C1 = 7

// LCDDATA8
public const
    S16C1 = 0,
    S17C1 = 1,
    S18C1 = 2,
    S19C1 = 3,
    S20C1 = 4,
    S21C1 = 5,
    S22C1 = 6,
    S23C1 = 7

// LCDDATA9
public const
    S24C1 = 0,
    S25C1 = 1,
    S26C1 = 2,
    S27C1 = 3,
    S28C1 = 4,
    S29C1 = 5,
    S30C1 = 6,
    S31C1 = 7

// LCDDATA10
public const
    S32C1 = 0,
    S33C1 = 1,
    S34C1 = 2,
    S35C1 = 3,
    S36C1 = 4,
    S37C1 = 5,
    S38C1 = 6,
    S39C1 = 7

// LCDDATA11
public const
    S40C1 = 0,
    S41C1 = 1,
    S42C1 = 2,
    S43C1 = 3,
    S44C1 = 4,
    S45C1 = 5,
    S46C1 = 6,
    S47C1 = 7

// LCDDATA12
public const
    S00C2 = 0,
    S01C2 = 1,
    S02C2 = 2,
    S03C2 = 3,
    S04C2 = 4,
    S05C2 = 5,
    S06C2 = 6,
    S07C2 = 7

// LCDDATA13
public const
    S08C2 = 0,
    S09C2 = 1,
    S10C2 = 2,
    S11C2 = 3,
    S12C2 = 4,
    S13C2 = 5,
    S14C2 = 6,
    S15C2 = 7

// LCDDATA14
public const
    S16C2 = 0,
    S17C2 = 1,
    S18C2 = 2,
    S19C2 = 3,
    S20C2 = 4,
    S21C2 = 5,
    S22C2 = 6,
    S23C2 = 7

// LCDDATA15
public const
    S24C2 = 0,
    S25C2 = 1,
    S26C2 = 2,
    S27C2 = 3,
    S28C2 = 4,
    S29C2 = 5,
    S30C2 = 6,
    S31C2 = 7

// LCDDATA16
public const
    S32C2 = 0,
    S33C2 = 1,
    S34C2 = 2,
    S35C2 = 3,
    S36C2 = 4,
    S37C2 = 5,
    S38C2 = 6,
    S39C2 = 7

// LCDDATA17
public const
    S40C2 = 0,
    S41C2 = 1,
    S42C2 = 2,
    S43C2 = 3,
    S44C2 = 4,
    S45C2 = 5,
    S46C2 = 6,
    S47C2 = 7

// LCDDATA18
public const
    S00C3 = 0,
    S01C3 = 1,
    S02C3 = 2,
    S03C3 = 3,
    S04C3 = 4,
    S05C3 = 5,
    S06C3 = 6,
    S07C3 = 7

// LCDDATA19
public const
    S08C3 = 0,
    S09C3 = 1,
    S10C3 = 2,
    S11C3 = 3,
    S12C3 = 4,
    S13C3 = 5,
    S14C3 = 6,
    S15C3 = 7

// LCDDATA20
public const
    S16C3 = 0,
    S17C3 = 1,
    S18C3 = 2,
    S19C3 = 3,
    S20C3 = 4,
    S21C3 = 5,
    S22C3 = 6,
    S23C3 = 7

// LCDDATA21
public const
    S24C3 = 0,
    S25C3 = 1,
    S26C3 = 2,
    S27C3 = 3,
    S28C3 = 4,
    S29C3 = 5,
    S30C3 = 6,
    S31C3 = 7

// LCDDATA22
public const
    S32C3 = 0,
    S33C3 = 1,
    S34C3 = 2,
    S35C3 = 3,
    S36C3 = 4,
    S37C3 = 5,
    S38C3 = 6,
    S39C3 = 7

// LCDDATA23
public const
    S40C3 = 0,
    S41C3 = 1,
    S42C3 = 2,
    S43C3 = 3,
    S44C3 = 4,
    S45C3 = 5,
    S46C3 = 6,
    S47C3 = 7

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5,
    RE6 = 6,
    RE7 = 7

// PORTF
public const
    RF1 = 1,
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG0 = 0,
    RG1 = 1,
    RG2 = 2,
    RG3 = 3,
    RG4 = 4,
    RG5 = 5

// PORTH
public const
    RH0 = 0,
    RH1 = 1,
    RH2 = 2,
    RH3 = 3,
    RH4 = 4,
    RH5 = 5,
    RH6 = 6,
    RH7 = 7

// PORTJ
public const
    RJ0 = 0,
    RJ1 = 1,
    RJ2 = 2,
    RJ3 = 3,
    RJ4 = 4,
    RJ5 = 5,
    RJ6 = 6,
    RJ7 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5,
    LATE6 = 6,
    LATE7 = 7

// LATF
public const
    LATF1 = 1,
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG0 = 0,
    LATG1 = 1,
    LATG2 = 2,
    LATG3 = 3,
    LATG4 = 4

// LATH
public const
    LATH0 = 0,
    LATH1 = 1,
    LATH2 = 2,
    LATH3 = 3,
    LATH4 = 4,
    LATH5 = 5,
    LATH6 = 6,
    LATH7 = 7

// LATJ
public const
    LATJ0 = 0,
    LATJ1 = 1,
    LATJ2 = 2,
    LATJ3 = 3,
    LATJ4 = 4,
    LATJ5 = 5,
    LATJ6 = 6,
    LATJ7 = 7

// TRISA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5,
    TRISE6 = 6,
    TRISE7 = 7

// TRISF
public const
    TRISF1 = 1,
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISG
public const
    TRISG0 = 0,
    TRISG1 = 1,
    TRISG2 = 2,
    TRISG3 = 3,
    TRISG4 = 4

// TRISH
public const
    TRISH0 = 0,
    TRISH1 = 1,
    TRISH2 = 2,
    TRISH3 = 3,
    TRISH4 = 4,
    TRISH5 = 5,
    TRISH6 = 6,
    TRISH7 = 7

// TRISJ
public const
    TRISJ0 = 0,
    TRISJ1 = 1,
    TRISJ2 = 2,
    TRISJ3 = 3,
    TRISJ4 = 4,
    TRISJ5 = 5,
    TRISJ6 = 6,
    TRISJ7 = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    PLLEN = 6,
    INTSRC = 7

// PSTR1CON

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    TMR1GIE = 2,
    SSP1IE = 3,
    TX1IE = 4,
    RC1IE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    TMR1GIF = 2,
    SSP1IF = 3,
    TX1IF = 4,
    RC1IF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    TMR1GIP = 2,
    SSP1IP = 3,
    TX1IP = 4,
    RC1IP = 5,
    ADIP = 6

// PIE2
public const
    TMR3GIE = 0,
    TMR3IE = 1,
    HLVDIE = 2,
    BCL1IE = 3,
    BCL2IE = 4,
    SSP2IE = 5,
    OSCFIE = 7

// PIR2
public const
    TMR3GIF = 0,
    TMR3IF = 1,
    HLVDIF = 2,
    BCL1IF = 3,
    BCL2IF = 4,
    SSP2IF = 5,
    OSCFIF = 7

// IPR2
public const
    TMR3GIP = 0,
    TMR3IP = 1,
    HLVDIP = 2,
    BCL1IP = 3,
    BCL2IP = 4,
    SSP2IP = 5,
    OSCFIP = 7

// PIE3
public const
    RTCCIE = 0,
    CCP1IE = 1,
    CCP2IE = 2,
    CTMUIE = 3,
    TX2IE = 4,
    RC2IE = 5,
    LCDIE = 6,
    TMR5GIE = 7

// PIR3
public const
    RTCCIF = 0,
    CCP1IF = 1,
    CCP2IF = 2,
    CTMUIF = 3,
    TX2IF = 4,
    RC2IF = 5,
    LCDIF = 6,
    TMR5GIF = 7

// IPR3
public const
    RTCCIP = 0,
    CCP1IP = 1,
    CCP2IP = 2,
    CTMUIP = 3,
    TX2IP = 4,
    RC2IP = 5,
    LCDIP = 6,
    TMR5GIP = 7

// PIR6
public const
    CMP1IF = 0,
    CMP2IF = 1,
    CMP3IF = 2,
    EEIF = 4

// HLVDCON
public const
    HLVDL0 = 0,
    HLVDL1 = 1,
    HLVDL2 = 2,
    HLVDL3 = 3,
    HLVDEN = 4,
    IRVST = 5,
    BGVST = 6,
    VDIRMAG = 7

// IPR6
public const
    CMP1IP = 0,
    CMP2IP = 1,
    CMP3IP = 2,
    EEIP = 4

// T1GCON
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GVAL = 2,
    T1GGO_T1DONE = 3,
    T1GSPM = 4,
    T1GTM = 5,
    T1GPOL = 6,
    TMR1GE = 7

// RCSTA
public const
    RCD8 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADEN = 3,
    CREN1 = 4,
    SREN1 = 5,
    RC9 = 6,
    SPEN1 = 7

// RCSTA1
public const
    RX9D1 = 0,
    ADDEN1 = 3,
    _RC8 = 6

// TXSTA
public const
    TXD8 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB1 = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX8_9 = 6,
    CSRC1 = 7

// TXSTA1
public const
    TX9D1 = 0,
    _TX8 = 6

// T3GCON
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GVAL = 2,
    T3GGO_T3DONE = 3,
    T3GSPM = 4,
    T3GTM = 5,
    T3GPOL = 6,
    TMR3GE = 7

// T3CON
public const
    TMR3ON = 0,
    _T3SYNC = 2,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    TMR3CS0 = 6,
    TMR3CS1 = 7

// CMSTAT
public const
    CMP1OUT = 5,
    CMP2OUT = 6,
    CMP3OUT = 7

// CMSTATUS
public const
    C1OUT_CMSTATUS = 5,
    C2OUT_CMSTATUS = 6,
    C3OUT_CMSTATUS = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVR4 = 4,
    CVRSS = 5,
    CVROE = 6,
    CVREN = 7

// PIE4
public const
    CCP3IE = 0,
    CCP4IE = 1,
    CCP5IE = 2,
    CCP6IE = 3,
    CCP7IE = 4,
    CCP8IE = 5,
    CCP9IE = 6,
    CCP10IE = 7

// PIR4
public const
    CCP3IF = 0,
    CCP4IF = 1,
    CCP5IF = 2,
    CCP6IF = 3,
    CCP7IF = 4,
    CCP8IF = 5,
    CCP9IF = 6,
    CCP10IF = 7

// IPR4
public const
    CCP3IP = 0,
    CCP4IP = 1,
    CCP5IP = 2,
    CCP6IP = 3,
    CCP7IP = 4,
    CCP8IP = 5,
    CCP9IP = 6,
    CCP10IP = 7

// PIE5
public const
    TMR4IE = 0,
    TMR5IE = 1,
    TMR6IE = 2,
    TMR7IE = 3,
    TMR8IE = 4,
    TMR10IE = 5,
    TMR12IE = 6,
    TMR7GIE = 7

// PIR5
public const
    TMR4IF = 0,
    TMR5IF = 1,
    TMR6IF = 2,
    TMR7IF = 3,
    TMR8IF = 4,
    TMR10IF = 5,
    TMR12IF = 6,
    TMR7GIF = 7

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ECCP1CON
public const
    CCP1Y = 4,
    CCP1X = 5

// ECCP1DEL
public const
    P1DC0 = 0,
    P1DC1 = 1,
    P1DC2 = 2,
    P1DC3 = 3,
    P1DC4 = 4,
    P1DC5 = 5,
    P1DC6 = 6,
    P1RSEN = 7

// PWM1CON

// ECCP1AS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCP1AS0 = 4,
    ECCP1AS1 = 5,
    ECCP1AS2 = 6,
    ECCP1ASE = 7

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    CHSN0 = 0,
    CHSN1 = 1,
    CHSN2 = 2,
    VNCFG = 3,
    VCFG0 = 4,
    VCFG1 = 5,
    TRIGSEL0 = 6,
    TRIGSEL1 = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5,
    CHS4 = 6

// SSP1CON2
public const
    ADMSK1 = 1,
    ADMSK2 = 2,
    ADMSK3 = 3,
    ADMSK4 = 4,
    ADMSK5 = 5

// SSPCON2

// SSP1CON1

// SSPCON1

// SSP1STAT
public const
    R = 2,
    I2C_START = 3,
    I2C_STOP = 4,
    D = 5

// SSPSTAT
public const
    _W = 2,
    _A = 5

// SSP1ADD

// SSPADD

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    _T1SYNC = 2,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    TMR1CS0 = 6,
    TMR1CS1 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    _CM = 5,
    SBOREN = 6,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0,
    ULPSINK = 1,
    ULPEN = 2,
    SRETEN = 4,
    ULPLVL = 5,
    REGSLP = 7

// IPR5
public const
    TMR4IP = 0,
    TMR5IP = 1,
    TMR6IP = 2,
    TMR7IP = 3,
    TMR8IP = 4,
    TMR10IP = 5,
    TMR12IP = 6,
    TMR7GIP = 7

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    HFIOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
