//
//****************************************************************
// Name: P18LF1230.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF1230


// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// OVDCONS
public const
    POUT0 = 0,
    POUT1 = 1,
    POUT2 = 2,
    POUT3 = 3,
    POUT4 = 4,
    POUT5 = 5

// OVDCOND
public const
    POVD0 = 0,
    POVD1 = 1,
    POVD2 = 2,
    POVD3 = 3,
    POVD4 = 4,
    POVD5 = 5

// DTCON
public const
    DT0 = 0,
    DT1 = 1,
    DT2 = 2,
    DT3 = 3,
    DT4 = 4,
    DT5 = 5,
    DTPS0 = 6,
    DTPS1 = 7

// PWMCON1
public const
    OSYNC = 0,
    UDIS = 1,
    SEVTDIR = 3,
    SEVOPS0 = 4,
    SEVOPS1 = 5,
    SEVOPS2 = 6,
    SEVOPS3 = 7

// PWMCON0
public const
    PMOD0 = 0,
    PMOD1 = 1,
    PMOD2 = 2,
    PWMEN0 = 4,
    PWMEN1 = 5,
    PWMEN2 = 6

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// FLTCONFIG
public const
    FLTAEN = 0,
    FLTAMOD = 1,
    FLTAS = 2,
    BRFEN = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// PTCON1
public const
    PTDIR = 6,
    PTEN = 7

// PTCON0
public const
    PTMOD0 = 0,
    PTMOD1 = 1,
    PTCKPS0 = 2,
    PTCKPS1 = 3,
    PTOPS0 = 4,
    PTOPS1 = 5,
    PTOPS2 = 6,
    PTOPS3 = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    PLLEN = 6,
    INTSRC = 7

// PIE1
public const
    TMR1IE = 0,
    CMP0IE = 1,
    CMP1IE = 2,
    CMP2IE = 3,
    TXIE = 4,
    RCIE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    CMP0IF = 1,
    CMP1IF = 2,
    CMP2IF = 3,
    TXIF = 4,
    RCIF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    CMP0IP = 1,
    CMP1IP = 2,
    CMP2IP = 3,
    TXIP = 4,
    RCIP = 5,
    ADIP = 6

// PIE2
public const
    LVDIE = 2,
    EEIE = 4,
    OSCFIE = 7

// PIR2
public const
    LVDIF = 2,
    EEIF = 4,
    OSCFIF = 7

// IPR2
public const
    LVDIP = 2,
    EEIP = 4,
    OSCFIP = 7

// PIE3
public const
    PTIE = 4

// PIR3
public const
    PTIF = 4

// IPR3
public const
    PTIP = 4

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// CMCON
public const
    CMEN0 = 0,
    CMEN1 = 1,
    CMEN2 = 2,
    C0OUT = 5,
    C1OUT = 6,
    C2OUT = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVREN = 7

// BAUDCON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCTL
public const
    SCKP = 4,
    RCMT = 6

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    VCFG = 4

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    SEVTEN = 7

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6,
    RD16 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    SBOREN = 6,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// LVDCON
public const
    LVDL0 = 0,
    LVDL1 = 1,
    LVDL2 = 2,
    LVDL3 = 3,
    LVDEN = 4,
    IRVST = 5

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    IOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T016BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
