//
//****************************************************************
// Name: P18LF14K50.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF14K50


// UEP0
public const
    EPSTALL = 0,
    EPINEN = 1,
    EPOUTEN = 2,
    EPCONDIS = 3,
    EPHSHK = 4

// UEP1

// UEP2

// UEP3

// UEP4

// UEP5

// UEP6

// UEP7

// UEIE
public const
    PIDEE = 0,
    CRC5EE = 1,
    CRC16EE = 2,
    DFN8EE = 3,
    BTOEE = 4,
    BTSEE = 7

// UADDR
public const
    ADDR0 = 0,
    ADDR1 = 1,
    ADDR2 = 2,
    ADDR3 = 3,
    ADDR4 = 4,
    ADDR5 = 5,
    ADDR6 = 6

// UFRML
public const
    FRM0 = 0,
    FRM1 = 1,
    FRM2 = 2,
    FRM3 = 3,
    FRM4 = 4,
    FRM5 = 5,
    FRM6 = 6,
    FRM7 = 7

// UFRMH
public const
    FRM8 = 0,
    FRM9 = 1,
    FRM10 = 2

// UEIR
public const
    PIDEF = 0,
    CRC5EF = 1,
    CRC16EF = 2,
    DFN8EF = 3,
    BTOEF = 4,
    BTSEF = 7

// UIE
public const
    URSTIE = 0,
    UERRIE = 1,
    ACTVIE = 2,
    TRNIE = 3,
    IDLEIE = 4,
    STALLIE = 5,
    SOFIE = 6

// UCFG
public const
    PPB0 = 0,
    PPB1 = 1,
    FSEN = 2,
    UPUEN = 4,
    UTEYE = 7

// UIR
public const
    URSTIF = 0,
    UERRIF = 1,
    ACTVIF = 2,
    TRNIF = 3,
    IDLEIF = 4,
    STALLIF = 5,
    SOFIF = 6

// USTAT
public const
    PPBI = 1,
    DIR = 2,
    ENDP0 = 3,
    ENDP1 = 4,
    ENDP2 = 5,
    ENDP3 = 6

// UCON
public const
    SUSPND = 1,
    RESUME = 2,
    USBEN = 3,
    PKTDIS = 4,
    SE0 = 5,
    PPBRST = 6

// SRCON0
public const
    SRPR = 0,
    SRPS = 1,
    SRNQEN = 2,
    SRQEN = 3,
    SRCLK0 = 4,
    SRCLK1 = 5,
    SRCLK2 = 6,
    SRLEN = 7

// SRCON1
public const
    SRRC1E = 0,
    SRRC2E = 1,
    SRRCKE = 2,
    SRRPE = 3,
    SRSC1E = 4,
    SRSC2E = 5,
    SRSCKE = 6,
    SRSPE = 7

// CM2CON0
public const
    C2CH0 = 0,
    C2CH1 = 1,
    C2R = 2,
    C2SP = 3,
    C2POL = 4,
    C2OE = 5,
    C2OUT = 6,
    C2ON = 7

// CM2CON1
public const
    C2SYNC = 0,
    C1SYNC = 1,
    C2HYS = 2,
    C1HYS = 3,
    C2RSEL = 4,
    C1RSEL = 5,
    MC2OUT = 6,
    MC1OUT = 7

// CM1CON0
public const
    C1CH0 = 0,
    C1CH1 = 1,
    C1R = 2,
    C1SP = 3,
    C1POL = 4,
    C1OE = 5,
    C1OUT = 6,
    C1ON = 7

// SSPMSK
public const
    MSK0 = 0,
    MSK1 = 1,
    MSK2 = 2,
    MSK3 = 3,
    MSK4 = 4,
    MSK5 = 5,
    MSK6 = 6,
    MSK7 = 7

// SLRCON
public const
    SLRA = 0,
    SLRB = 1,
    SLRC = 2

// WPUA
public const
    WPUA3 = 3,
    WPUA4 = 4,
    WPUA5 = 5

// WPUB
public const
    WPUB4 = 4,
    WPUB5 = 5,
    WPUB6 = 6,
    WPUB7 = 7

// IOCA
public const
    IOCA0 = 0,
    IOCA1 = 1,
    IOCA3 = 3,
    IOCA4 = 4,
    IOCA5 = 5

// IOCB
public const
    IOCB4 = 4,
    IOCB5 = 5,
    IOCB6 = 6,
    IOCB7 = 7

// ANSEL
public const
    ANS3 = 3,
    ANS4 = 4,
    ANS5 = 5,
    ANS6 = 6,
    ANS7 = 7

// ANSELH
public const
    ANS8 = 0,
    ANS9 = 1,
    ANS10 = 2,
    ANS11 = 3

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5

// PORTB
public const
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// LATA
public const
    LATA4 = 4,
    LATA5 = 5

// LATB
public const
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// DDRA
public const
    TRISA4 = 4,
    TRISA5 = 5

// TRISA

// DDRB
public const
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    SPLLEN = 6,
    INTSRC = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSPIE = 3,
    TXIE = 4,
    RCIE = 5,
    ADIE = 6

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSPIF = 3,
    TXIF = 4,
    RCIF = 5,
    ADIF = 6

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSPIP = 3,
    TXIP = 4,
    RCIP = 5,
    ADIP = 6

// PIE2
public const
    TMR3IE = 1,
    USBIE = 2,
    BCLIE = 3,
    EEIE = 4,
    C2IE = 5,
    C1IE = 6,
    OSCFIE = 7

// PIR2
public const
    TMR3IF = 1,
    USBIF = 2,
    BCLIF = 3,
    EEIF = 4,
    C2IF = 5,
    C1IF = 6,
    OSCFIF = 7

// IPR2
public const
    TMR3IP = 1,
    USBIP = 2,
    BCLIP = 3,
    EEIP = 4,
    C2IP = 5,
    C1IP = 6,
    OSCFIP = 7

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// EEADR
public const
    EEADR0 = 0,
    EEADR1 = 1,
    EEADR2 = 2,
    EEADR3 = 3,
    EEADR4 = 4,
    EEADR5 = 5,
    EEADR6 = 6,
    EEADR7 = 7

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    RD16 = 7

// ECCP1AS
public const
    PSSBD0 = 0,
    PSSBD1 = 1,
    PSSAC0 = 2,
    PSSAC1 = 3,
    ECCPAS0 = 4,
    ECCPAS1 = 5,
    ECCPAS2 = 6,
    ECCPASE = 7

// PWM1CON
public const
    PDC0 = 0,
    PDC1 = 1,
    PDC2 = 2,
    PDC3 = 3,
    PDC4 = 4,
    PDC5 = 5,
    PDC6 = 6,
    PRSEN = 7

// BAUDCON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    CKTXP = 4,
    DTRXP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCTL
public const
    SCKP = 4

// PSTRCON
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    STRSYNC = 4

// REFCON0
public const
    FVR1S0 = 4,
    FVR1S1 = 5,
    FVR1ST = 6,
    FVR1EN = 7

// VREFCON0

// REFCON1
public const
    D1NSS = 0,
    D1PSS0 = 2,
    D1PSS1 = 3,
    DAC1OE = 5,
    D1LPS = 6,
    D1EN = 7

// VREFCON1

// REFCON2
public const
    DAC1R0 = 0,
    DAC1R1 = 1,
    DAC1R2 = 2,
    DAC1R3 = 3,
    DAC1R4 = 4

// VREFCON2

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    NVCFG0 = 0,
    NVCFG1 = 1,
    PVCFG0 = 2,
    PVCFG1 = 3

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5

// SSPCON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPSTAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    T1RUN = 6

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    SBOREN = 6,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// OSCCON2
public const
    LFIOFS = 0,
    HFIOFL = 1,
    PRI_SD = 2

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    IOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT1IE = 3,
    INT2IE = 4,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RABIP = 0,
    TMR0IP = 2,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RABPU = 7

// INTCON
public const
    RABIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RABIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
