//
//****************************************************************
// Name: P18LF24K50.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF24K50


// SRCON1
public const
    SRRC1E = 0,
    SRRC2E = 1,
    SRRCKE = 2,
    SRRPE = 3,
    SRSC1E = 4,
    SRSC2E = 5,
    SRSCKE = 6,
    SRSPE = 7

// SRCON0
public const
    SRPR = 0,
    SRPS = 1,
    SRNQEN = 2,
    SRQEN = 3,
    SRCLK0 = 4,
    SRCLK1 = 5,
    SRCLK2 = 6,
    SRLEN = 7

// CCPTMRS
public const
    C1TSEL = 0,
    C2TSEL = 3

// ANSELA
public const
    ANSA0 = 0,
    ANSA1 = 1,
    ANSA2 = 2,
    ANSA3 = 3,
    ANSA5 = 5

// ANSELB
public const
    ANSB0 = 0,
    ANSB1 = 1,
    ANSB2 = 2,
    ANSB3 = 3,
    ANSB4 = 4,
    ANSB5 = 5

// ANSELC
public const
    ANSC2 = 2,
    ANSC6 = 6,
    ANSC7 = 7

// UCON
public const
    SUSPND = 1,
    RESUME = 2,
    USBEN = 3,
    PKTDIS = 4,
    SE0 = 5,
    PPBRST = 6

// USTAT
public const
    PPBI = 1,
    DIR = 2,
    ENDP0 = 3,
    ENDP1 = 4,
    ENDP2 = 5,
    ENDP3 = 6

// UCFG
public const
    PPB0 = 0,
    PPB1 = 1,
    FSEN = 2,
    UTRDIS = 3,
    UPUEN = 4,
    UOEMON = 6,
    UTEYE = 7

// UADDR
public const
    ADDR0 = 0,
    ADDR1 = 1,
    ADDR2 = 2,
    ADDR3 = 3,
    ADDR4 = 4,
    ADDR5 = 5,
    ADDR6 = 6

// UIE
public const
    URSTIE = 0,
    UERRIE = 1,
    ACTVIE = 2,
    TRNIE = 3,
    IDLEIE = 4,
    STALLIE = 5,
    SOFIE = 6

// UIR
public const
    URSTIF = 0,
    UERRIF = 1,
    ACTVIF = 2,
    TRNIF = 3,
    IDLEIF = 4,
    STALLIF = 5,
    SOFIF = 6

// UEIE
public const
    PIDEE = 0,
    CRC5EE = 1,
    CRC16EE = 2,
    DFN8EE = 3,
    BTOEE = 4,
    BTSEE = 7

// UEIR
public const
    PIDEF = 0,
    CRC5EF = 1,
    CRC16EF = 2,
    DFN8EF = 3,
    BTOEF = 4,
    BTSEF = 7

// UFRML
public const
    FRM0 = 0,
    FRM1 = 1,
    FRM2 = 2,
    FRM3 = 3,
    FRM4 = 4,
    FRM5 = 5,
    FRM6 = 6,
    FRM7 = 7

// UFRMH
public const
    FRM8 = 0,
    FRM9 = 1,
    FRM10 = 2

// UEP0
public const
    EPSTALL = 0,
    EPINEN = 1,
    EPOUTEN = 2,
    EPCONDIS = 3,
    EPHSHK = 4

// UEP1

// UEP2

// UEP3

// UEP4

// UEP5

// UEP6

// UEP7

// UEP8

// UEP9

// UEP10

// UEP11

// UEP12

// UEP13

// UEP14

// UEP15

// SLRCON
public const
    SLRA = 0,
    SLRB = 1,
    SLRC = 2

// VREFCON2
public const
    DACR0 = 0,
    DACR1 = 1,
    DACR2 = 2,
    DACR3 = 3,
    DACR4 = 4

// VREFCON1
public const
    DACNSS = 0,
    DACPSS0 = 2,
    DACPSS1 = 3,
    DACOE = 5,
    DACLPS = 6,
    DACEN = 7

// VREFCON0
public const
    TSRNG = 2,
    TSEN = 3,
    FVRS0 = 4,
    FVRS1 = 5,
    FVRST = 6,
    FVREN = 7

// PMD0
public const
    TMR1MD = 0,
    TMR2MD = 1,
    TMR3MD = 2,
    ACTMD = 4,
    USBMD = 5,
    UARTMD = 6

// PMD1
public const
    CCP1MD = 0,
    CCP2MD = 1,
    ADCMD = 2,
    CMP1MD = 3,
    CMP2MD = 4,
    CTMUMD = 5,
    MSSPMD = 6

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTE
public const
    RE3 = 3

// WPUB
public const
    WPUB0 = 0,
    WPUB1 = 1,
    WPUB2 = 2,
    WPUB3 = 3,
    WPUB4 = 4,
    WPUB5 = 5,
    WPUB6 = 6,
    WPUB7 = 7

// IOCB
public const
    IOCB4 = 4,
    IOCB5 = 5,
    IOCB6 = 6,
    IOCB7 = 7

// IOCC
public const
    IOCC0 = 0,
    IOCC1 = 1,
    IOCC2 = 2,
    IOCC4 = 4,
    IOCC5 = 5,
    IOCC6 = 6,
    IOCC7 = 7

// CTMUICON
public const
    IRNG0 = 0,
    IRNG1 = 1,
    ITRIM0 = 2,
    ITRIM1 = 3,
    ITRIM2 = 4,
    ITRIM3 = 5,
    ITRIM4 = 6,
    ITRIM5 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// CTMUCON1
public const
    EDG1STAT = 0,
    EDG2STAT = 1,
    EDG1SEL0 = 2,
    EDG1SEL1 = 3,
    EDG1POL = 4,
    EDG2SEL0 = 5,
    EDG2SEL1 = 6,
    EDG2POL = 7

// CTMUCONL

// CTMUCON0
public const
    CTTRIG = 0,
    IDISSEN = 1,
    EDGSEQEN = 2,
    EDGEN = 3,
    TGEN = 4,
    CTMUSIDL = 5,
    CTMUEN = 7

// CTMUCONH
public const
    TRIGEN = 0,
    SIDL = 5,
    bON = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5

// ECCP2CON
public const
    CCP2Y = 4,
    CCP2X = 5

// CM1CON0
public const
    C1CH0 = 0,
    C1CH1 = 1,
    C1R = 2,
    C1SP = 3,
    C1POL = 4,
    C1OE = 5,
    C1OUT = 6,
    C1ON = 7

// CM2CON0
public const
    C2CH0 = 0,
    C2CH1 = 1,
    C2R = 2,
    C2SP = 3,
    C2POL = 4,
    C2OE = 5,
    C2OUT = 6,
    C2ON = 7

// CM2CON1
public const
    C2SYNC = 0,
    C1SYNC = 1,
    C2HYS = 2,
    C1HYS = 3,
    C2RSEL = 4,
    C1RSEL = 5,
    MC2OUT = 6,
    MC1OUT = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5,
    TUN6 = 6,
    SPLLMULT = 7

// HLVDCON
public const
    HLVDL0 = 0,
    HLVDL1 = 1,
    HLVDL2 = 2,
    HLVDL3 = 3,
    HLVDEN = 4,
    IRVST = 5,
    BGVST = 6,
    VDIRMAG = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSPIE = 3,
    TXIE = 4,
    RCIE = 5,
    ADIE = 6,
    ACTIE = 7

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSPIF = 3,
    TXIF = 4,
    RCIF = 5,
    ADIF = 6,
    ACTIF = 7

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSPIP = 3,
    TXIP = 4,
    RCIP = 5,
    ADIP = 6,
    ACTIP = 7

// PIE2
public const
    CCP2IE = 0,
    TMR3IE = 1,
    HLVDIE = 2,
    BCLIE = 3,
    EEIE = 4,
    C2IE = 5,
    C1IE = 6,
    OSCFIE = 7

// PIR2
public const
    CCP2IF = 0,
    TMR3IF = 1,
    HLVDIF = 2,
    BCLIF = 3,
    EEIF = 4,
    C2IF = 5,
    C1IF = 6,
    OSCFIF = 7

// IPR2
public const
    CCP2IP = 0,
    TMR3IP = 1,
    HLVDIP = 2,
    BCLIP = 3,
    EEIP = 4,
    C2IP = 5,
    C1IP = 6,
    OSCFIP = 7

// PIE3
public const
    TMR1GIE = 0,
    TMR3GIE = 1,
    USBIE = 2,
    CTMUIE = 3

// PIR3
public const
    TMR1GIF = 0,
    TMR3GIF = 1,
    USBIF = 2,
    CTMUIF = 3

// IPR3
public const
    TMR1GIP = 0,
    TMR3GIP = 1,
    USBIP = 2,
    CTMUIP = 3

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// RCSTA1
public const
    ADEN = 3

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// TXSTA1

// SPBRG
public const
    BRG0 = 0,
    BRG1 = 1,
    BRG2 = 2,
    BRG3 = 3,
    BRG4 = 4,
    BRG5 = 5,
    BRG6 = 6,
    BRG7 = 7

// SPBRG1

// SPBRGH
public const
    BRG8 = 0,
    BRG9 = 1,
    BRG10 = 2,
    BRG11 = 3,
    BRG12 = 4,
    BRG13 = 5,
    BRG14 = 6,
    BRG15 = 7

// SPBRGH1

// T3CON
public const
    TMR3ON = 0,
    RD16 = 1,
    _T3SYNC = 2,
    SOSCEN = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    TMR3CS0 = 6,
    TMR3CS1 = 7

// T3GCON
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GVAL = 2,
    T3GGO_T3DONE = 3,
    T3GSPM = 4,
    T3GTM = 5,
    T3GPOL = 6,
    TMR3GE = 7

// ACTCON
public const
    ACTORS = 1,
    ACTLOCK = 3,
    ACTSRC = 4,
    ACTUD = 6,
    ACTEN = 7

// STCON
public const
    STOR = 1,
    STLOCK = 3,
    STSRC = 4,
    STUD = 6,
    STEN = 7

// ECCP1AS
public const
    PSS1BD0 = 0,
    PSS1BD1 = 1,
    PSS1AC0 = 2,
    PSS1AC1 = 3,
    ECCP1AS0 = 4,
    ECCP1AS1 = 5,
    ECCP1AS2 = 6,
    ECCP1ASE = 7

// ECCP1DEL
public const
    PDC0 = 0,
    PDC1 = 1,
    PDC2 = 2,
    PDC3 = 3,
    PDC4 = 4,
    PDC5 = 5,
    PDC6 = 6,
    P1RSEN = 7

// PWM1CON
public const
    PR1SEN = 7

// BAUDCON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    TXCKP = 4,
    RXDTP = 5,
    RCIDL = 6,
    ABDOVF = 7

// BAUDCON1
public const
    CKTXP = 4,
    DTRXP = 5,
    RCMT = 6

// PSTR1CON
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    STRSYNC = 4

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ECCP1CON
public const
    CCP1Y = 4,
    CCP1X = 5

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    NVCFG0 = 0,
    NVCFG1 = 1,
    PVCFG0 = 2,
    PVCFG1 = 3,
    TRIGSEL = 7

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1

// SSP1CON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON2

// SSP1CON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPCON

// SSPCON1

// SSP1STAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// SSPSTAT

// SSP1ADD
public const
    SSP1ADD0 = 0,
    SSP1ADD1 = 1,
    SSP1ADD2 = 2,
    SSP1ADD3 = 3,
    SSP1ADD4 = 4,
    SSP1ADD5 = 5,
    SSP1ADD6 = 6,
    SSP1ADD7 = 7

// SSPADD

// SSP1MSK
public const
    SSP1MSK0 = 0,
    SSP1MSK1 = 1,
    SSP1MSK2 = 2,
    SSP1MSK3 = 3,
    SSP1MSK4 = 4,
    SSP1MSK5 = 5,
    SSP1MSK6 = 6,
    SSP1MSK7 = 7

// SSPMSK

// SSP1CON3
public const
    DHEN = 0,
    AHEN = 1,
    SBCDE = 2,
    SDAHT = 3,
    BOEN = 4,
    SCIE = 5,
    PCIE = 6,
    ACKTIM = 7

// SSPCON3

// T1GCON
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GVAL = 2,
    T1GGO_T1DONE = 3,
    T1GSPM = 4,
    T1GTM = 5,
    T1GPOL = 6,
    TMR1GE = 7

// T1CON
public const
    TMR1ON = 0,
    T1RD16 = 1,
    _T1SYNC = 2,
    T1SOSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5,
    TMR1CS0 = 6,
    TMR1CS1 = 7

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    SBOREN = 6,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// OSCCON2
public const
    LFIOFS = 0,
    HFIOFR = 1,
    PRISD = 2,
    SOSCGO = 3,
    PLLEN = 4,
    INTSRC = 5,
    SOSCRUN = 6,
    PLLRDY = 7

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    HFIOFS = 2,
    OSTS = 3,
    IRCF0 = 4,
    IRCF1 = 5,
    IRCF2 = 6,
    IDLEN = 7

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT1IE = 3,
    INT2IE = 4,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    IOCIP = 0,
    TMR0IP = 2,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    IOCIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    IOCIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    SP0 = 0,
    SP1 = 1,
    SP2 = 2,
    SP3 = 3,
    SP4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
