//
//****************************************************************
// Name: P18LF47K42.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF47K42


// STATUS_CSHAD
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV_STATUS_CSHAD = 3,
    N = 4,
    _PD = 5,
    _TO = 6

// SHADCON
public const
    SHADLO = 0

// STATUS_SHAD
public const
    OV_STATUS_SHAD = 3,
    PD = 5,
    TO = 6

// WDTCON0
public const
    SEN_WDTCON0 = 0,
    WDTPS0 = 1,
    WDTPS1 = 2,
    WDTPS2 = 3,
    WDTPS3 = 4,
    WDTPS4 = 5

// WDTCON1
public const
    WINDOW0 = 0,
    WINDOW1 = 1,
    WINDOW2 = 2,
    WDTCS0 = 4,
    WDTCS1 = 5,
    WDTCS2 = 6

// WDTPSL
public const
    PSCNT0 = 0,
    PSCNT1 = 1,
    PSCNT2 = 2,
    PSCNT3 = 3,
    PSCNT4 = 4,
    PSCNT5 = 5,
    PSCNT6 = 6,
    PSCNT7 = 7

// WDTPSH
public const
    PSCNT8 = 0,
    PSCNT9 = 1,
    PSCNT10 = 2,
    PSCNT11 = 3,
    PSCNT12 = 4,
    PSCNT13 = 5,
    PSCNT14 = 6,
    PSCNT15 = 7

// WDTTMR
public const
    PSCNT16 = 0,
    PSCNT17 = 1,
    STATE = 2,
    WDTTMR0 = 3,
    WDTTMR1 = 4,
    WDTTMR2 = 5,
    WDTTMR3 = 6,
    WDTTMR4 = 7

// CRCDATL
public const
    DATA0 = 0,
    DATA1 = 1,
    DATA2 = 2,
    DATA3 = 3,
    DATA4 = 4,
    DATA5 = 5,
    DATA6 = 6,
    DATA7 = 7

// CRCDATH
public const
    DATA8 = 0,
    DATA9 = 1,
    DATA10 = 2,
    DATA11 = 3,
    DATA12 = 4,
    DATA13 = 5,
    DATA14 = 6,
    DATA15 = 7

// CRCACCL
public const
    ACC0 = 0,
    ACC1 = 1,
    ACC2 = 2,
    ACC3 = 3,
    ACC4 = 4,
    ACC5 = 5,
    ACC6 = 6,
    ACC7 = 7

// CRCACCH
public const
    ACC8 = 0,
    ACC9 = 1,
    ACC10 = 2,
    ACC11 = 3,
    ACC12 = 4,
    ACC13 = 5,
    ACC14 = 6,
    ACC15 = 7

// CRCSHIFTL
public const
    SHFT0 = 0,
    SHFT1 = 1,
    SHFT2 = 2,
    SHFT3 = 3,
    SHFT4 = 4,
    SHFT5 = 5,
    SHFT6 = 6,
    SHFT7 = 7

// CRCSHIFTH
public const
    SHFT8 = 0,
    SHFT9 = 1,
    SHFT10 = 2,
    SHFT11 = 3,
    SHFT12 = 4,
    SHFT13 = 5,
    SHFT14 = 6,
    SHFT15 = 7

// CRCXORL
public const
    X1 = 1,
    X2 = 2,
    X3 = 3,
    X4 = 4,
    X5 = 5,
    X6 = 6,
    X7 = 7

// CRCXORH
public const
    X8 = 0,
    X9 = 1,
    X10 = 2,
    X11 = 3,
    X12 = 4,
    X13 = 5,
    X14 = 6,
    X15 = 7

// CRCCON0
public const
    FULL = 0,
    SHIFTM = 1,
    ACCM = 4,
    BUSY_CRCCON0 = 5,
    CRCGO = 6,
    EN = 7

// CRCCON1
public const
    PLEN0 = 0,
    PLEN1 = 1,
    PLEN2 = 2,
    PLEN3 = 3,
    DLEN0 = 4,
    DLEN1 = 5,
    DLEN2 = 6,
    DLEN3 = 7

// SCANLADRL
public const
    LADR0 = 0,
    LADR1 = 1,
    LADR2 = 2,
    LADR3 = 3,
    LADR4 = 4,
    LADR5 = 5,
    LADR6 = 6,
    LADR7 = 7

// SCANLADRH
public const
    LADR8 = 0,
    LADR9 = 1,
    LADR10 = 2,
    LADR11 = 3,
    LADR12 = 4,
    LADR13 = 5,
    LADR14 = 6,
    LADR15 = 7

// SCANLADRU
public const
    LADR16 = 0,
    LADR17 = 1,
    LADR18 = 2,
    LADR19 = 3,
    LADR20 = 4,
    LADR21 = 5

// SCANHADRL
public const
    HADR0 = 0,
    HADR1 = 1,
    HADR2 = 2,
    HADR3 = 3,
    HADR4 = 4,
    HADR5 = 5,
    HADR6 = 6,
    HADR7 = 7

// SCANHADRH
public const
    HADR8 = 0,
    HADR9 = 1,
    HADR10 = 2,
    HADR11 = 3,
    HADR12 = 4,
    HADR13 = 5,
    HADR14 = 6,
    HADR15 = 7

// SCANHADRU
public const
    HADR16 = 0,
    HADR17 = 1,
    HADR18 = 2,
    HADR19 = 3,
    HADR20 = 4,
    HADR21 = 5

// SCANCON0
public const
    BUSY_SCANCON0 = 0,
    BURSTMD = 1,
    MREG = 2,
    SGO = 5,
    TRIGEN = 6

// IPR0
public const
    SWIP = 0,
    HLVDIP = 1,
    OSFIP = 2,
    CSWIP = 3,
    NVMIP = 4,
    SCANIP = 5,
    CRCIP = 6,
    IOCIP = 7

// IPR1
public const
    INT0IP = 0,
    ZCDIP = 1,
    ADIP = 2,
    ADTIP = 3,
    C1IP = 4,
    SMT1IP = 5,
    SMT1PRAIP = 6,
    SMT1PWAIP = 7

// IPR2
public const
    DMA1SCNTIP = 0,
    DMA1DCNTIP = 1,
    DMA1ORIP = 2,
    DMA1AIP = 3,
    SPI1RXIP = 4,
    SPI1TXIP = 5,
    SPI1IP = 6,
    I2C1RXIP = 7

// IPR3
public const
    I2C1TXIP = 0,
    I2C1IP = 1,
    I2C1EIP = 2,
    U1RXIP = 3,
    U1TXIP = 4,
    U1EIP = 5,
    U1IP = 6,
    TMR0IP = 7

// IPR4
public const
    TMR1IP = 0,
    TMR1GIP = 1,
    TMR2IP = 2,
    CCP1IP = 3,
    NCO1IP = 5,
    CWG1IP = 6,
    CLC1IP = 7

// IPR5
public const
    INT1IP = 0,
    C2IP = 1,
    DMA2SCNTIP = 2,
    DMA2DCNTIP = 3,
    DMA2ORIP = 4,
    DMA2AIP = 5,
    I2C2RXIP = 6,
    I2C2TXIP = 7

// IPR6
public const
    I2C2IP = 0,
    I2C2EIP = 1,
    U2RXIP = 2,
    U2TXIP = 3,
    U2EIP = 4,
    U2IP = 5,
    TMR3IP = 6,
    TMR3GIP = 7

// IPR7
public const
    TMR4IP = 0,
    CCP2IP = 1,
    CWG2IP = 3,
    CLC2IP = 4,
    INT2IP = 5

// IPR8
public const
    TMR5IP = 6,
    TMR5GIP = 7

// IPR9
public const
    TMR6IP = 0,
    CCP3IP = 1,
    CWG3IP = 2,
    CLC3IP = 3

// IPR10
public const
    CCP4IP = 0,
    CLC4IP = 1

// PIE0
public const
    SWIE = 0,
    HLVDIE = 1,
    OSFIE = 2,
    CSWIE = 3,
    NVMIE = 4,
    SCANIE = 5,
    CRCIE = 6,
    IOCIE = 7

// PIE1
public const
    INT0IE = 0,
    ZCDIE = 1,
    ADIE = 2,
    ADTIE = 3,
    C1IE = 4,
    SMT1IE = 5,
    SMT1PRAIE = 6,
    SMT1PWAIE = 7

// PIE2
public const
    DMA1SCNTIE = 0,
    DMA1DCNTIE = 1,
    DMA1ORIE = 2,
    DMA1AIE = 3,
    SPI1RXIE = 4,
    SPI1TXIE = 5,
    SPI1IE = 6,
    I2C1RXIE = 7

// PIE3
public const
    I2C1TXIE = 0,
    I2C1IE = 1,
    I2C1EIE = 2,
    U1RXIE = 3,
    U1TXIE = 4,
    U1EIE = 5,
    U1IE = 6,
    TMR0IE = 7

// PIE4
public const
    TMR1IE = 0,
    TMR1GIE = 1,
    TMR2IE = 2,
    CCP1IE = 3,
    NCO1IE = 5,
    CWG1IE = 6,
    CLC1IE = 7

// PIE5
public const
    INT1IE = 0,
    C2IE = 1,
    DMA2SCNTIE = 2,
    DMA2DCNTIE = 3,
    DMA2ORIE = 4,
    DMA2AIE = 5,
    I2C2RXIE = 6,
    I2C2TXIE = 7

// PIE6
public const
    I2C2IE = 0,
    I2C2EIE = 1,
    U2RXIE = 2,
    U2TXIE = 3,
    U2EIE = 4,
    U2IE = 5,
    TMR3IE = 6,
    TMR3GIE = 7

// PIE7
public const
    TMR4IE = 0,
    CCP2IE = 1,
    CWG2IE = 3,
    CLC2IE = 4,
    INT2IE = 5

// PIE8
public const
    TMR5IE = 6,
    TMR5GIE = 7

// PIE9
public const
    TMR6IE = 0,
    CCP3IE = 1,
    CWG3IE = 2,
    CLC3IE = 3

// PIE10
public const
    CCP4IE = 0,
    CLC4IE = 1

// PIR0
public const
    SWIF = 0,
    HLVDIF = 1,
    OSFIF = 2,
    CSWIF = 3,
    NVMIF = 4,
    SCANIF = 5,
    CRCIF = 6,
    IOCIF = 7

// PIR1
public const
    INT0IF = 0,
    ZCDIF = 1,
    ADIF = 2,
    ADTIF = 3,
    C1IF = 4,
    SMT1IF = 5,
    SMT1PRAIF = 6,
    SMT1PWAIF = 7

// PIR2
public const
    DMA1SCNTIF = 0,
    DMA1DCNTIF = 1,
    DMA1ORIF = 2,
    DMA1AIF = 3,
    SPI1RXIF = 4,
    SPI1TXIF = 5,
    SPI1IF = 6,
    I2C1RXIF = 7

// PIR3
public const
    I2C1TXIF = 0,
    I2C1IF = 1,
    I2C1EIF = 2,
    U1RXIF = 3,
    U1TXIF = 4,
    U1EIF = 5,
    U1IF = 6,
    TMR0IF = 7

// PIR4
public const
    TMR1IF = 0,
    TMR1GIF = 1,
    TMR2IF = 2,
    CCP1IF = 3,
    NCO1IF = 5,
    CWG1IF = 6,
    CLC1IF = 7

// PIR5
public const
    INT1IF = 0,
    C2IF = 1,
    DMA2SCNTIF = 2,
    DMA2DCNTIF = 3,
    DMA2ORIF = 4,
    DMA2AIF = 5,
    I2C2RXIF = 6,
    I2C2TXIF = 7

// PIR6
public const
    I2C2IF = 0,
    I2C2EIF = 1,
    U2RXIF = 2,
    U2TXIF = 3,
    U2EIF = 4,
    U2IF = 5,
    TMR3IF = 6,
    TMR3GIF = 7

// PIR7
public const
    TMR4IF = 0,
    CCP2IF = 1,
    CWG2IF = 3,
    CLC2IF = 4,
    INT2IF = 5

// PIR8
public const
    TMR5IF = 6,
    TMR5GIF = 7

// PIR9
public const
    TMR6IF = 0,
    CCP3IF = 1,
    CWG3IF = 2,
    CLC3IF = 3

// PIR10
public const
    CCP4IF = 0,
    CLC4IF = 1

// PMD0
public const
    IOCMD = 0,
    CLKRMD = 1,
    NVMMD = 2,
    SCANMD = 3,
    CRCMD = 4,
    HLVDMD = 5,
    FVRMD = 6,
    SYSCMD = 7

// PMD1
public const
    TMR0MD = 0,
    TMR1MD = 1,
    TMR2MD = 2,
    TMR3MD = 3,
    TMR4MD = 4,
    TMR5MD = 5,
    TMR6MD = 6,
    NCO1MD = 7

// PMD2
public const
    ZCDMD = 0,
    CMP1MD = 1,
    CMP2MD = 2,
    ADCMD = 5,
    DACMD = 6

// PMD3
public const
    CCP1MD = 0,
    CCP2MD = 1,
    CCP3MD = 2,
    CCP4MD = 3,
    PWM5MD = 4,
    PWM6MD = 5,
    PWM7MD = 6,
    PWM8MD = 7

// PMD4
public const
    CWG1MD = 5,
    CWG2MD = 6,
    CWG3MD = 7

// PMD5
public const
    I2C1MD = 0,
    I2C2MD = 1,
    SPI1MD = 2,
    U1MD = 4,
    U2MD = 5

// PMD6
public const
    DSMMD = 0,
    CLC1MD = 1,
    CLC2MD = 2,
    CLC3MD = 3,
    CLC4MD = 4,
    SMT1MD = 5

// PMD7
public const
    DMA1MD = 0,
    DMA2MD = 1

// BORCON
public const
    BORRDY = 0,
    SBOREN = 7

// CPUDOZE
public const
    DOZE0 = 0,
    DOZE1 = 1,
    DOZE2 = 2,
    DOE = 4,
    ROI = 5,
    DOZEN = 6,
    IDLEN = 7

// OSCCON1
public const
    NDIV0 = 0,
    NDIV1 = 1,
    NDIV2 = 2,
    NDIV3 = 3,
    NOSC0 = 4,
    NOSC1 = 5,
    NOSC2 = 6

// OSCCON2
public const
    CDIV0 = 0,
    CDIV1 = 1,
    CDIV2 = 2,
    CDIV3 = 3,
    COSC0 = 4,
    COSC1 = 5,
    COSC2 = 6

// OSCCON3
public const
    NOSCR = 3,
    ORDY = 4,
    SOSCPWR = 6,
    CSWHOLD = 7

// OSCSTAT
public const
    PLLR = 0,
    ADOR = 2,
    SOR = 3,
    LFOR = 4,
    MFOR = 5,
    HFOR = 6,
    EXTOR = 7

// OSCSTAT1

// OSCEN
public const
    ADOEN = 2,
    SOSCEN = 3,
    LFOEN = 4,
    MFOEN = 5,
    HFOEN = 6,
    EXTOEN = 7

// OSCTUNE
public const
    TUN0 = 0,
    TUN1 = 1,
    TUN2 = 2,
    TUN3 = 3,
    TUN4 = 4,
    TUN5 = 5

// OSCFRQ
public const
    FRQ0 = 0,
    FRQ1 = 1,
    FRQ2 = 2,
    FRQ3 = 3

// NVMADRL
public const
    ADR0 = 0,
    ADR1 = 1,
    ADR2 = 2,
    ADR3 = 3,
    ADR4 = 4,
    ADR5 = 5,
    ADR6 = 6,
    ADR7 = 7

// NVMADRH
public const
    ADR8 = 0,
    ADR9 = 1

// NVMDAT
public const
    DAT0 = 0,
    DAT1 = 1,
    DAT2 = 2,
    DAT3 = 3,
    DAT4 = 4,
    DAT5 = 5,
    DAT6 = 6,
    DAT7 = 7

// NVMCON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    REG0 = 6,
    REG1 = 7

// PRLOCK
public const
    PRLOCKED = 0

// ISRPR
public const
    //;PR0 = 0,
    PR1 = 1,
    //;PR2 = 2

// MAINPR
public const
    MAINPR0 = 0,
    MAINPR1 = 1,
    MAINPR2 = 2

// DMA1PR
public const
    DMA1PR0 = 0,
    DMA1PR1 = 1,
    DMA1PR2 = 2

// DMA2PR
public const
    DMA2PR0 = 0,
    DMA2PR1 = 1,
    DMA2PR2 = 2

// SCANPR
public const
    SCANPR0 = 0,
    SCANPR1 = 1,
    SCANPR2 = 2

// RA0PPS
public const
    RA0PPS0 = 0,
    RA0PPS1 = 1,
    RA0PPS2 = 2,
    RA0PPS3 = 3,
    RA0PPS4 = 4

// RA1PPS
public const
    RA1PPS0 = 0,
    RA1PPS1 = 1,
    RA1PPS2 = 2,
    RA1PPS3 = 3,
    RA1PPS4 = 4

// RA2PPS
public const
    RA2PPS0 = 0,
    RA2PPS1 = 1,
    RA2PPS2 = 2,
    RA2PPS3 = 3,
    RA2PPS4 = 4

// RA3PPS
public const
    RA3PPS0 = 0,
    RA3PPS1 = 1,
    RA3PPS2 = 2,
    RA3PPS3 = 3,
    RA3PPS4 = 4

// RA4PPS
public const
    RA4PPS0 = 0,
    RA4PPS1 = 1,
    RA4PPS2 = 2,
    RA4PPS3 = 3,
    RA4PPS4 = 4

// RA5PPS
public const
    RA5PPS0 = 0,
    RA5PPS1 = 1,
    RA5PPS2 = 2,
    RA5PPS3 = 3,
    RA5PPS4 = 4

// RA6PPS
public const
    RA6PPS0 = 0,
    RA6PPS1 = 1,
    RA6PPS2 = 2,
    RA6PPS3 = 3,
    RA6PPS4 = 4

// RA7PPS
public const
    RA7PPS0 = 0,
    RA7PPS1 = 1,
    RA7PPS2 = 2,
    RA7PPS3 = 3,
    RA7PPS4 = 4

// RB0PPS
public const
    RB0PPS0 = 0,
    RB0PPS1 = 1,
    RB0PPS2 = 2,
    RB0PPS3 = 3,
    RB0PPS4 = 4

// RB1PPS
public const
    RB1PPS0 = 0,
    RB1PPS1 = 1,
    RB1PPS2 = 2,
    RB1PPS3 = 3,
    RB1PPS4 = 4

// RB2PPS
public const
    RB2PPS0 = 0,
    RB2PPS1 = 1,
    RB2PPS2 = 2,
    RB2PPS3 = 3,
    RB2PPS4 = 4

// RB3PPS
public const
    RB3PPS0 = 0,
    RB3PPS1 = 1,
    RB3PPS2 = 2,
    RB3PPS3 = 3,
    RB3PPS4 = 4

// RB4PPS
public const
    RB4PPS0 = 0,
    RB4PPS1 = 1,
    RB4PPS2 = 2,
    RB4PPS3 = 3,
    RB4PPS4 = 4

// RB5PPS
public const
    RB5PPS0 = 0,
    RB5PPS1 = 1,
    RB5PPS2 = 2,
    RB5PPS3 = 3,
    RB5PPS4 = 4

// RB6PPS
public const
    RB6PPS0 = 0,
    RB6PPS1 = 1,
    RB6PPS2 = 2,
    RB6PPS3 = 3,
    RB6PPS4 = 4

// RB7PPS
public const
    RB7PPS0 = 0,
    RB7PPS1 = 1,
    RB7PPS2 = 2,
    RB7PPS3 = 3,
    RB7PPS4 = 4

// RC0PPS
public const
    RC0PPS0 = 0,
    RC0PPS1 = 1,
    RC0PPS2 = 2,
    RC0PPS3 = 3,
    RC0PPS4 = 4

// RC1PPS
public const
    RC1PPS0 = 0,
    RC1PPS1 = 1,
    RC1PPS2 = 2,
    RC1PPS3 = 3,
    RC1PPS4 = 4

// RC2PPS
public const
    RC2PPS0 = 0,
    RC2PPS1 = 1,
    RC2PPS2 = 2,
    RC2PPS3 = 3,
    RC2PPS4 = 4

// RC3PPS
public const
    RC3PPS0 = 0,
    RC3PPS1 = 1,
    RC3PPS2 = 2,
    RC3PPS3 = 3,
    RC3PPS4 = 4

// RC4PPS
public const
    RC4PPS0 = 0,
    RC4PPS1 = 1,
    RC4PPS2 = 2,
    RC4PPS3 = 3,
    RC4PPS4 = 4

// RC5PPS
public const
    RC5PPS0 = 0,
    RC5PPS1 = 1,
    RC5PPS2 = 2,
    RC5PPS3 = 3,
    RC5PPS4 = 4

// RC6PPS
public const
    RC6PPS0 = 0,
    RC6PPS1 = 1,
    RC6PPS2 = 2,
    RC6PPS3 = 3,
    RC6PPS4 = 4

// RC7PPS
public const
    RC7PPS0 = 0,
    RC7PPS1 = 1,
    RC7PPS2 = 2,
    RC7PPS3 = 3,
    RC7PPS4 = 4

// RD0PPS
public const
    RD0PPS0 = 0,
    RD0PPS1 = 1,
    RD0PPS2 = 2,
    RD0PPS3 = 3,
    RD0PPS4 = 4

// RD1PPS
public const
    RD1PPS0 = 0,
    RD1PPS1 = 1,
    RD1PPS2 = 2,
    RD1PPS3 = 3,
    RD1PPS4 = 4

// RD2PPS
public const
    RD2PPS0 = 0,
    RD2PPS1 = 1,
    RD2PPS2 = 2,
    RD2PPS3 = 3,
    RD2PPS4 = 4

// RD3PPS
public const
    RD3PPS0 = 0,
    RD3PPS1 = 1,
    RD3PPS2 = 2,
    RD3PPS3 = 3,
    RD3PPS4 = 4

// RD4PPS
public const
    RD4PPS0 = 0,
    RD4PPS1 = 1,
    RD4PPS2 = 2,
    RD4PPS3 = 3,
    RD4PPS4 = 4

// RD5PPS
public const
    RD5PPS0 = 0,
    RD5PPS1 = 1,
    RD5PPS2 = 2,
    RD5PPS3 = 3,
    RD5PPS4 = 4

// RD6PPS
public const
    RD6PPS0 = 0,
    RD6PPS1 = 1,
    RD6PPS2 = 2,
    RD6PPS3 = 3,
    RD6PPS4 = 4

// RD7PPS
public const
    RD7PPS0 = 0,
    RD7PPS1 = 1,
    RD7PPS2 = 2,
    RD7PPS3 = 3,
    RD7PPS4 = 4

// RE0PPS
public const
    RE0PPS0 = 0,
    RE0PPS1 = 1,
    RE0PPS2 = 2,
    RE0PPS3 = 3,
    RE0PPS4 = 4

// RE1PPS
public const
    RE1PPS0 = 0,
    RE1PPS1 = 1,
    RE1PPS2 = 2,
    RE1PPS3 = 3,
    RE1PPS4 = 4

// RE2PPS
public const
    RE2PPS0 = 0,
    RE2PPS1 = 1,
    RE2PPS2 = 2,
    RE2PPS3 = 3,
    RE2PPS4 = 4

// ANSELA
public const
    ANSELA0 = 0,
    ANSELA1 = 1,
    ANSELA2 = 2,
    ANSELA3 = 3,
    ANSELA4 = 4,
    ANSELA5 = 5,
    ANSELA6 = 6,
    ANSELA7 = 7

// WPUA
public const
    WPUA0 = 0,
    WPUA1 = 1,
    WPUA2 = 2,
    WPUA3 = 3,
    WPUA4 = 4,
    WPUA5 = 5,
    WPUA6 = 6,
    WPUA7 = 7

// ODCONA
public const
    ODCA0 = 0,
    ODCA1 = 1,
    ODCA2 = 2,
    ODCA3 = 3,
    ODCA4 = 4,
    ODCA5 = 5,
    ODCA6 = 6,
    ODCA7 = 7

// SLRCONA
public const
    SLRA0 = 0,
    SLRA1 = 1,
    SLRA2 = 2,
    SLRA3 = 3,
    SLRA4 = 4,
    SLRA5 = 5,
    SLRA6 = 6,
    SLRA7 = 7

// INLVLA
public const
    INLVLA0 = 0,
    INLVLA1 = 1,
    INLVLA2 = 2,
    INLVLA3 = 3,
    INLVLA4 = 4,
    INLVLA5 = 5,
    INLVLA6 = 6,
    INLVLA7 = 7

// IOCAP
public const
    IOCAP0 = 0,
    IOCAP1 = 1,
    IOCAP2 = 2,
    IOCAP3 = 3,
    IOCAP4 = 4,
    IOCAP5 = 5,
    IOCAP6 = 6,
    IOCAP7 = 7

// IOCAN
public const
    IOCAN0 = 0,
    IOCAN1 = 1,
    IOCAN2 = 2,
    IOCAN3 = 3,
    IOCAN4 = 4,
    IOCAN5 = 5,
    IOCAN6 = 6,
    IOCAN7 = 7

// IOCAF
public const
    IOCAF0 = 0,
    IOCAF1 = 1,
    IOCAF2 = 2,
    IOCAF3 = 3,
    IOCAF4 = 4,
    IOCAF5 = 5,
    IOCAF6 = 6,
    IOCAF7 = 7

// ANSELB
public const
    ANSELB0 = 0,
    ANSELB1 = 1,
    ANSELB2 = 2,
    ANSELB3 = 3,
    ANSELB4 = 4,
    ANSELB5 = 5,
    ANSELB6 = 6,
    ANSELB7 = 7

// WPUB
public const
    WPUB0 = 0,
    WPUB1 = 1,
    WPUB2 = 2,
    WPUB3 = 3,
    WPUB4 = 4,
    WPUB5 = 5,
    WPUB6 = 6,
    WPUB7 = 7

// ODCONB
public const
    ODCB0 = 0,
    ODCB1 = 1,
    ODCB2 = 2,
    ODCB3 = 3,
    ODCB4 = 4,
    ODCB5 = 5,
    ODCB6 = 6,
    ODCB7 = 7

// SLRCONB
public const
    SLRB0 = 0,
    SLRB1 = 1,
    SLRB2 = 2,
    SLRB3 = 3,
    SLRB4 = 4,
    SLRB5 = 5,
    SLRB6 = 6,
    SLRB7 = 7

// INLVLB
public const
    INLVLB0 = 0,
    INLVLB1 = 1,
    INLVLB2 = 2,
    INLVLB3 = 3,
    INLVLB4 = 4,
    INLVLB5 = 5,
    INLVLB6 = 6,
    INLVLB7 = 7

// IOCBP
public const
    IOCBP0 = 0,
    IOCBP1 = 1,
    IOCBP2 = 2,
    IOCBP3 = 3,
    IOCBP4 = 4,
    IOCBP5 = 5,
    IOCBP6 = 6,
    IOCBP7 = 7

// IOCBN
public const
    IOCBN0 = 0,
    IOCBN1 = 1,
    IOCBN2 = 2,
    IOCBN3 = 3,
    IOCBN4 = 4,
    IOCBN5 = 5,
    IOCBN6 = 6,
    IOCBN7 = 7

// IOCBF
public const
    IOCBF0 = 0,
    IOCBF1 = 1,
    IOCBF2 = 2,
    IOCBF3 = 3,
    IOCBF4 = 4,
    IOCBF5 = 5,
    IOCBF6 = 6,
    IOCBF7 = 7

// RB1I2C
public const
    TH0 = 0,
    TH1 = 1,
    PU0 = 4,
    PU1 = 5,
    SLEW = 6

// RB2I2C
public const
    I2CTH0 = 0,
    I2CTH1 = 1,
    I2CPU0 = 4,
    I2CPU1 = 5,
    I2CSLEW = 6

// ANSELC
public const
    ANSELC0 = 0,
    ANSELC1 = 1,
    ANSELC2 = 2,
    ANSELC3 = 3,
    ANSELC4 = 4,
    ANSELC5 = 5,
    ANSELC6 = 6,
    ANSELC7 = 7

// WPUC
public const
    WPUC0 = 0,
    WPUC1 = 1,
    WPUC2 = 2,
    WPUC3 = 3,
    WPUC4 = 4,
    WPUC5 = 5,
    WPUC6 = 6,
    WPUC7 = 7

// ODCONC
public const
    ODCC0 = 0,
    ODCC1 = 1,
    ODCC2 = 2,
    ODCC3 = 3,
    ODCC4 = 4,
    ODCC5 = 5,
    ODCC6 = 6,
    ODCC7 = 7

// SLRCONC
public const
    SLRC0 = 0,
    SLRC1 = 1,
    SLRC2 = 2,
    SLRC3 = 3,
    SLRC4 = 4,
    SLRC5 = 5,
    SLRC6 = 6,
    SLRC7 = 7

// INLVLC
public const
    INLVLC0 = 0,
    INLVLC1 = 1,
    INLVLC2 = 2,
    INLVLC3 = 3,
    INLVLC4 = 4,
    INLVLC5 = 5,
    INLVLC6 = 6,
    INLVLC7 = 7

// IOCCP
public const
    IOCCP0 = 0,
    IOCCP1 = 1,
    IOCCP2 = 2,
    IOCCP3 = 3,
    IOCCP4 = 4,
    IOCCP5 = 5,
    IOCCP6 = 6,
    IOCCP7 = 7

// IOCCN
public const
    IOCCN0 = 0,
    IOCCN1 = 1,
    IOCCN2 = 2,
    IOCCN3 = 3,
    IOCCN4 = 4,
    IOCCN5 = 5,
    IOCCN6 = 6,
    IOCCN7 = 7

// IOCCF
public const
    IOCCF0 = 0,
    IOCCF1 = 1,
    IOCCF2 = 2,
    IOCCF3 = 3,
    IOCCF4 = 4,
    IOCCF5 = 5,
    IOCCF6 = 6,
    IOCCF7 = 7

// RC3I2C

// RC4I2C

// ANSELD
public const
    ANSELD0 = 0,
    ANSELD1 = 1,
    ANSELD2 = 2,
    ANSELD3 = 3,
    ANSELD4 = 4,
    ANSELD5 = 5,
    ANSELD6 = 6,
    ANSELD7 = 7

// WPUD
public const
    WPUD0 = 0,
    WPUD1 = 1,
    WPUD2 = 2,
    WPUD3 = 3,
    WPUD4 = 4,
    WPUD5 = 5,
    WPUD6 = 6,
    WPUD7 = 7

// ODCOND
public const
    ODCD0 = 0,
    ODCD1 = 1,
    ODCD2 = 2,
    ODCD3 = 3,
    ODCD4 = 4,
    ODCD5 = 5,
    ODCD6 = 6,
    ODCD7 = 7

// SLRCOND
public const
    SLRD0 = 0,
    SLRD1 = 1,
    SLRD2 = 2,
    SLRD3 = 3,
    SLRD4 = 4,
    SLRD5 = 5,
    SLRD6 = 6,
    SLRD7 = 7

// INLVLD
public const
    INLVLD0 = 0,
    INLVLD1 = 1,
    INLVLD2 = 2,
    INLVLD3 = 3,
    INLVLD4 = 4,
    INLVLD5 = 5,
    INLVLD6 = 6,
    INLVLD7 = 7

// RD0I2C

// RD1I2C

// ANSELE
public const
    ANSELE0 = 0,
    ANSELE1 = 1,
    ANSELE2 = 2

// WPUE
public const
    WPUE0 = 0,
    WPUE1 = 1,
    WPUE2 = 2,
    WPUE3 = 3

// ODCONE
public const
    ODCE0 = 0,
    ODCE1 = 1,
    ODCE2 = 2

// SLRCONE
public const
    SLRE0 = 0,
    SLRE1 = 1,
    SLRE2 = 2

// INLVLE
public const
    INLVLE0 = 0,
    INLVLE1 = 1,
    INLVLE2 = 2,
    INLVLE3 = 3

// IOCEP
public const
    IOCEP3 = 3

// IOCEN
public const
    IOCEN3 = 3

// IOCEF
public const
    IOCEF3 = 3

// PPSLOCK
public const
    PPSLOCKED = 0

// DMA2BUF
public const
    BUF0 = 0,
    BUF1 = 1,
    BUF2 = 2,
    BUF3 = 3,
    BUF4 = 4,
    BUF5 = 5,
    BUF6 = 6,
    BUF7 = 7

// DMA2DCNTL
public const
    DCNT0 = 0,
    DCNT1 = 1,
    DCNT2 = 2,
    DCNT3 = 3,
    DCNT4 = 4,
    DCNT5 = 5,
    DCNT6 = 6,
    DCNT7 = 7

// DMA2DCNTH
public const
    DCNT8 = 0,
    DCNT9 = 1,
    DCNT10 = 2,
    DCNT11 = 3

// DMA2DPTRL
public const
    DPTR0 = 0,
    DPTR1 = 1,
    DPTR2 = 2,
    DPTR3 = 3,
    DPTR4 = 4,
    DPTR5 = 5,
    DPTR6 = 6,
    DPTR7 = 7

// DMA2DPTRH
public const
    DPTR8 = 0,
    DPTR9 = 1,
    DPTR10 = 2,
    DPTR11 = 3,
    DPTR12 = 4,
    DPTR13 = 5,
    DPTR14 = 6,
    DPTR15 = 7

// DMA2DSZL
public const
    DSZ0 = 0,
    DSZ1 = 1,
    DSZ2 = 2,
    DSZ3 = 3,
    DSZ4 = 4,
    DSZ5 = 5,
    DSZ6 = 6,
    DSZ7 = 7

// DMA2DSZH
public const
    DSZ8 = 0,
    DSZ9 = 1,
    DSZ10 = 2,
    DSZ11 = 3

// DMA2DSAL
public const
    SSA0 = 0,
    SSA1 = 1,
    SSA2 = 2,
    SSA3 = 3,
    SSA4 = 4,
    SSA5 = 5,
    SSA6 = 6,
    SSA7 = 7

// DMA2DSAH
public const
    DSA8 = 0,
    DSA9 = 1,
    DSA10 = 2,
    DSA11 = 3,
    DSA12 = 4,
    DSA13 = 5,
    DSA14 = 6,
    DSA15 = 7

// DMA2SCNTL
public const
    SCNT0 = 0,
    SCNT1 = 1,
    SCNT2 = 2,
    SCNT3 = 3,
    SCNT4 = 4,
    SCNT5 = 5,
    SCNT6 = 6,
    SCNT7 = 7

// DMA2SCNTH
public const
    SCNT8 = 0,
    SCNT9 = 1,
    SCNT10 = 2,
    SCNT11 = 3

// DMA2SPTRL
public const
    SPTR0 = 0,
    SPTR1 = 1,
    SPTR2 = 2,
    SPTR3 = 3,
    SPTR4 = 4,
    SPTR5 = 5,
    SPTR6 = 6,
    SPTR7 = 7

// DMA2SPTRH
public const
    SPTR8 = 0,
    SPTR9 = 1,
    SPTR10 = 2,
    SPTR11 = 3,
    SPTR12 = 4,
    SPTR13 = 5,
    SPTR14 = 6,
    SPTR15 = 7

// DMA2SPTRU
public const
    SPTR16 = 0,
    SPTR17 = 1,
    SPTR18 = 2,
    SPTR19 = 3,
    SPTR20 = 4,
    SPTR21 = 5

// DMA2SSZL
public const
    SSZ0 = 0,
    SSZ1 = 1,
    SSZ2 = 2,
    SSZ3 = 3,
    SSZ4 = 4,
    SSZ5 = 5,
    SSZ6 = 6,
    SSZ7 = 7

// DMA2SSZH
public const
    SSZ8 = 0,
    SSZ9 = 1,
    SSZ10 = 2,
    SSZ11 = 3

// DMA2SSAL
public const
    DMA2SSA0 = 0,
    DMA2SSA1 = 1,
    DMA2SSA2 = 2,
    DMA2SSA3 = 3,
    DMA2SSA4 = 4,
    DMA2SSA5 = 5,
    DMA2SSA6 = 6,
    DMA2SSA7 = 7

// DMA2SSAH
public const
    SSA8 = 0,
    SSA9 = 1,
    SSA10 = 2,
    SSA11 = 3,
    SSA12 = 4,
    SSA13 = 5,
    SSA14 = 6,
    SSA15 = 7

// DMA2SSAU
public const
    SSA16 = 0,
    SSA17 = 1,
    SSA18 = 2,
    SSA19 = 3,
    SSA20 = 4,
    SSA21 = 5

// DMA2CON0
public const
    XIP = 0,
    AIRQEN = 2,
    DGO = 5,
    SIRQEN = 6,
    DMA2EN = 7

// DMA2CON1
public const
    SSTP = 0,
    DSTP = 5

// DMA2AIRQ
public const
    AIRQ0 = 0,
    AIRQ1 = 1,
    AIRQ2 = 2,
    AIRQ3 = 3,
    AIRQ4 = 4,
    AIRQ5 = 5,
    AIRQ6 = 6

// DMA2SIRQ
public const
    SIRQ0 = 0,
    SIRQ1 = 1,
    SIRQ2 = 2,
    SIRQ3 = 3,
    SIRQ4 = 4,
    SIRQ5 = 5,
    SIRQ6 = 6

// DMA1BUF
public const
    DMA1BUF0 = 0,
    DMA1BUF1 = 1,
    DMA1BUF2 = 2,
    DMA1BUF3 = 3,
    DMA1BUF4 = 4,
    DMA1BUF5 = 5,
    DMA1BUF6 = 6,
    DMA1BUF7 = 7

// DMA1DCNTL
public const
    DMA1DCNT0 = 0,
    DMA1DCNT1 = 1,
    DMA1DCNT2 = 2,
    DMA1DCNT3 = 3,
    DMA1DCNT4 = 4,
    DMA1DCNT5 = 5,
    DMA1DCNT6 = 6,
    DMA1DCNT7 = 7

// DMA1DCNTH
public const
    DMA1DCNT8 = 0,
    DMA1DCNT9 = 1,
    DMA1DCNT10 = 2,
    DMA1DCNT11 = 3

// DMA1DPTRL
public const
    DMA1DPTR0 = 0,
    DMA1DPTR1 = 1,
    DMA1DPTR2 = 2,
    DMA1DPTR3 = 3,
    DMA1DPTR4 = 4,
    DMA1DPTR5 = 5,
    DMA1DPTR6 = 6,
    DMA1DPTR7 = 7

// DMA1DPTRH
public const
    DMA1DPTR8 = 0,
    DMA1DPTR9 = 1,
    DMA1DPTR10 = 2,
    DMA1DPTR11 = 3,
    DMA1DPTR12 = 4,
    DMA1DPTR13 = 5,
    DMA1DPTR14 = 6,
    DMA1DPTR15 = 7

// DMA1DSZL
public const
    DMA1DSZ0 = 0,
    DMA1DSZ1 = 1,
    DMA1DSZ2 = 2,
    DMA1DSZ3 = 3,
    DMA1DSZ4 = 4,
    DMA1DSZ5 = 5,
    DMA1DSZ6 = 6,
    DMA1DSZ7 = 7

// DMA1DSZH
public const
    DMA1DSZ8 = 0,
    DMA1DSZ9 = 1,
    DMA1DSZ10 = 2,
    DMA1DSZ11 = 3

// DMA1DSAL
public const
    DMA1DSA0 = 0,
    DMA1DSA1 = 1,
    DMA1DSA2 = 2,
    DMA1DSA3 = 3,
    DMA1DSA4 = 4,
    DMA1DSA5 = 5,
    DMA1DSA6 = 6,
    DMA1DSA7 = 7

// DMA1DSAH
public const
    DMA1DSA8 = 0,
    DMA1DSA9 = 1,
    DMA1DSA10 = 2,
    DMA1DSA11 = 3,
    DMA1DSA12 = 4,
    DMA1DSA13 = 5,
    DMA1DSA14 = 6,
    DMA1DSA15 = 7

// DMA1SCNTL
public const
    DMA1SCNT0 = 0,
    DMA1SCNT1 = 1,
    DMA1SCNT2 = 2,
    DMA1SCNT3 = 3,
    DMA1SCNT4 = 4,
    DMA1SCNT5 = 5,
    DMA1SCNT6 = 6,
    DMA1SCNT7 = 7

// DMA1SCNTH
public const
    DMA1SCNT8 = 0,
    DMA1SCNT9 = 1,
    DMA1SCNT10 = 2,
    DMA1SCNT11 = 3

// DMA1SPTRL
public const
    DMA1SPTR0 = 0,
    DMA1SPTR1 = 1,
    DMA1SPTR2 = 2,
    DMA1SPTR3 = 3,
    DMA1SPTR4 = 4,
    DMA1SPTR5 = 5,
    DMA1SPTR6 = 6,
    DMA1SPTR7 = 7

// DMA1SPTRH
public const
    DMA1SPTR8 = 0,
    DMA1SPTR9 = 1,
    DMA1SPTR10 = 2,
    DMA1SPTR11 = 3,
    DMA1SPTR12 = 4,
    DMA1SPTR13 = 5,
    DMA1SPTR14 = 6,
    DMA1SPTR15 = 7

// DMA1SPTRU
public const
    DMA1SPTR16 = 0,
    DMA1SPTR17 = 1,
    DMA1SPTR18 = 2,
    DMA1SPTR19 = 3,
    DMA1SPTR20 = 4,
    DMA1SPTR21 = 5

// DMA1SSZL
public const
    DMA1SSZ0 = 0,
    DMA1SSZ1 = 1,
    DMA1SSZ2 = 2,
    DMA1SSZ3 = 3,
    DMA1SSZ4 = 4,
    DMA1SSZ5 = 5,
    DMA1SSZ6 = 6,
    DMA1SSZ7 = 7

// DMA1SSZH
public const
    DMA1SSZ8 = 0,
    DMA1SSZ9 = 1,
    DMA1SSZ10 = 2,
    DMA1SSZ11 = 3

// DMA1SSAL
public const
    DMA1SSA0 = 0,
    DMA1SSA1 = 1,
    DMA1SSA2 = 2,
    DMA1SSA3 = 3,
    DMA1SSA4 = 4,
    DMA1SSA5 = 5,
    DMA1SSA6 = 6,
    DMA1SSA7 = 7

// DMA1SSAH
public const
    DMA1SSA8 = 0,
    DMA1SSA9 = 1,
    DMA1SSA10 = 2,
    DMA1SSA11 = 3,
    DMA1SSA12 = 4,
    DMA1SSA13 = 5,
    DMA1SSA14 = 6,
    DMA1SSA15 = 7

// DMA1SSAU
public const
    DMA1SSA16 = 0,
    DMA1SSA17 = 1,
    DMA1SSA18 = 2,
    DMA1SSA19 = 3,
    DMA1SSA20 = 4,
    DMA1SSA21 = 5

// DMA1CON0
public const
    DMA1XIP = 0,
    DMA1AIRQEN = 2,
    DMA1DGO = 5,
    DMA1SIRQEN = 6,
    DMA1EN = 7

// DMA1CON1

// DMA1AIRQ
public const
    DMA1AIRQ0 = 0,
    DMA1AIRQ1 = 1,
    DMA1AIRQ2 = 2,
    DMA1AIRQ3 = 3,
    DMA1AIRQ4 = 4,
    DMA1AIRQ5 = 5,
    DMA1AIRQ6 = 6

// DMA1SIRQ
public const
    DMA1SIRQ0 = 0,
    DMA1SIRQ1 = 1,
    DMA1SIRQ2 = 2,
    DMA1SIRQ3 = 3,
    DMA1SIRQ4 = 4,
    DMA1SIRQ5 = 5,
    DMA1SIRQ6 = 6

// CLC4CON
public const
    MODE0 = 0,
    MODE1 = 1,
    MODE2 = 2,
    INTN_CLC4CON = 3,
    INTP_CLC4CON = 4,
    OUT_CLC4CON = 5,
    OE = 6,
    LC4EN = 7

// CLC4POL
public const
    G1POL = 0,
    G2POL = 1,
    G3POL = 2,
    G4POL = 3,
    POL_CLC4POL = 7

// CLC4SEL0
public const
    D1S0 = 0,
    D1S1 = 1,
    D1S2 = 2,
    D1S3 = 3,
    D1S4 = 4,
    D1S5 = 5,
    D1S6 = 6,
    D1S7 = 7

// CLC4SEL1
public const
    D2S0 = 0,
    D2S1 = 1,
    D2S2 = 2,
    D2S3 = 3,
    D2S4 = 4,
    D2S5 = 5,
    D2S6 = 6,
    D2S7 = 7

// CLC4SEL2
public const
    D3S0 = 0,
    D3S1 = 1,
    D3S2 = 2,
    D3S3 = 3,
    D3S4 = 4,
    D3S5 = 5,
    D3S6 = 6,
    D3S7 = 7

// CLC4SEL3
public const
    D4S0 = 0,
    D4S1 = 1,
    D4S2 = 2,
    D4S3 = 3,
    D4S4 = 4,
    D4S5 = 5,
    D4S6 = 6,
    D4S7 = 7

// CLC4GLS0
public const
    G1D1N = 0,
    G1D1T = 1,
    G1D2N = 2,
    G1D2T = 3,
    G1D3N = 4,
    G1D3T = 5,
    G1D4N = 6,
    G1D4T = 7

// CLC4GLS1
public const
    G2D1N = 0,
    G2D1T = 1,
    G2D2N = 2,
    G2D2T = 3,
    G2D3N = 4,
    G2D3T = 5,
    G2D4N = 6,
    G2D4T = 7

// CLC4GLS2
public const
    G3D1N = 0,
    G3D1T = 1,
    G3D2N = 2,
    G3D2T = 3,
    G3D3N = 4,
    G3D3T = 5,
    G3D4N = 6,
    G3D4T = 7

// CLC4GLS3
public const
    G4D1N = 0,
    G4D1T = 1,
    G4D2N = 2,
    G4D2T = 3,
    G4D3N = 4,
    G4D3T = 5,
    G4D4N = 6,
    G4D4T = 7

// CLC3CON
public const
    LC3MODE0 = 0,
    LC3MODE1 = 1,
    LC3MODE2 = 2,
    INTN_CLC3CON = 3,
    INTP_CLC3CON = 4,
    OUT_CLC3CON = 5,
    LC3OE = 6,
    LC3EN = 7

// CLC3POL
public const
    LC3G1POL = 0,
    LC3G2POL = 1,
    LC3G3POL = 2,
    LC3G4POL = 3,
    POL_CLC3POL = 7

// CLC3SEL0
public const
    LC3D1S0 = 0,
    LC3D1S1 = 1,
    LC3D1S2 = 2,
    LC3D1S3 = 3,
    LC3D1S4 = 4,
    LC3D1S5 = 5,
    LC3D1S6 = 6,
    LC3D1S7 = 7

// CLC3SEL1
public const
    LC3D2S0 = 0,
    LC3D2S1 = 1,
    LC3D2S2 = 2,
    LC3D2S3 = 3,
    LC3D2S4 = 4,
    LC3D2S5 = 5,
    LC3D2S6 = 6,
    LC3D2S7 = 7

// CLC3SEL2
public const
    LC3D3S0 = 0,
    LC3D3S1 = 1,
    LC3D3S2 = 2,
    LC3D3S3 = 3,
    LC3D3S4 = 4,
    LC3D3S5 = 5,
    LC3D3S6 = 6,
    LC3D3S7 = 7

// CLC3SEL3
public const
    LC3D4S0 = 0,
    LC3D4S1 = 1,
    LC3D4S2 = 2,
    LC3D4S3 = 3,
    LC3D4S4 = 4,
    LC3D4S5 = 5,
    LC3D4S6 = 6,
    LC3D4S7 = 7

// CLC3GLS0
public const
    LC3G1D1N = 0,
    LC3G1D1T = 1,
    LC3G1D2N = 2,
    LC3G1D2T = 3,
    LC3G1D3N = 4,
    LC3G1D3T = 5,
    LC3G1D4N = 6,
    LC3G1D4T = 7

// CLC3GLS1
public const
    LC3G2D1N = 0,
    LC3G2D1T = 1,
    LC3G2D2N = 2,
    LC3G2D2T = 3,
    LC3G2D3N = 4,
    LC3G2D3T = 5,
    LC3G2D4N = 6,
    LC3G2D4T = 7

// CLC3GLS2
public const
    LC3G3D1N = 0,
    LC3G3D1T = 1,
    LC3G3D2N = 2,
    LC3G3D2T = 3,
    LC3G3D3N = 4,
    LC3G3D3T = 5,
    LC3G3D4N = 6,
    LC3G3D4T = 7

// CLC3GLS3
public const
    LC3G4D1N = 0,
    LC3G4D1T = 1,
    LC3G4D2N = 2,
    LC3G4D2T = 3,
    LC3G4D3N = 4,
    LC3G4D3T = 5,
    LC3G4D4N = 6,
    LC3G4D4T = 7

// CLC2CON
public const
    LC2MODE0 = 0,
    LC2MODE1 = 1,
    LC2MODE2 = 2,
    INTN_CLC2CON = 3,
    INTP_CLC2CON = 4,
    OUT_CLC2CON = 5,
    LC2OE = 6,
    LC2EN = 7

// CLC2POL
public const
    LC2G1POL = 0,
    LC2G2POL = 1,
    LC2G3POL = 2,
    LC2G4POL = 3,
    POL_CLC2POL = 7

// CLC2SEL0
public const
    LC2D1S0 = 0,
    LC2D1S1 = 1,
    LC2D1S2 = 2,
    LC2D1S3 = 3,
    LC2D1S4 = 4,
    LC2D1S5 = 5,
    LC2D1S6 = 6,
    LC2D1S7 = 7

// CLC2SEL1
public const
    LC2D2S0 = 0,
    LC2D2S1 = 1,
    LC2D2S2 = 2,
    LC2D2S3 = 3,
    LC2D2S4 = 4,
    LC2D2S5 = 5,
    LC2D2S6 = 6,
    LC2D2S7 = 7

// CLC2SEL2
public const
    LC2D3S0 = 0,
    LC2D3S1 = 1,
    LC2D3S2 = 2,
    LC2D3S3 = 3,
    LC2D3S4 = 4,
    LC2D3S5 = 5,
    LC2D3S6 = 6,
    LC2D3S7 = 7

// CLC2SEL3
public const
    LC2D4S0 = 0,
    LC2D4S1 = 1,
    LC2D4S2 = 2,
    LC2D4S3 = 3,
    LC2D4S4 = 4,
    LC2D4S5 = 5,
    LC2D4S6 = 6,
    LC2D4S7 = 7

// CLC2GLS0
public const
    LC2G1D1N = 0,
    LC2G1D1T = 1,
    LC2G1D2N = 2,
    LC2G1D2T = 3,
    LC2G1D3N = 4,
    LC2G1D3T = 5,
    LC2G1D4N = 6,
    LC2G1D4T = 7

// CLC2GLS1
public const
    LC2G2D1N = 0,
    LC2G2D1T = 1,
    LC2G2D2N = 2,
    LC2G2D2T = 3,
    LC2G2D3N = 4,
    LC2G2D3T = 5,
    LC2G2D4N = 6,
    LC2G2D4T = 7

// CLC2GLS2
public const
    LC2G3D1N = 0,
    LC2G3D1T = 1,
    LC2G3D2N = 2,
    LC2G3D2T = 3,
    LC2G3D3N = 4,
    LC2G3D3T = 5,
    LC2G3D4N = 6,
    LC2G3D4T = 7

// CLC2GLS3
public const
    LC2G4D1N = 0,
    LC2G4D1T = 1,
    LC2G4D2N = 2,
    LC2G4D2T = 3,
    LC2G4D3N = 4,
    LC2G4D3T = 5,
    LC2G4D4N = 6,
    LC2G4D4T = 7

// CLC1CON
public const
    LC1MODE0 = 0,
    LC1MODE1 = 1,
    LC1MODE2 = 2,
    INTN_CLC1CON = 3,
    INTP_CLC1CON = 4,
    OUT_CLC1CON = 5,
    LC1OE = 6,
    LC1EN = 7

// CLC1POL
public const
    LC1G1POL = 0,
    LC1G2POL = 1,
    LC1G3POL = 2,
    LC1G4POL = 3,
    POL_CLC1POL = 7

// CLC1SEL0
public const
    LC1D1S0 = 0,
    LC1D1S1 = 1,
    LC1D1S2 = 2,
    LC1D1S3 = 3,
    LC1D1S4 = 4,
    LC1D1S5 = 5,
    LC1D1S6 = 6,
    LC1D1S7 = 7

// CLC1SEL1
public const
    LC1D2S0 = 0,
    LC1D2S1 = 1,
    LC1D2S2 = 2,
    LC1D2S3 = 3,
    LC1D2S4 = 4,
    LC1D2S5 = 5,
    LC1D2S6 = 6,
    LC1D2S7 = 7

// CLC1SEL2
public const
    LC1D3S0 = 0,
    LC1D3S1 = 1,
    LC1D3S2 = 2,
    LC1D3S3 = 3,
    LC1D3S4 = 4,
    LC1D3S5 = 5,
    LC1D3S6 = 6,
    LC1D3S7 = 7

// CLC1SEL3
public const
    LC1D4S0 = 0,
    LC1D4S1 = 1,
    LC1D4S2 = 2,
    LC1D4S3 = 3,
    LC1D4S4 = 4,
    LC1D4S5 = 5,
    LC1D4S6 = 6,
    LC1D4S7 = 7

// CLC1GLS0
public const
    LC1G1D1N = 0,
    LC1G1D1T = 1,
    LC1G1D2N = 2,
    LC1G1D2T = 3,
    LC1G1D3N = 4,
    LC1G1D3T = 5,
    LC1G1D4N = 6,
    LC1G1D4T = 7

// CLC1GLS1
public const
    LC1G2D1N = 0,
    LC1G2D1T = 1,
    LC1G2D2N = 2,
    LC1G2D2T = 3,
    LC1G2D3N = 4,
    LC1G2D3T = 5,
    LC1G2D4N = 6,
    LC1G2D4T = 7

// CLC1GLS2
public const
    LC1G3D1N = 0,
    LC1G3D1T = 1,
    LC1G3D2N = 2,
    LC1G3D2T = 3,
    LC1G3D3N = 4,
    LC1G3D3T = 5,
    LC1G3D4N = 6,
    LC1G3D4T = 7

// CLC1GLS3
public const
    LC1G4D1N = 0,
    LC1G4D1T = 1,
    LC1G4D2N = 2,
    LC1G4D2T = 3,
    LC1G4D3N = 4,
    LC1G4D3T = 5,
    LC1G4D4N = 6,
    LC1G4D4T = 7

// CLCDATA0
public const
    CLC1OUT = 0,
    CLC2OUT = 1,
    CLC3OUT = 2,
    CLC4OUT = 3

// CLKRCON
public const
    CLKRDIV0 = 0,
    CLKRDIV1 = 1,
    CLKRDIV2 = 2,
    CLKRDC0 = 3,
    CLKRDC1 = 4,
    CLKREN = 7

// CLKRCLK
public const
    CLK0 = 0,
    CLK1 = 1,
    CLK2 = 2,
    CLK3 = 3

// MD1CON0
public const
    MDBIT = 0,
    OPOL = 4,
    OUT_MD1CON0 = 5,
    MD1EN = 7

// MD1CON1
public const
    CLSYNC = 0,
    CLPOL = 1,
    CHSYNC = 4,
    CHPOL = 5

// MD1SRC
public const
    MS0 = 0,
    MS1 = 1,
    MS2 = 2,
    MS3 = 3,
    MS4 = 4

// MD1CARL
public const
    CL0 = 0,
    CL1 = 1,
    CL2 = 2,
    CL3 = 3,
    CL4 = 4

// MD1CARH
public const
    CH0 = 0,
    CH1 = 1,
    CH2 = 2,
    CH3 = 3,
    CH4 = 4

// SPI1RXB
public const
    RXB0 = 0,
    RXB1 = 1,
    RXB2 = 2,
    RXB3 = 3,
    RXB4 = 4,
    RXB5 = 5,
    RXB6 = 6,
    RXB7 = 7

// SPI1TXB
public const
    TXB0 = 0,
    TXB1 = 1,
    TXB2 = 2,
    TXB3 = 3,
    TXB4 = 4,
    TXB5 = 5,
    TXB6 = 6,
    TXB7 = 7

// SPI1CON0
public const
    BMODE = 0,
    MST = 1,
    LSBF = 2,
    SPI1SPIEN = 7

// SPI1CON1
public const
    SDOP = 0,
    SDIP = 1,
    SSP = 2,
    FST = 4,
    CKP = 5,
    CKE = 6,
    SMP = 7

// SPI1CON2
public const
    RXR = 0,
    TXR = 1,
    SSET = 2,
    SSFLT = 6,
    BUSY_SPI1CON2 = 7

// SPI1STATUS
public const
    RXBF = 0,
    CLRBF = 2,
    RXRE = 3,
    TXBE = 5,
    TXWE = 7

// SPI1TWIDTH
public const
    TWIDTH0 = 0,
    TWIDTH1 = 1,
    TWIDTH2 = 2

// SPI1BAUD
public const
    BAUD0 = 0,
    BAUD1 = 1,
    BAUD2 = 2,
    BAUD3 = 3,
    BAUD4 = 4,
    BAUD5 = 5,
    BAUD6 = 6,
    BAUD7 = 7

// SPI1INTF
public const
    TXUIF = 1,
    RXOIF = 2,
    EOSIF = 4,
    SOSIF = 5,
    TCZIF = 6,
    SRMTIF = 7

// SPI1INTE
public const
    TXUIE = 1,
    RXOIE = 2,
    EOSIE = 4,
    SOSIE = 5,
    TCZIE = 6,
    SRMTIE = 7

// SPI1CLK
public const
    CLKSEL0 = 0,
    CLKSEL1 = 1,
    CLKSEL2 = 2

// I2C2CNT
public const
    CNT0 = 0,
    CNT1 = 1,
    CNT2 = 2,
    CNT3 = 3,
    CNT4 = 4,
    CNT5 = 5,
    CNT6 = 6,
    CNT7 = 7

// I2C2CON0
public const
    MDR = 3,
    CSTR = 4,
    S = 5,
    RSEN = 6,
    I2CEN = 7

// I2C2CON1
public const
    CSD = 0,
    TXU = 1,
    RXO = 2,
    ACKT = 4,
    ACKSTAT = 5,
    ACKDT = 6,
    ACKCNT = 7

// I2C2CON2
public const
    BFRET0 = 0,
    BFRET1 = 1,
    SDAHT0 = 2,
    SDAHT1 = 3,
    ABD = 4,
    FME = 5,
    GCEN = 6,
    ACNT = 7

// I2C2ERR
public const
    NACKIE = 0,
    BCLIE = 1,
    BTOIE = 2,
    NACKIF = 4,
    BCLIF = 5,
    BTOIF = 6

// I2C2STAT0
public const
    D = 3,
    R = 4,
    MMA = 5,
    SMA = 6,
    BFRE = 7

// I2C2STAT1

// I2C2PIR
public const
    SCIF = 0,
    RSCIF = 1,
    PCIF = 2,
    ADRIF = 3,
    WRIF = 4,
    ACKTIF = 6,
    CNTIF = 7

// I2C2PIE
public const
    SCIE = 0,
    RSCIE = 1,
    PCIE = 2,
    ADRIE = 3,
    WRIE = 4,
    ACKTIE = 6,
    CNTIE = 7

// I2C2CLK
public const
    I2CCLK0 = 0,
    I2CCLK1 = 1,
    I2CCLK2 = 2,
    I2CCLK3 = 3

// I2C2BTO
public const
    BTO0 = 0,
    BTO1 = 1,
    BTO2 = 2

// I2C1CNT

// I2C1CON0

// I2C1CON1

// I2C1CON2

// I2C1ERR
public const
    NACK1IE = 0,
    BCL1IE = 1,
    BTO1IE = 2,
    NACK1IF = 4,
    BCL1IF = 5,
    BTO1IF = 6

// I2C1STAT0
public const
    //; DATA = 3,
    READ = 4

// I2C1STAT1

// I2C1PIR
public const
    SC1IF = 0,
    RSC1IF = 1,
    PC1IF = 2,
    ADR1IF = 3,
    WR1IF = 4,
    ACKT1IF = 6,
    CNT1IF = 7

// I2C1PIE
public const
    SC1IE = 0,
    RSC1IE = 1,
    PC1IE = 2,
    ADR1IE = 3,
    WR1IE = 4,
    ACKT1IE = 6,
    CNT1IE = 7

// I2C1CLK

// I2C1BTO
public const
    I2CBTO0 = 0,
    I2CBTO1 = 1,
    I2CBTO2 = 2

// U2CON0
public const
    U2MODE0 = 0,
    U2MODE1 = 1,
    U2MODE2 = 2,
    U2RXEN = 4,
    U2TXEN = 5,
    U2ABDEN = 6,
    U2BRGS = 7

// U2CON1
public const
    SENDB = 0,
    BRKOVR = 1,
    RXBIMD = 3,
    WUE = 4,
    ON_U2CON1 = 7

// U2CON2
public const
    FLO0 = 0,
    FLO1 = 1,
    TXPOL = 2,
    STP0 = 4,
    STP1 = 5,
    RXPOL = 6,
    RUNOVF = 7

// U2FIFO
public const
    U2RXBF = 0,
    RXBE = 1,
    XON = 2,
    RXIDL = 3,
    TXBF = 4,
    U2TXBE = 5,
    STPMD = 6,
    TXWRE = 7

// U2UIR
public const
    ABDIE = 2,
    ABDIF = 6,
    WUIF = 7

// U2ERRIR
public const
    TXCIF = 0,
    RXFOIF = 1,
    RXBKIF = 2,
    FERIF = 3,
    CERIF = 4,
    ABDOVF = 5,
    PERIF = 6,
    TXMTIF = 7

// U2ERRIE
public const
    TXCIE = 0,
    RXFOIE = 1,
    RXBKIE = 2,
    FERIE = 3,
    CERIE = 4,
    ABDOVE = 5,
    PERIE = 6,
    TXMTIE = 7

// U1P1H
public const
    P1H = 0

// U1P2H
public const
    P2H = 0

// U1P3H
public const
    P3H = 0

// U1CON0
public const
    U1MODE0 = 0,
    U1MODE1 = 1,
    U1MODE2 = 2,
    U1RXEN = 4,
    U1TXEN = 5,
    U1ABDEN = 6,
    U1BRGS = 7

// U1CON1
public const
    U1SENDB = 0,
    U1BRKOVR = 1,
    U1RXBIMD = 3,
    U1WUE = 4,
    ON_U1CON1 = 7

// U1CON2
public const
    U1FLO0 = 0,
    U1FLO1 = 1,
    U1TXPOL = 2,
    C0EN = 3,
    U1STP0 = 4,
    U1STP1 = 5,
    U1RXPOL = 6,
    U1RUNOVF = 7

// U1FIFO
public const
    U1RXBF = 0,
    U1RXBE = 1,
    U1XON = 2,
    U1RXIDL = 3,
    U1TXBF = 4,
    U1TXBE = 5,
    U1STPMD = 6,
    U1TXWRE = 7

// U1UIR
public const
    U1ABDIE = 2,
    U1ABDIF = 6,
    U1WUIF = 7

// U1ERRIR
public const
    U1TXCIF = 0,
    U1RXFOIF = 1,
    U1RXBKIF = 2,
    U1FERIF = 3,
    U1CERIF = 4,
    U1ABDOVF = 5,
    U1PERIF = 6,
    U1TXMTIF = 7

// U1ERRIE
public const
    U1TXCIE = 0,
    U1RXFOIE = 1,
    U1RXBKIE = 2,
    U1FERIE = 3,
    U1CERIE = 4,
    U1ABDOVE = 5,
    U1PERIE = 6,
    U1TXMTIE = 7

// DAC1CON1
public const
    DAC1R0 = 0,
    DAC1R1 = 1,
    DAC1R2 = 2,
    DAC1R3 = 3,
    DAC1R4 = 4

// DAC1CON0
public const
    NSS = 0,
    DAC1PSS0 = 2,
    DAC1PSS1 = 3,
    OE2 = 4,
    OE1 = 5,
    DAC1EN = 7

// CM2CON0
public const
    SYNC = 0,
    HYS = 1,
    POL_CM2CON0 = 4,
    OUT_CM2CON0 = 6,
    C2EN = 7

// CM2CON1
public const
    INTN_CM2CON1 = 0,
    INTP_CM2CON1 = 1

// CM2NCH
public const
    NCH0 = 0,
    NCH1 = 1,
    NCH2 = 2

// CM2PCH
public const
    PCH0 = 0,
    PCH1 = 1,
    PCH2 = 2

// CM1CON0
public const
    C1SYNC = 0,
    C1HYS = 1,
    POL_CM1CON0 = 4,
    OUT_CM1CON0 = 6,
    C1EN = 7

// CM1CON1
public const
    INTN_CM1CON1 = 0,
    INTP_CM1CON1 = 1

// CM1NCH
public const
    C1NCH0 = 0,
    C1NCH1 = 1,
    C1NCH2 = 2

// CM1PCH
public const
    C1PCH0 = 0,
    C1PCH1 = 1,
    C1PCH2 = 2

// CMOUT
public const
    C1OUT_CMOUT = 0,
    C2OUT_CMOUT = 1

// FVRCON
public const
    ADFVR0 = 0,
    ADFVR1 = 1,
    CDAFVR0 = 2,
    CDAFVR1 = 3,
    TSRNG = 4,
    TSEN = 5,
    RDY_FVRCON = 6,
    FVREN = 7

// ZCDCON
public const
    INTN_ZCDCON = 0,
    INTP_ZCDCON = 1,
    POL_ZCDCON = 4,
    OUT_ZCDCON = 5,
    SEN_ZCDCON = 7

// HLVDCON0
public const
    INTL = 0,
    INTH = 1,
    RDY_HLVDCON0 = 4,
    OUT_HLVDCON0 = 5,
    HLVDEN = 7

// HLVDCON1
public const
    SEL0 = 0,
    SEL1 = 1,
    SEL2 = 2,
    SEL3 = 3

// ADCP
public const
    CPRDY = 0,
    ON_ADCP = 7

// ADLTHL
public const
    ADLTH0 = 0,
    ADLTH1 = 1,
    ADLTH2 = 2,
    ADLTH3 = 3,
    ADLTH4 = 4,
    ADLTH5 = 5,
    ADLTH6 = 6,
    ADLTH7 = 7

// ADLTHH
public const
    ADLTH8 = 0,
    ADLTH9 = 1,
    ADLTH10 = 2,
    ADLTH11 = 3,
    ADLTH12 = 4,
    ADLTH13 = 5,
    ADLTH14 = 6,
    ADLTH15 = 7

// ADUTHL
public const
    ADUTH0 = 0,
    ADUTH1 = 1,
    ADUTH2 = 2,
    ADUTH3 = 3,
    ADUTH4 = 4,
    ADUTH5 = 5,
    ADUTH6 = 6,
    ADUTH7 = 7

// ADUTHH
public const
    ADUTH8 = 0,
    ADUTH9 = 1,
    ADUTH10 = 2,
    ADUTH11 = 3,
    ADUTH12 = 4,
    ADUTH13 = 5,
    ADUTH14 = 6,
    ADUTH15 = 7

// ADERRL
public const
    ADERR0 = 0,
    ADERR1 = 1,
    ADERR2 = 2,
    ADERR3 = 3,
    ADERR4 = 4,
    ADERR5 = 5,
    ADERR6 = 6,
    ADERR7 = 7

// ADERRH
public const
    ADERR8 = 0,
    ADERR9 = 1,
    ADERR10 = 2,
    ADERR11 = 3,
    ADERR12 = 4,
    ADERR13 = 5,
    ADERR14 = 6,
    ADERR15 = 7

// ADSTPTL
public const
    ADSTPT0 = 0,
    ADSTPT1 = 1,
    ADSTPT2 = 2,
    ADSTPT3 = 3,
    ADSTPT4 = 4,
    ADSTPT5 = 5,
    ADSTPT6 = 6,
    ADSTPT7 = 7

// ADSTPTH
public const
    ADSTPT8 = 0,
    ADSTPT9 = 1,
    ADSTPT10 = 2,
    ADSTPT11 = 3,
    ADSTPT12 = 4,
    ADSTPT13 = 5,
    ADSTPT14 = 6,
    ADSTPT15 = 7

// ADFLTRL
public const
    ADFLTR0 = 0,
    ADFLTR1 = 1,
    ADFLTR2 = 2,
    ADFLTR3 = 3,
    ADFLTR4 = 4,
    ADFLTR5 = 5,
    ADFLTR6 = 6,
    ADFLTR7 = 7

// ADFLTRH
public const
    ADFLTR8 = 0,
    ADFLTR9 = 1,
    ADFLTR10 = 2,
    ADFLTR11 = 3,
    ADFLTR12 = 4,
    ADFLTR13 = 5,
    ADFLTR14 = 6,
    ADFLTR15 = 7

// ADACCL
public const
    ADACC0 = 0,
    ADACC1 = 1,
    ADACC2 = 2,
    ADACC3 = 3,
    ADACC4 = 4,
    ADACC5 = 5,
    ADACC6 = 6,
    ADACC7 = 7

// ADACCH
public const
    ADACC8 = 0,
    ADACC9 = 1,
    ADACC10 = 2,
    ADACC11 = 3,
    ADACC12 = 4,
    ADACC13 = 5,
    ADACC14 = 6,
    ADACC15 = 7

// ADACCU
public const
    ADACC16 = 0,
    ADACC17 = 1,
    ADACC18 = 2,
    ADACC19 = 3,
    ADACC20 = 4,
    ADACC21 = 5,
    ADACC22 = 6,
    ADACC23 = 7

// ADCNT
public const
    ADCNT0 = 0,
    ADCNT1 = 1,
    ADCNT2 = 2,
    ADCNT3 = 3,
    ADCNT4 = 4,
    ADCNT5 = 5,
    ADCNT6 = 6,
    ADCNT7 = 7

// ADRPT
public const
    ADRPT0 = 0,
    ADRPT1 = 1,
    ADRPT2 = 2,
    ADRPT3 = 3,
    ADRPT4 = 4,
    ADRPT5 = 5,
    ADRPT6 = 6,
    ADRPT7 = 7

// ADPREVL
public const
    ADPREV0 = 0,
    ADPREV1 = 1,
    ADPREV2 = 2,
    ADPREV3 = 3,
    ADPREV4 = 4,
    ADPREV5 = 5,
    ADPREV6 = 6,
    ADPREV7 = 7

// ADPREVH
public const
    ADPREV8 = 0,
    ADPREV9 = 1,
    ADPREV10 = 2,
    ADPREV11 = 3,
    ADPREV12 = 4,
    ADPREV13 = 5,
    ADPREV14 = 6,
    ADPREV15 = 7

// ADRESL
public const
    ADRES0 = 0,
    ADRES1 = 1,
    ADRES2 = 2,
    ADRES3 = 3,
    ADRES4 = 4,
    ADRES5 = 5,
    ADRES6 = 6,
    ADRES7 = 7

// ADRESH
public const
    ADRES8 = 0,
    ADRES9 = 1,
    ADRES10 = 2,
    ADRES11 = 3,
    ADRES12 = 4,
    ADRES13 = 5,
    ADRES14 = 6,
    ADRES15 = 7

// ADPCH
public const
    ADPCH0 = 0,
    ADPCH1 = 1,
    ADPCH2 = 2,
    ADPCH3 = 3,
    ADPCH4 = 4,
    ADPCH5 = 5

// ADACQL
public const
    ADACQ0 = 0,
    ADACQ1 = 1,
    ADACQ2 = 2,
    ADACQ3 = 3,
    ADACQ4 = 4,
    ADACQ5 = 5,
    ADACQ6 = 6,
    ADACQ7 = 7

// ADACQH
public const
    ADACQ8 = 0,
    ADACQ9 = 1,
    ADACQ10 = 2,
    ADACQ11 = 3,
    ADACQ12 = 4

// ADCAP
public const
    ADCAP0 = 0,
    ADCAP1 = 1,
    ADCAP2 = 2,
    ADCAP3 = 3,
    ADCAP4 = 4

// ADPREL
public const
    PRE0 = 0,
    PRE1 = 1,
    PRE2 = 2,
    PRE3 = 3,
    PRE4 = 4,
    PRE5 = 5,
    PRE6 = 6,
    PRE7 = 7

// ADPREH
public const
    PRE8 = 0,
    PRE9 = 1,
    PRE10 = 2,
    PRE11 = 3,
    PRE12 = 4

// ADCON0
public const
    GO_ADCON0 = 0,
    FM0 = 2,
    CS_ADCON0 = 4,
    CONT = 6,
    ON_ADCON0 = 7

// ADCON1
public const
    DSEN = 0,
    GPOL_ADCON1 = 5,
    IPEN_ADCON1 = 6,
    PPOL = 7

// ADCON2
public const
    ADMD0 = 0,
    ADMD1 = 1,
    ADMD2 = 2,
    ACLR = 3,
    ADCRS0 = 4,
    ADCRS1 = 5,
    ADCRS2 = 6,
    PSIS = 7

// ADCON3
public const
    ADTMD0 = 0,
    ADTMD1 = 1,
    ADTMD2 = 2,
    SOI = 3,
    ADCALC0 = 4,
    ADCALC1 = 5,
    ADCALC2 = 6

// ADSTAT
public const
    ADSTAT0 = 0,
    ADSTAT1 = 1,
    ADSTAT2 = 2,
    MATH = 4,
    LTHR = 5,
    UTHR = 6,
    OV_ADSTAT = 7

// ADREF
public const
    PREF0 = 0,
    PREF1 = 1,
    NREF0 = 4

// ADACT
public const
    ADACT0 = 0,
    ADACT1 = 1,
    ADACT2 = 2,
    ADACT3 = 3,
    ADACT4 = 4

// ADCLK
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ADCS3 = 3,
    ADCS4 = 4,
    ADCS5 = 5

// SMT1TMRL
public const
    //;TMR0 = 0,
    TMR1 = 1,
    //;TMR2 = 2,
    TMR3 = 3,
    //;TMR4 = 4,
    TMR5 = 5,
    //;TMR6 = 6,
    TMR7 = 7

// SMT1TMRH
public const
    TMR8 = 0,
    TMR9 = 1,
    TMR10 = 2,
    TMR11 = 3,
    TMR12 = 4,
    TMR13 = 5,
    TMR14 = 6,
    TMR15 = 7

// SMT1TMRU
public const
    TMR16 = 0,
    TMR17 = 1,
    TMR18 = 2,
    TMR19 = 3,
    TMR20 = 4,
    TMR21 = 5,
    TMR22 = 6,
    TMR23 = 7

// SMT1CPRL
public const
    CPR0 = 0,
    CPR1 = 1,
    CPR2 = 2,
    CPR3 = 3,
    CPR4 = 4,
    CPR5 = 5,
    CPR6 = 6,
    CPR7 = 7

// SMT1CPRH
public const
    CPR8 = 0,
    CPR9 = 1,
    CPR10 = 2,
    CPR11 = 3,
    CPR12 = 4,
    CPR13 = 5,
    CPR14 = 6,
    CPR15 = 7

// SMT1CPRU
public const
    CPR16 = 0,
    CPR17 = 1,
    CPR18 = 2,
    CPR19 = 3,
    CPR20 = 4,
    CPR21 = 5,
    CPR22 = 6,
    CPR23 = 7

// SMT1CPWL
public const
    CPW0 = 0,
    CPW1 = 1,
    CPW2 = 2,
    CPW3 = 3,
    CPW4 = 4,
    CPW5 = 5,
    CPW6 = 6,
    CPW7 = 7

// SMT1CPWH
public const
    CPW8 = 0,
    CPW9 = 1,
    CPW10 = 2,
    CPW11 = 3,
    CPW12 = 4,
    CPW13 = 5,
    CPW14 = 6,
    CPW15 = 7

// SMT1CPWU
public const
    CPW16 = 0,
    CPW17 = 1,
    CPW18 = 2,
    CPW19 = 3,
    CPW20 = 4,
    CPW21 = 5,
    CPW22 = 6,
    CPW23 = 7

// SMT1PRL
public const
    SMT1PR0 = 0,
    SMT1PR1 = 1,
    SMT1PR2 = 2,
    PR3 = 3,
    //;PR4 = 4,
    PR5 = 5,
    //;PR6 = 6,
    PR7 = 7

// SMT1PRH
public const
    PR8 = 0,
    PR9 = 1,
    PR10 = 2,
    PR11 = 3,
    PR12 = 4,
    PR13 = 5,
    PR14 = 6,
    PR15 = 7

// SMT1PRU
public const
    PR16 = 0,
    PR17 = 1,
    PR18 = 2,
    PR19 = 3,
    PR20 = 4,
    PR21 = 5,
    PR22 = 6,
    PR23 = 7

// SMT1CON0
public const
    PS0 = 0,
    PS1 = 1,
    CPOL = 2,
    SPOL = 3,
    WPOL = 4,
    STP = 5,
    SMT1EN = 7

// SMT1CON1
public const
    MODE3 = 3,
    bREPEAT = 6,
    GO_SMT1CON1 = 7

// SMT1STAT
public const
    bAS = 0,
    WS = 1,
    TS = 2,
    RST = 5,
    CPWUP = 6,
    CPRUP = 7

// SMT1CLK
public const
    CSEL0 = 0,
    CSEL1 = 1,
    CSEL2 = 2

// SMT1SIG
public const
    SSEL0 = 0,
    SSEL1 = 1,
    SSEL2 = 2,
    SSEL3 = 3,
    SSEL4 = 4

// SMT1WIN
public const
    WSEL0 = 0,
    WSEL1 = 1,
    WSEL2 = 2,
    WSEL3 = 3,
    WSEL4 = 4

// NCO1ACCL
public const
    NCO1ACC0 = 0,
    NCO1ACC1 = 1,
    NCO1ACC2 = 2,
    NCO1ACC3 = 3,
    NCO1ACC4 = 4,
    NCO1ACC5 = 5,
    NCO1ACC6 = 6,
    NCO1ACC7 = 7

// NCO1ACCH
public const
    NCO1ACC8 = 0,
    NCO1ACC9 = 1,
    NCO1ACC10 = 2,
    NCO1ACC11 = 3,
    NCO1ACC12 = 4,
    NCO1ACC13 = 5,
    NCO1ACC14 = 6,
    NCO1ACC15 = 7

// NCO1ACCU
public const
    NCO1ACC16 = 0,
    NCO1ACC17 = 1,
    NCO1ACC18 = 2,
    NCO1ACC19 = 3,
    NCO1ACC20 = 4,
    NCO1ACC21 = 5,
    NCO1ACC22 = 6,
    NCO1ACC23 = 7

// NCO1INCL
public const
    NCO1INC0 = 0,
    NCO1INC1 = 1,
    NCO1INC2 = 2,
    NCO1INC3 = 3,
    NCO1INC4 = 4,
    NCO1INC5 = 5,
    NCO1INC6 = 6,
    NCO1INC7 = 7

// NCO1INCH
public const
    NCO1INC8 = 0,
    NCO1INC9 = 1,
    NCO1INC10 = 2,
    NCO1INC11 = 3,
    NCO1INC12 = 4,
    NCO1INC13 = 5,
    NCO1INC14 = 6,
    NCO1INC15 = 7

// NCO1INCU
public const
    NCO1INC16 = 0,
    NCO1INC17 = 1,
    NCO1INC18 = 2,
    NCO1INC19 = 3,
    NCO1INC20 = 4,
    NCO1INC21 = 5,
    NCO1INC22 = 6,
    NCO1INC23 = 7

// NCO1CON
public const
    PFM = 0,
    POL_NCO1CON = 4,
    OUT_NCO1CON = 5,
    NCO1EN = 7

// NCO1CLK
public const
    CKS0 = 0,
    CKS1 = 1,
    CKS2 = 2,
    CKS3 = 3,
    PWS0 = 5,
    PWS1 = 6,
    PWS2 = 7

// CWG3CLK
public const
    CS_CWG3CLK = 0

// CWG3CLKCON
public const
    CS_CWG3CLKCON = 0

// CWG3ISM
public const
    CWG3ISM0 = 0,
    CWG3ISM1 = 1,
    CWG3ISM2 = 2,
    CWG3ISM3 = 3

// CWG3DBR
public const
    DBR0 = 0,
    DBR1 = 1,
    DBR2 = 2,
    DBR3 = 3,
    DBR4 = 4,
    DBR5 = 5

// CWG3DBF
public const
    DBF0 = 0,
    DBF1 = 1,
    DBF2 = 2,
    DBF3 = 3,
    DBF4 = 4,
    DBF5 = 5

// CWG3CON0
public const
    CWG3MODE0 = 0,
    CWG3MODE1 = 1,
    CWG3MODE2 = 2,
    LD = 6,
    G3EN = 7

// CWG3CON1
public const
    POLA = 0,
    POLB = 1,
    POLC = 2,
    POLD = 3,
    IN = 5

// CWG3AS0
public const
    LSAC0 = 2,
    LSAC1 = 3,
    LSBD0 = 4,
    LSBD1 = 5,
    REN = 6,
    SHUTDOWN = 7

// CWG3AS1
public const
    AS0E = 0,
    AS1E = 1,
    AS2E = 2,
    AS3E = 3,
    AS4E = 4,
    AS5E = 5,
    AS6E = 6

// CWG3STR
public const
    STRA = 0,
    STRB = 1,
    STRC = 2,
    STRD = 3,
    OVRA = 4,
    OVRB = 5,
    OVRC = 6,
    OVRD = 7

// CWG2CLK
public const
    CS_CWG2CLK = 0

// CWG2CLKCON
public const
    CS_CWG2CLKCON = 0

// CWG2ISM
public const
    CWG2ISM0 = 0,
    CWG2ISM1 = 1,
    CWG2ISM2 = 2,
    CWG2ISM3 = 3

// CWG2DBR
public const
    CWG2DBR0 = 0,
    CWG2DBR1 = 1,
    CWG2DBR2 = 2,
    CWG2DBR3 = 3,
    CWG2DBR4 = 4,
    CWG2DBR5 = 5

// CWG2DBF
public const
    CWG2DBF0 = 0,
    CWG2DBF1 = 1,
    CWG2DBF2 = 2,
    CWG2DBF3 = 3,
    CWG2DBF4 = 4,
    CWG2DBF5 = 5

// CWG2CON0
public const
    CWG2MODE0 = 0,
    CWG2MODE1 = 1,
    CWG2MODE2 = 2,
    CWG2LD = 6,
    G2EN = 7

// CWG2CON1
public const
    CWG2POLA = 0,
    CWG2POLB = 1,
    CWG2POLC = 2,
    CWG2POLD = 3,
    CWG2IN = 5

// CWG2AS0
public const
    CWG2LSAC0 = 2,
    CWG2LSAC1 = 3,
    CWG2LSBD0 = 4,
    CWG2LSBD1 = 5,
    CWG2REN = 6,
    CWG2SHUTDOWN = 7

// CWG2AS1

// CWG2STR
public const
    CWG2STRA = 0,
    CWG2STRB = 1,
    CWG2STRC = 2,
    CWG2STRD = 3,
    CWG2OVRA = 4,
    CWG2OVRB = 5,
    CWG2OVRC = 6,
    CWG2OVRD = 7

// CWG1CLK
public const
    CS_CWG1CLK = 0

// CWG1CLKCON
public const
    CS_CWG1CLKCON = 0

// CWG1ISM
public const
    CWG1ISM0 = 0,
    CWG1ISM1 = 1,
    CWG1ISM2 = 2,
    CWG1ISM3 = 3

// CWG1DBR
public const
    CWG1DBR0 = 0,
    CWG1DBR1 = 1,
    CWG1DBR2 = 2,
    CWG1DBR3 = 3,
    CWG1DBR4 = 4,
    CWG1DBR5 = 5

// CWG1DBF
public const
    CWG1DBF0 = 0,
    CWG1DBF1 = 1,
    CWG1DBF2 = 2,
    CWG1DBF3 = 3,
    CWG1DBF4 = 4,
    CWG1DBF5 = 5

// CWG1CON0
public const
    CWG1MODE0 = 0,
    CWG1MODE1 = 1,
    CWG1MODE2 = 2,
    CWG1LD = 6,
    G1EN = 7

// CWG1CON1
public const
    CWG1POLA = 0,
    CWG1POLB = 1,
    CWG1POLC = 2,
    CWG1POLD = 3,
    CWG1IN = 5

// CWG1AS0
public const
    CWG1LSAC0 = 2,
    CWG1LSAC1 = 3,
    CWG1LSBD0 = 4,
    CWG1LSBD1 = 5,
    CWG1REN = 6,
    CWG1SHUTDOWN = 7

// CWG1AS1

// CWG1STR
public const
    CWG1STRA = 0,
    CWG1STRB = 1,
    CWG1STRC = 2,
    CWG1STRD = 3,
    CWG1OVRA = 4,
    CWG1OVRB = 5,
    CWG1OVRC = 6,
    CWG1OVRD = 7

// CCPTMRS0
public const
    C1TSEL0 = 0,
    C1TSEL1 = 1,
    C2TSEL0 = 2,
    C2TSEL1 = 3,
    C3TSEL0 = 4,
    C3TSEL1 = 5,
    C4TSEL0 = 6,
    C4TSEL1 = 7

// CCPTMRS1
public const
    P5TSEL0 = 0,
    P5TSEL1 = 1,
    P6TSEL0 = 2,
    P6TSEL1 = 3,
    P7TSEL0 = 4,
    P7TSEL1 = 5,
    P8TSEL0 = 6,
    P8TSEL1 = 7

// PWM8DCL
public const
    DC0 = 6,
    DC1 = 7

// PWM8DCH
public const
    DC2 = 0,
    DC3 = 1,
    DC4 = 2,
    DC5 = 3,
    DC6 = 4,
    DC7 = 5,
    DC8 = 6,
    DC9 = 7

// PWM8CON
public const
    POL_PWM8CON = 4,
    OUT_PWM8CON = 5,
    PWM8EN = 7

// PWM7DCL
public const
    PWM7DC0 = 6,
    PWM7DC1 = 7

// PWM7DCH
public const
    PWM7DC2 = 0,
    PWM7DC3 = 1,
    PWM7DC4 = 2,
    PWM7DC5 = 3,
    PWM7DC6 = 4,
    PWM7DC7 = 5,
    PWM7DC8 = 6,
    PWM7DC9 = 7

// PWM7CON
public const
    POL_PWM7CON = 4,
    OUT_PWM7CON = 5,
    PWM7EN = 7

// PWM6DCL
public const
    PWM6DC0 = 6,
    PWM6DC1 = 7

// PWM6DCH
public const
    PWM6DC2 = 0,
    PWM6DC3 = 1,
    PWM6DC4 = 2,
    PWM6DC5 = 3,
    PWM6DC6 = 4,
    PWM6DC7 = 5,
    PWM6DC8 = 6,
    PWM6DC9 = 7

// PWM6CON
public const
    POL_PWM6CON = 4,
    OUT_PWM6CON = 5,
    PWM6EN = 7

// PWM5DCL
public const
    PWM5DC0 = 6,
    PWM5DC1 = 7

// PWM5DCH
public const
    PWM5DC2 = 0,
    PWM5DC3 = 1,
    PWM5DC4 = 2,
    PWM5DC5 = 3,
    PWM5DC6 = 4,
    PWM5DC7 = 5,
    PWM5DC8 = 6,
    PWM5DC9 = 7

// PWM5CON
public const
    POL_PWM5CON = 4,
    OUT_PWM5CON = 5,
    PWM5EN = 7

// CCP4CON
public const
    CCP4MODE0 = 0,
    CCP4MODE1 = 1,
    CCP4MODE2 = 2,
    CCP4MODE3 = 3,
    FMT = 4,
    OUT_CCP4CON = 5,
    CCP4EN = 7

// CCP4CAP
public const
    CTS0 = 0,
    CTS1 = 1,
    CTS2 = 2

// CCP3CON
public const
    CCP3MODE0 = 0,
    CCP3MODE1 = 1,
    CCP3MODE2 = 2,
    CCP3MODE3 = 3,
    CCP3FMT = 4,
    OUT_CCP3CON = 5,
    CCP3EN = 7

// CCP3CAP
public const
    CCP3CTS0 = 0,
    CCP3CTS1 = 1,
    CCP3CTS2 = 2

// CCP2CON
public const
    CCP2MODE0 = 0,
    CCP2MODE1 = 1,
    CCP2MODE2 = 2,
    CCP2MODE3 = 3,
    CCP2FMT = 4,
    OUT_CCP2CON = 5,
    CCP2EN = 7

// CCP2CAP
public const
    CCP2CTS0 = 0,
    CCP2CTS1 = 1,
    CCP2CTS2 = 2

// CCP1CON
public const
    CCP1MODE0 = 0,
    CCP1MODE1 = 1,
    CCP1MODE2 = 2,
    CCP1MODE3 = 3,
    CCP1FMT = 4,
    OUT_CCP1CON = 5,
    CCP1EN = 7

// CCP1CAP
public const
    CCP1CTS0 = 0,
    CCP1CTS1 = 1,
    CCP1CTS2 = 2

// T6CON
public const
    T6OUTPS0 = 0,
    T6OUTPS1 = 1,
    T6OUTPS2 = 2,
    T6OUTPS3 = 3,
    T6CKPS0 = 4,
    T6CKPS1 = 5,
    T6CKPS2 = 6,
    ON_T6CON = 7

// T6HLT
public const
    T6MODE0 = 0,
    T6MODE1 = 1,
    T6MODE2 = 2,
    T6MODE3 = 3,
    MODE4 = 4,
    CKSYNC = 5,
    CKPOL = 6,
    PSYNC = 7

// T6CLK
public const
    CS0_T6CLK = 0,
    CS1_T6CLK = 1,
    CS2_T6CLK = 2,
    CS3 = 3

// T6CLKCON
public const
    CS0_T6CLKCON = 0,
    CS1_T6CLKCON = 1,
    CS2_T6CLKCON = 2,
    T6CS3 = 3

// T6RST
public const
    RSEL0 = 0,
    RSEL1 = 1,
    RSEL2 = 2,
    RSEL3 = 3,
    RSEL4 = 4

// TMR5L
public const
    TMR5L0 = 0,
    TMR5L1 = 1,
    TMR5L2 = 2,
    TMR5L3 = 3,
    TMR5L4 = 4,
    TMR5L5 = 5,
    TMR5L6 = 6,
    TMR5L7 = 7

// TMR5H
public const
    TMR5H0 = 0,
    TMR5H1 = 1,
    TMR5H2 = 2,
    TMR5H3 = 3,
    TMR5H4 = 4,
    TMR5H5 = 5,
    TMR5H6 = 6,
    TMR5H7 = 7

// T5CON
public const
    ON_T5CON = 0,
    RD16 = 1,
    _SYNC = 2,
    T5CKPS0 = 4,
    T5CKPS1 = 5

// TMR5CON
public const
    ON_TMR5CON = 0,
    T5RD16 = 1,
    _T5SYNC = 2,
    CKPS0_TMR5CON = 4,
    CKPS1_TMR5CON = 5

// T5GCON
public const
    GVAL = 2,
    GGO = 3,
    GSPM = 4,
    GTM = 5,
    GPOL_T5GCON = 6,
    GE = 7

// TMR5GCON
public const
    T5GVAL = 2,
    T5GGO = 3,
    T5GSPM = 4,
    T5GTM = 5,
    GPOL_TMR5GCON = 6,
    T5GE = 7

// T5GATE
public const
    GSS0 = 0,
    GSS1 = 1,
    GSS2 = 2,
    GSS3 = 3,
    GSS4 = 4

// TMR5GATE
public const
    T5GSS0 = 0,
    T5GSS1 = 1,
    T5GSS2 = 2,
    T5GSS3 = 3,
    T5GSS4 = 4

// T5CLK
public const
    T5CS0 = 0,
    T5CS1 = 1,
    T5CS2 = 2,
    T5CS3 = 3,
    T5CS4 = 4

// TMR5CLK
public const
    CS0_TMR5CLK = 0,
    CS1_TMR5CLK = 1,
    CS2_TMR5CLK = 2,
    CS4 = 4

// T4CON
public const
    T4OUTPS0 = 0,
    T4OUTPS1 = 1,
    T4OUTPS2 = 2,
    T4OUTPS3 = 3,
    T4CKPS0 = 4,
    T4CKPS1 = 5,
    T4CKPS2 = 6,
    ON_T4CON = 7

// T4HLT
public const
    T4MODE0 = 0,
    T4MODE1 = 1,
    T4MODE2 = 2,
    T4MODE3 = 3,
    T4MODE4 = 4,
    T4CKSYNC = 5,
    T4CKPOL = 6,
    T4PSYNC = 7

// T4CLK
public const
    CS0_T4CLK = 0,
    CS1_T4CLK = 1,
    CS2_T4CLK = 2,
    T4CS3 = 3

// T4CLKCON
public const
    CS0_T4CLKCON = 0,
    CS1_T4CLKCON = 1,
    CS2_T4CLKCON = 2

// T4RST
public const
    T4RSEL0 = 0,
    T4RSEL1 = 1,
    T4RSEL2 = 2,
    T4RSEL3 = 3,
    T4RSEL4 = 4

// TMR3L
public const
    TMR3L0 = 0,
    TMR3L1 = 1,
    TMR3L2 = 2,
    TMR3L3 = 3,
    TMR3L4 = 4,
    TMR3L5 = 5,
    TMR3L6 = 6,
    TMR3L7 = 7

// TMR3H
public const
    TMR3H0 = 0,
    TMR3H1 = 1,
    TMR3H2 = 2,
    TMR3H3 = 3,
    TMR3H4 = 4,
    TMR3H5 = 5,
    TMR3H6 = 6,
    TMR3H7 = 7

// T3CON
public const
    ON_T3CON = 0,
    T3RD16 = 1,
    _T3SYNC = 2,
    T3CKPS0 = 4,
    T3CKPS1 = 5

// TMR3CON
public const
    ON_TMR3CON = 0,
    CKPS0_TMR3CON = 4,
    CKPS1_TMR3CON = 5

// T3GCON
public const
    T3GVAL = 2,
    T3GGO = 3,
    T3GSPM = 4,
    T3GTM = 5,
    GPOL_T3GCON = 6,
    T3GE = 7

// TMR3GCON
public const
    _DONE = 3,
    GPOL_TMR3GCON = 6

// T3GATE
public const
    T3GSS0 = 0,
    T3GSS1 = 1,
    T3GSS2 = 2,
    T3GSS3 = 3,
    T3GSS4 = 4

// TMR3GATE

// T3CLK
public const
    T3CS0 = 0,
    T3CS1 = 1,
    T3CS2 = 2,
    T3CS3 = 3,
    T3CS4 = 4

// TMR3CLK
public const
    CS0_TMR3CLK = 0,
    CS1_TMR3CLK = 1,
    CS2_TMR3CLK = 2

// T2CON
public const
    T2OUTPS0 = 0,
    T2OUTPS1 = 1,
    T2OUTPS2 = 2,
    T2OUTPS3 = 3,
    T2CKPS0 = 4,
    T2CKPS1 = 5,
    T2CKPS2 = 6,
    ON_T2CON = 7

// T2HLT
public const
    T2MODE0 = 0,
    T2MODE1 = 1,
    T2MODE2 = 2,
    T2MODE3 = 3,
    T2MODE4 = 4,
    T2CKSYNC = 5,
    T2CKPOL = 6,
    T2PSYNC = 7

// T2CLK
public const
    CS0_T2CLK = 0,
    CS1_T2CLK = 1,
    CS2_T2CLK = 2,
    T2CS3 = 3

// T2CLKCON
public const
    CS0_T2CLKCON = 0,
    CS1_T2CLKCON = 1,
    CS2_T2CLKCON = 2

// T2RST
public const
    T2RSEL0 = 0,
    T2RSEL1 = 1,
    T2RSEL2 = 2,
    T2RSEL3 = 3,
    T2RSEL4 = 4

// TMR1L
public const
    TMR1L0 = 0,
    TMR1L1 = 1,
    TMR1L2 = 2,
    TMR1L3 = 3,
    TMR1L4 = 4,
    TMR1L5 = 5,
    TMR1L6 = 6,
    TMR1L7 = 7

// TMR1H
public const
    TMR1H0 = 0,
    TMR1H1 = 1,
    TMR1H2 = 2,
    TMR1H3 = 3,
    TMR1H4 = 4,
    TMR1H5 = 5,
    TMR1H6 = 6,
    TMR1H7 = 7

// T1CON
public const
    ON_T1CON = 0,
    T1RD16 = 1,
    _T1SYNC = 2,
    T1CKPS0 = 4,
    T1CKPS1 = 5

// TMR1CON
public const
    ON_TMR1CON = 0,
    CKPS0_TMR1CON = 4,
    CKPS1_TMR1CON = 5

// T1GCON
public const
    T1GVAL = 2,
    T1GGO = 3,
    T1GSPM = 4,
    T1GTM = 5,
    GPOL_T1GCON = 6,
    T1GE = 7

// TMR1GCON
public const
    _T1DONE = 3,
    GPOL_TMR1GCON = 6

// T1GATE
public const
    T1GSS0 = 0,
    T1GSS1 = 1,
    T1GSS2 = 2,
    T1GSS3 = 3,
    T1GSS4 = 4

// TMR1GATE

// T1CLK
public const
    T1CS0 = 0,
    T1CS1 = 1,
    T1CS2 = 2,
    T1CS3 = 3,
    T1CS4 = 4

// TMR1CLK
public const
    CS0_TMR1CLK = 0,
    CS1_TMR1CLK = 1,
    CS2_TMR1CLK = 2

// TMR0
public const
    TMR0L0 = 0,
    TMR0L1 = 1,
    TMR0L2 = 2,
    TMR0L3 = 3,
    TMR0L4 = 4,
    TMR0L5 = 5,
    TMR0L6 = 6,
    TMR0L7 = 7

// TMR0L

// PR0
public const
    TMR0H0 = 0,
    TMR0H1 = 1,
    TMR0H2 = 2,
    TMR0H3 = 3,
    TMR0H4 = 4,
    TMR0H5 = 5,
    TMR0H6 = 6,
    TMR0H7 = 7

// TMR0H
public const
    T0PR0 = 0,
    T0PR1 = 1,
    T0PR2 = 2,
    T0PR3 = 3,
    T0PR4 = 4,
    T0PR5 = 5,
    T0PR6 = 6,
    T0PR7 = 7

// T0CON0
public const
    OUTPS0 = 0,
    OUTPS1 = 1,
    OUTPS2 = 2,
    OUTPS3 = 3,
    MD16 = 4,
    OUT_T0CON0 = 5,
    T0EN = 7

// T0CON1
public const
    CKPS0_T0CON1 = 0,
    CKPS1_T0CON1 = 1,
    CKPS2_T0CON1 = 2,
    CKPS3 = 3,
    ASYNC = 4,
    CS0_T0CON1 = 5,
    CS1_T0CON1 = 6,
    CS2_T0CON1 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6,
    LATA7 = 7

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2

// TRISA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6,
    TRISA7 = 7

// TRISB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6,
    RA7 = 7

// PORTB
public const
    RB0 = 0,
    RB1 = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3

// INTCON0
public const
    INT0EDG = 0,
    INT1EDG = 1,
    INT2EDG = 2,
    IPEN_INTCON0 = 5,
    GIEL = 6,
    GIE = 7

// INTCON1
public const
    STAT0_INTCON1 = 6,
    STAT1_INTCON1 = 7

// IVTLOCK
public const
    IVTLOCKED = 0

// IVTBASEL
public const
    BASE0 = 0,
    BASE1 = 1,
    BASE2 = 2,
    BASE3 = 3,
    BASE4 = 4,
    BASE5 = 5,
    BASE6 = 6,
    BASE7 = 7

// IVTBASEH
public const
    BASE8 = 0,
    BASE9 = 1,
    BASE10 = 2,
    BASE11 = 3,
    BASE12 = 4,
    BASE13 = 5,
    BASE14 = 6,
    BASE15 = 7

// IVTBASEU
public const
    BASE16 = 0,
    BASE17 = 1,
    BASE18 = 2,
    BASE19 = 3,
    BASE20 = 4

// STATUS
public const
    OV_STATUS = 3

// PCON0
public const
    _BOR = 0,
    _POR = 1,
    _RI = 2,
    _RMCLR = 3,
    _RWDT = 4,
    _WDTWV = 5,
    STKUNF = 6,
    STKOVF = 7

// PCON1
public const
    _MEMV = 1

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4

end module
