//
//****************************************************************
// Name: P18LF8585.bas
// Date: 7/22/2018
// Register bit definition file for Swordfish BASIC
//****************************************************************
//
module P18LF8585


// RXF6SIDH
public const
    SID3 = 0,
    SID4 = 1,
    SID5 = 2,
    SID6 = 3,
    SID7 = 4,
    SID8 = 5,
    SID9 = 6,
    SID10 = 7

// RXF6SIDL
public const
    EID16 = 0,
    EID17 = 1,
    EXIDEN = 3,
    SID0 = 5,
    SID1 = 6,
    SID2 = 7

// RXF6EIDH
public const
    EID8 = 0,
    EID9 = 1,
    EID10 = 2,
    EID11 = 3,
    EID12 = 4,
    EID13 = 5,
    EID14 = 6,
    EID15 = 7

// RXF6EIDL
public const
    EID0 = 0,
    EID1 = 1,
    EID2 = 2,
    EID3 = 3,
    EID4 = 4,
    EID5 = 5,
    EID6 = 6,
    EID7 = 7

// RXF7SIDH

// RXF7SIDL
public const
    EXIDE = 3

// RXF7EIDH

// RXF7EIDL

// RXF8SIDH

// RXF8SIDL

// RXF8EIDH

// RXF8EIDL

// RXF9SIDH

// RXF9SIDL

// RXF9EIDH

// RXF9EIDL

// RXF10SIDH

// RXF10SIDL

// RXF10EIDH

// RXF10EIDL

// RXF11SIDH

// RXF11SIDL

// RXF11EIDH

// RXF11EIDL

// RXF12SIDH

// RXF12SIDL

// RXF12EIDH

// RXF12EIDL

// RXF13SIDH

// RXF13SIDL

// RXF13EIDH

// RXF13EIDL

// RXF14SIDH

// RXF14SIDL

// RXF14EIDH

// RXF14EIDL

// RXF15SIDH

// RXF15SIDL

// RXF15EIDH

// RXF15EIDL

// RXFCON0
public const
    RXF0EN = 0,
    RXF1EN = 1,
    RXF2EN = 2,
    RXF3EN = 3,
    RXF4EN = 4,
    RXF5EN = 5,
    RXF6EN = 6,
    RXF7EN = 7

// RXFCON1
public const
    RXF8EN = 0,
    RXF9EN = 1,
    RXF10EN = 2,
    RXF11EN = 3,
    RXF12EN = 4,
    RXF13EN = 5,
    RXF14EN = 6,
    RXF15EN = 7

// SDFLC
public const
    DFLC0 = 0,
    DFLC1 = 1,
    DFLC2 = 2,
    DFLC3 = 3,
    DFLC4 = 4

// RXFBCON0
public const
    F0BP_0 = 0,
    F0BP_1 = 1,
    F0BP_2 = 2,
    F0BP_3 = 3,
    F1BP_0 = 4,
    F1BP_1 = 5,
    F1BP_2 = 6,
    F1BP_3 = 7

// RXFBCON1
public const
    F2BP_0 = 0,
    F2BP_1 = 1,
    F2BP_2 = 2,
    F2BP_3 = 3,
    F3BP_0 = 4,
    F3BP_1 = 5,
    F3BP_2 = 6,
    F3BP_3 = 7

// RXFBCON2
public const
    F4BP_0 = 0,
    F4BP_1 = 1,
    F4BP_2 = 2,
    F4BP_3 = 3,
    F5BP_0 = 4,
    F5BP_1 = 5,
    F5BP_2 = 6,
    F5BP_3 = 7

// RXFBCON3
public const
    F6BP_0 = 0,
    F6BP_1 = 1,
    F6BP_2 = 2,
    F6BP_3 = 3,
    F7BP_0 = 4,
    F7BP_1 = 5,
    F7BP_2 = 6,
    F7BP_3 = 7

// RXFBCON4
public const
    F8BP_0 = 0,
    F8BP_1 = 1,
    F8BP_2 = 2,
    F8BP_3 = 3,
    F9BP_0 = 4,
    F9BP_1 = 5,
    F9BP_2 = 6,
    F9BP_3 = 7

// RXFBCON5
public const
    F10BP_0 = 0,
    F10BP_1 = 1,
    F10BP_2 = 2,
    F10BP_3 = 3,
    F11BP_0 = 4,
    F11BP_1 = 5,
    F11BP_2 = 6,
    F11BP_3 = 7

// RXFBCON6
public const
    F12BP_0 = 0,
    F12BP_1 = 1,
    F12BP_2 = 2,
    F12BP_3 = 3,
    F13BP_0 = 4,
    F13BP_1 = 5,
    F13BP_2 = 6,
    F13BP_3 = 7

// RXFBCON7
public const
    F14BP_0 = 0,
    F14BP_1 = 1,
    F14BP_2 = 2,
    F14BP_3 = 3,
    F15BP_0 = 4,
    F15BP_1 = 5,
    F15BP_2 = 6,
    F15BP_3 = 7

// MSEL0
public const
    FIL0_0 = 0,
    FIL0_1 = 1,
    FIL1_0 = 2,
    FIL1_1 = 3,
    FIL2_0 = 4,
    FIL2_1 = 5,
    FIL3_0 = 6,
    FIL3_1 = 7

// MSEL1
public const
    FIL4_0 = 0,
    FIL4_1 = 1,
    FIL5_0 = 2,
    FIL5_1 = 3,
    FIL6_0 = 4,
    FIL6_1 = 5,
    FIL7_0 = 6,
    FIL7_1 = 7

// MSEL2
public const
    FIL8_0 = 0,
    FIL8_1 = 1,
    FIL9_0 = 2,
    FIL9_1 = 3,
    FIL10_0 = 4,
    FIL10_1 = 5,
    FIL11_0 = 6,
    FIL11_1 = 7

// MSEL3
public const
    FIL12_0 = 0,
    FIL12_1 = 1,
    FIL13_0 = 2,
    FIL13_1 = 3,
    FIL14_0 = 4,
    FIL14_1 = 5,
    FIL15_0 = 6,
    FIL15_1 = 7

// BSEL0
public const
    B0TXEN = 2,
    B1TXEN = 3,
    B2TXEN = 4,
    B3TXEN = 5,
    B4TXEN = 6,
    B5TXEN = 7

// BIE0
public const
    RXB0IE = 0,
    RXB1IE = 1,
    B0IE = 2,
    B1IE = 3,
    B2IE = 4,
    B3IE = 5,
    B4IE = 6,
    B5IE = 7

// TXBIE
public const
    TXB0IE = 2,
    TXB1IE = 3,
    TXB2IE = 4

// B0CON
public const
    FILHIT0_TXPRI0 = 0,
    FILHIT1_TXPRI1 = 1,
    FILHIT2_RTREN = 2,
    FILHIT3_TXREQ = 3,
    FILHIT4_TXERR = 4,
    RXRTRRO_TXLARB = 5,
    RXM1_TXABT = 6,
    RXFUL_TXBIF = 7

// B0SIDH

// B0SIDL
public const
    EXID = 3,
    SRR = 4

// B0EIDH

// B0EIDL

// B0DLC
public const
    DLC0 = 0,
    DLC1 = 1,
    DLC2 = 2,
    DLC3 = 3,
    RB0_B0DLC = 4,
    RB1_B0DLC = 5,
    RXRTR = 6

// B0D0
public const
    B0D00 = 0,
    B0D01 = 1,
    B0D02 = 2,
    B0D03 = 3,
    B0D04 = 4,
    B0D05 = 5,
    B0D06 = 6,
    B0D07 = 7

// B0D1
public const
    B0D10 = 0,
    B0D11 = 1,
    B0D12 = 2,
    B0D13 = 3,
    B0D14 = 4,
    B0D15 = 5,
    B0D16 = 6,
    B0D17 = 7

// B0D2
public const
    B0D20 = 0,
    B0D21 = 1,
    B0D22 = 2,
    B0D23 = 3,
    B0D24 = 4,
    B0D25 = 5,
    B0D26 = 6,
    B0D27 = 7

// B0D3
public const
    B0D30 = 0,
    B0D31 = 1,
    B0D32 = 2,
    B0D33 = 3,
    B0D34 = 4,
    B0D35 = 5,
    B0D36 = 6,
    B0D37 = 7

// B0D4
public const
    B0D40 = 0,
    B0D41 = 1,
    B0D42 = 2,
    B0D43 = 3,
    B0D44 = 4,
    B0D45 = 5,
    B0D46 = 6,
    B0D47 = 7

// B0D5
public const
    B0D50 = 0,
    B0D51 = 1,
    B0D52 = 2,
    B0D53 = 3,
    B0D54 = 4,
    B0D55 = 5,
    B0D56 = 6,
    B0D57 = 7

// B0D6
public const
    B0D60 = 0,
    B0D61 = 1,
    B0D62 = 2,
    B0D63 = 3,
    B0D64 = 4,
    B0D65 = 5,
    B0D66 = 6,
    B0D67 = 7

// B0D7
public const
    B0D70 = 0,
    B0D71 = 1,
    B0D72 = 2,
    B0D73 = 3,
    B0D74 = 4,
    B0D75 = 5,
    B0D76 = 6,
    B0D77 = 7

// CANSTAT_RO9
public const
    EICODE0 = 0,
    EICODE1_ICODE0 = 1,
    EICODE2_ICODE1 = 2,
    EICODE3_ICODE2 = 3,
    EICODE4 = 4,
    OPMODE0 = 5,
    OPMODE1 = 6,
    OPMODE2 = 7

// CANCON_RO9
public const
    FP0 = 0,
    WIN0_FP1 = 1,
    WIN1_FP2 = 2,
    WIN2_FP3 = 3,
    ABAT = 4,
    REQOP0 = 5,
    REQOP1 = 6,
    REQOP2 = 7

// B1CON
public const
    FILHIT0 = 0,
    FILHIT1 = 1,
    FILHIT2 = 2,
    FILHIT3 = 3,
    FILHIT4 = 4,
    RTRRO_TXLARB = 5,
    RXM1 = 6,
    RXFUL = 7

// B1SIDH

// B1SIDL

// B1EIDH

// B1EIDL

// B1DLC
public const
    RB0_B1DLC = 4,
    RB1_B1DLC = 5,
    TXRTR = 6

// B1D0
public const
    B1D00 = 0,
    B1D01 = 1,
    B1D02 = 2,
    B1D03 = 3,
    B1D04 = 4,
    B1D05 = 5,
    B1D06 = 6,
    B1D07 = 7

// B1D1
public const
    B1D10 = 0,
    B1D11 = 1,
    B1D12 = 2,
    B1D13 = 3,
    B1D14 = 4,
    B1D15 = 5,
    B1D16 = 6,
    B1D17 = 7

// B1D2
public const
    B1D20 = 0,
    B1D21 = 1,
    B1D22 = 2,
    B1D23 = 3,
    B1D24 = 4,
    B1D25 = 5,
    B1D26 = 6,
    B1D27 = 7

// B1D3
public const
    B1D30 = 0,
    B1D31 = 1,
    B1D32 = 2,
    B1D33 = 3,
    B1D34 = 4,
    B1D35 = 5,
    B1D36 = 6,
    B1D37 = 7

// B1D4
public const
    B1D40 = 0,
    B1D41 = 1,
    B1D42 = 2,
    B1D43 = 3,
    B1D44 = 4,
    B1D45 = 5,
    B1D46 = 6,
    B1D47 = 7

// B1D5
public const
    B1D50 = 0,
    B1D51 = 1,
    B1D52 = 2,
    B1D53 = 3,
    B1D54 = 4,
    B1D55 = 5,
    B1D56 = 6,
    B1D57 = 7

// B1D6
public const
    B1D60 = 0,
    B1D61 = 1,
    B1D62 = 2,
    B1D63 = 3,
    B1D64 = 4,
    B1D65 = 5,
    B1D66 = 6,
    B1D67 = 7

// B1D7
public const
    B1D70 = 0,
    B1D71 = 1,
    B1D72 = 2,
    B1D73 = 3,
    B1D74 = 4,
    B1D75 = 5,
    B1D76 = 6,
    B1D77 = 7

// CANSTAT_RO8

// CANCON_RO8

// B2CON
public const
    TXPRI0 = 0,
    TXPRI1 = 1,
    RTREN = 2,
    TXREQ = 3,
    TXERR = 4,
    RTRRO = 5,
    TXABT = 6,
    TXBIF = 7

// B2SIDH

// B2SIDL

// B2EIDH

// B2EIDL

// B2DLC
public const
    RB0_B2DLC = 4,
    RB1_B2DLC = 5

// B2D0
public const
    B2D00 = 0,
    B2D01 = 1,
    B2D02 = 2,
    B2D03 = 3,
    B2D04 = 4,
    B2D05 = 5,
    B2D06 = 6,
    B2D07 = 7

// B2D1
public const
    B2D10 = 0,
    B2D11 = 1,
    B2D12 = 2,
    B2D13 = 3,
    B2D14 = 4,
    B2D15 = 5,
    B2D16 = 6,
    B2D17 = 7

// B2D2
public const
    B2D20 = 0,
    B2D21 = 1,
    B2D22 = 2,
    B2D23 = 3,
    B2D24 = 4,
    B2D25 = 5,
    B2D26 = 6,
    B2D27 = 7

// B2D3
public const
    B2D30 = 0,
    B2D31 = 1,
    B2D32 = 2,
    B2D33 = 3,
    B2D34 = 4,
    B2D35 = 5,
    B2D36 = 6,
    B2D37 = 7

// B2D4
public const
    B2D40 = 0,
    B2D41 = 1,
    B2D42 = 2,
    B2D43 = 3,
    B2D44 = 4,
    B2D45 = 5,
    B2D46 = 6,
    B2D47 = 7

// B2D5
public const
    B2D50 = 0,
    B2D51 = 1,
    B2D52 = 2,
    B2D53 = 3,
    B2D54 = 4,
    B2D55 = 5,
    B2D56 = 6,
    B2D57 = 7

// B2D6
public const
    B2D60 = 0,
    B2D61 = 1,
    B2D62 = 2,
    B2D63 = 3,
    B2D64 = 4,
    B2D65 = 5,
    B2D66 = 6,
    B2D67 = 7

// B2D7
public const
    B2D70 = 0,
    B2D71 = 1,
    B2D72 = 2,
    B2D73 = 3,
    B2D74 = 4,
    B2D75 = 5,
    B2D76 = 6,
    B2D77 = 7

// CANSTAT_RO7

// CANCON_RO7

// B3CON
public const
    TXLARB = 5

// B3SIDH

// B3SIDL

// B3EIDH

// B3EIDL

// B3DLC
public const
    RB0_B3DLC = 4,
    RB1_B3DLC = 5

// B3D0
public const
    B3D00 = 0,
    B3D01 = 1,
    B3D02 = 2,
    B3D03 = 3,
    B3D04 = 4,
    B3D05 = 5,
    B3D06 = 6,
    B3D07 = 7

// B3D1
public const
    B3D10 = 0,
    B3D11 = 1,
    B3D12 = 2,
    B3D13 = 3,
    B3D14 = 4,
    B3D15 = 5,
    B3D16 = 6,
    B3D17 = 7

// B3D2
public const
    B3D20 = 0,
    B3D21 = 1,
    B3D22 = 2,
    B3D23 = 3,
    B3D24 = 4,
    B3D25 = 5,
    B3D26 = 6,
    B3D27 = 7

// B3D3
public const
    B3D30 = 0,
    B3D31 = 1,
    B3D32 = 2,
    B3D33 = 3,
    B3D34 = 4,
    B3D35 = 5,
    B3D36 = 6,
    B3D37 = 7

// B3D4
public const
    B3D40 = 0,
    B3D41 = 1,
    B3D42 = 2,
    B3D43 = 3,
    B3D44 = 4,
    B3D45 = 5,
    B3D46 = 6,
    B3D47 = 7

// B3D5
public const
    B3D50 = 0,
    B3D51 = 1,
    B3D52 = 2,
    B3D53 = 3,
    B3D54 = 4,
    B3D55 = 5,
    B3D56 = 6,
    B3D57 = 7

// B3D6
public const
    B3D60 = 0,
    B3D61 = 1,
    B3D62 = 2,
    B3D63 = 3,
    B3D64 = 4,
    B3D65 = 5,
    B3D66 = 6,
    B3D67 = 7

// B3D7
public const
    B3D70 = 0,
    B3D71 = 1,
    B3D72 = 2,
    B3D73 = 3,
    B3D74 = 4,
    B3D75 = 5,
    B3D76 = 6,
    B3D77 = 7

// CANSTAT_RO6

// CANCON_RO6

// B4CON

// B4SIDH

// B4SIDL

// B4EIDH

// B4EIDL

// B4DLC
public const
    RB0_B4DLC = 4,
    RB1_B4DLC = 5

// B4D0
public const
    B4D00 = 0,
    B4D01 = 1,
    B4D02 = 2,
    B4D03 = 3,
    B4D04 = 4,
    B4D05 = 5,
    B4D06 = 6,
    B4D07 = 7

// B4D1
public const
    B4D10 = 0,
    B4D11 = 1,
    B4D12 = 2,
    B4D13 = 3,
    B4D14 = 4,
    B4D15 = 5,
    B4D16 = 6,
    B4D17 = 7

// B4D2
public const
    B4D20 = 0,
    B4D21 = 1,
    B4D22 = 2,
    B4D23 = 3,
    B4D24 = 4,
    B4D25 = 5,
    B4D26 = 6,
    B4D27 = 7

// B4D3
public const
    B4D30 = 0,
    B4D31 = 1,
    B4D32 = 2,
    B4D33 = 3,
    B4D34 = 4,
    B4D35 = 5,
    B4D36 = 6,
    B4D37 = 7

// B4D4
public const
    B4D40 = 0,
    B4D41 = 1,
    B4D42 = 2,
    B4D43 = 3,
    B4D44 = 4,
    B4D45 = 5,
    B4D46 = 6,
    B4D47 = 7

// B4D5
public const
    B4D50 = 0,
    B4D51 = 1,
    B4D52 = 2,
    B4D53 = 3,
    B4D54 = 4,
    B4D55 = 5,
    B4D56 = 6,
    B4D57 = 7

// B4D6
public const
    B4D60 = 0,
    B4D61 = 1,
    B4D62 = 2,
    B4D63 = 3,
    B4D64 = 4,
    B4D65 = 5,
    B4D66 = 6,
    B4D67 = 7

// B4D7
public const
    B4D70 = 0,
    B4D71 = 1,
    B4D72 = 2,
    B4D73 = 3,
    B4D74 = 4,
    B4D75 = 5,
    B4D76 = 6,
    B4D77 = 7

// CANSTAT_RO5

// CANCON_RO5

// B5CON

// B5SIDH

// B5SIDL

// B5EIDH

// B5EIDL

// B5DLC
public const
    RB0_B5DLC = 4,
    RB1_B5DLC = 5

// B5D0
public const
    B5D00 = 0,
    B5D01 = 1,
    B5D02 = 2,
    B5D03 = 3,
    B5D04 = 4,
    B5D05 = 5,
    B5D06 = 6,
    B5D07 = 7

// B5D1
public const
    B5D10 = 0,
    B5D11 = 1,
    B5D12 = 2,
    B5D13 = 3,
    B5D14 = 4,
    B5D15 = 5,
    B5D16 = 6,
    B5D17 = 7

// B5D2
public const
    B5D20 = 0,
    B5D21 = 1,
    B5D22 = 2,
    B5D23 = 3,
    B5D24 = 4,
    B5D25 = 5,
    B5D26 = 6,
    B5D27 = 7

// B5D3
public const
    B5D30 = 0,
    B5D31 = 1,
    B5D32 = 2,
    B5D33 = 3,
    B5D34 = 4,
    B5D35 = 5,
    B5D36 = 6,
    B5D37 = 7

// B5D4
public const
    B5D40 = 0,
    B5D41 = 1,
    B5D42 = 2,
    B5D43 = 3,
    B5D44 = 4,
    B5D45 = 5,
    B5D46 = 6,
    B5D47 = 7

// B5D5
public const
    B5D50 = 0,
    B5D51 = 1,
    B5D52 = 2,
    B5D53 = 3,
    B5D54 = 4,
    B5D55 = 5,
    B5D56 = 6,
    B5D57 = 7

// B5D6
public const
    B5D60 = 0,
    B5D61 = 1,
    B5D62 = 2,
    B5D63 = 3,
    B5D64 = 4,
    B5D65 = 5,
    B5D66 = 6,
    B5D67 = 7

// B5D7
public const
    B5D70 = 0,
    B5D71 = 1,
    B5D72 = 2,
    B5D73 = 3,
    B5D74 = 4,
    B5D75 = 5,
    B5D76 = 6,
    B5D77 = 7

// CANSTAT_RO4

// CANCON_RO4

// RXF0SIDH

// RXF0SIDL

// RXF0EIDH

// RXF0EIDL

// RXF1SIDH

// RXF1SIDL

// RXF1EIDH

// RXF1EIDL

// RXF2SIDH

// RXF2SIDL

// RXF2EIDH

// RXF2EIDL

// RXF3SIDH

// RXF3SIDL

// RXF3EIDH

// RXF3EIDL

// RXF4SIDH

// RXF4SIDL

// RXF4EIDH

// RXF4EIDL

// RXF5SIDH

// RXF5SIDL

// RXF5EIDH

// RXF5EIDL

// RXM0SIDH

// RXM0SIDL
public const
    EXIDM = 3

// RXM0EIDH

// RXM0EIDL

// RXM1SIDH

// RXM1SIDL

// RXM1EIDH

// RXM1EIDL

// TXB2CON
public const
    TXBIFBXB2CON = 7

// TXB2SIDH

// TXB2SIDL

// TXB2EIDH

// TXB2EIDL

// TXB2DLC

// TXB2D0
public const
    TXB2D00 = 0,
    TXB2D01 = 1,
    TXB2D02 = 2,
    TXB2D03 = 3,
    TXB2D04 = 4,
    TXB2D05 = 5,
    TXB2D06 = 6,
    TXB2D07 = 7

// TXB2D1
public const
    TXB2D10 = 0,
    TXB2D11 = 1,
    TXB2D12 = 2,
    TXB2D13 = 3,
    TXB2D14 = 4,
    TXB2D15 = 5,
    TXB2D16 = 6,
    TXB2D17 = 7

// TXB2D2
public const
    TXB2D20 = 0,
    TXB2D21 = 1,
    TXB2D22 = 2,
    TXB2D23 = 3,
    TXB2D24 = 4,
    TXB2D25 = 5,
    TXB2D26 = 6,
    TXB2D27 = 7

// TXB2D3
public const
    TXB2D30 = 0,
    TXB2D31 = 1,
    TXB2D32 = 2,
    TXB2D33 = 3,
    TXB2D34 = 4,
    TXB2D35 = 5,
    TXB2D36 = 6,
    TXB2D37 = 7

// TXB2D4
public const
    TXB2D40 = 0,
    TXB2D41 = 1,
    TXB2D42 = 2,
    TXB2D43 = 3,
    TXB2D44 = 4,
    TXB2D45 = 5,
    TXB2D46 = 6,
    TXB2D47 = 7

// TXB2D5
public const
    TXB2D50 = 0,
    TXB2D51 = 1,
    TXB2D52 = 2,
    TXB2D53 = 3,
    TXB2D54 = 4,
    TXB2D55 = 5,
    TXB2D56 = 6,
    TXB2D57 = 7

// TXB2D6
public const
    TXB2D60 = 0,
    TXB2D61 = 1,
    TXB2D62 = 2,
    TXB2D63 = 3,
    TXB2D64 = 4,
    TXB2D65 = 5,
    TXB2D66 = 6,
    TXB2D67 = 7

// TXB2D7
public const
    TXB2D70 = 0,
    TXB2D71 = 1,
    TXB2D72 = 2,
    TXB2D73 = 3,
    TXB2D74 = 4,
    TXB2D75 = 5,
    TXB2D76 = 6,
    TXB2D77 = 7

// CANSTAT_RO3

// CANCON_RO3

// TXB1CON
public const
    TXBIFTXB1CON = 7

// TXB1SIDH

// TXB1SIDL

// TXB1EIDH

// TXB1EIDL

// TXB1DLC

// TXB1D0
public const
    TXB1D00 = 0,
    TXB1D01 = 1,
    TXB1D02 = 2,
    TXB1D03 = 3,
    TXB1D04 = 4,
    TXB1D05 = 5,
    TXB1D06 = 6,
    TXB1D07 = 7

// TXB1D1
public const
    TXB1D10 = 0,
    TXB1D11 = 1,
    TXB1D12 = 2,
    TXB1D13 = 3,
    TXB1D14 = 4,
    TXB1D15 = 5,
    TXB1D16 = 6,
    TXB1D17 = 7

// TXB1D2
public const
    TXB1D20 = 0,
    TXB1D21 = 1,
    TXB1D22 = 2,
    TXB1D23 = 3,
    TXB1D24 = 4,
    TXB1D25 = 5,
    TXB1D26 = 6,
    TXB1D27 = 7

// TXB1D3
public const
    TXB1D30 = 0,
    TXB1D31 = 1,
    TXB1D32 = 2,
    TXB1D33 = 3,
    TXB1D34 = 4,
    TXB1D35 = 5,
    TXB1D36 = 6,
    TXB1D37 = 7

// TXB1D4
public const
    TXB1D40 = 0,
    TXB1D41 = 1,
    TXB1D42 = 2,
    TXB1D43 = 3,
    TXB1D44 = 4,
    TXB1D45 = 5,
    TXB1D46 = 6,
    TXB1D47 = 7

// TXB1D5
public const
    TXB1D50 = 0,
    TXB1D51 = 1,
    TXB1D52 = 2,
    TXB1D53 = 3,
    TXB1D54 = 4,
    TXB1D55 = 5,
    TXB1D56 = 6,
    TXB1D57 = 7

// TXB1D6
public const
    TXB1D60 = 0,
    TXB1D61 = 1,
    TXB1D62 = 2,
    TXB1D63 = 3,
    TXB1D64 = 4,
    TXB1D65 = 5,
    TXB1D66 = 6,
    TXB1D67 = 7

// TXB1D7
public const
    TXB1D70 = 0,
    TXB1D71 = 1,
    TXB1D72 = 2,
    TXB1D73 = 3,
    TXB1D74 = 4,
    TXB1D75 = 5,
    TXB1D76 = 6,
    TXB1D77 = 7

// CANSTAT_RO2

// CANCON_RO2

// TXB0CON

// TXB0SIDH

// TXB0SIDL

// TXB0EIDH

// TXB0EIDL

// TXB0DLC

// TXB0D0
public const
    TXB0D00 = 0,
    TXB0D01 = 1,
    TXB0D02 = 2,
    TXB0D03 = 3,
    TXB0D04 = 4,
    TXB0D05 = 5,
    TXB0D06 = 6,
    TXB0D07 = 7

// TXB0D1
public const
    TXB0D10 = 0,
    TXB0D11 = 1,
    TXB0D12 = 2,
    TXB0D13 = 3,
    TXB0D14 = 4,
    TXB0D15 = 5,
    TXB0D16 = 6,
    TXB0D17 = 7

// TXB0D2
public const
    TXB0D20 = 0,
    TXB0D21 = 1,
    TXB0D22 = 2,
    TXB0D23 = 3,
    TXB0D24 = 4,
    TXB0D25 = 5,
    TXB0D26 = 6,
    TXB0D27 = 7

// TXB0D3
public const
    TXB0D30 = 0,
    TXB0D31 = 1,
    TXB0D32 = 2,
    TXB0D33 = 3,
    TXB0D34 = 4,
    TXB0D35 = 5,
    TXB0D36 = 6,
    TXB0D37 = 7

// TXB0D4
public const
    TXB0D40 = 0,
    TXB0D41 = 1,
    TXB0D42 = 2,
    TXB0D43 = 3,
    TXB0D44 = 4,
    TXB0D45 = 5,
    TXB0D46 = 6,
    TXB0D47 = 7

// TXB0D5
public const
    TXB0D50 = 0,
    TXB0D51 = 1,
    TXB0D52 = 2,
    TXB0D53 = 3,
    TXB0D54 = 4,
    TXB0D55 = 5,
    TXB0D56 = 6,
    TXB0D57 = 7

// TXB0D6
public const
    TXB0D60 = 0,
    TXB0D61 = 1,
    TXB0D62 = 2,
    TXB0D63 = 3,
    TXB0D64 = 4,
    TXB0D65 = 5,
    TXB0D66 = 6,
    TXB0D67 = 7

// TXB0D7
public const
    TXB0D70 = 0,
    TXB0D71 = 1,
    TXB0D72 = 2,
    TXB0D73 = 3,
    TXB0D74 = 4,
    TXB0D75 = 5,
    TXB0D76 = 6,
    TXB0D77 = 7

// CANSTAT_RO1

// CANCON_RO1

// RXB1CON
public const
    RXRTRRO_FILHIT3 = 3,
    RXM0_RTRRO = 5

// RXB1SIDH

// RXB1SIDL

// RXB1EIDH

// RXB1EIDL

// RXB1DLC
public const
    RB0_RXB1DLC = 4,
    RB1_RXB1DLC = 5

// RXB1D0
public const
    RXB1D00 = 0,
    RXB1D01 = 1,
    RXB1D02 = 2,
    RXB1D03 = 3,
    RXB1D04 = 4,
    RXB1D05 = 5,
    RXB1D06 = 6,
    RXB1D07 = 7

// RXB1D1
public const
    RXB1D10 = 0,
    RXB1D11 = 1,
    RXB1D12 = 2,
    RXB1D13 = 3,
    RXB1D14 = 4,
    RXB1D15 = 5,
    RXB1D16 = 6,
    RXB1D17 = 7

// RXB1D2
public const
    RXB1D20 = 0,
    RXB1D21 = 1,
    RXB1D22 = 2,
    RXB1D23 = 3,
    RXB1D24 = 4,
    RXB1D25 = 5,
    RXB1D26 = 6,
    RXB1D27 = 7

// RXB1D3
public const
    RXB1D30 = 0,
    RXB1D31 = 1,
    RXB1D32 = 2,
    RXB1D33 = 3,
    RXB1D34 = 4,
    RXB1D35 = 5,
    RXB1D36 = 6,
    RXB1D37 = 7

// RXB1D4
public const
    RXB1D40 = 0,
    RXB1D41 = 1,
    RXB1D42 = 2,
    RXB1D43 = 3,
    RXB1D44 = 4,
    RXB1D45 = 5,
    RXB1D46 = 6,
    RXB1D47 = 7

// RXB1D5
public const
    RXB1D50 = 0,
    RXB1D51 = 1,
    RXB1D52 = 2,
    RXB1D53 = 3,
    RXB1D54 = 4,
    RXB1D55 = 5,
    RXB1D56 = 6,
    RXB1D57 = 7

// RXB1D6
public const
    RXB1D60 = 0,
    RXB1D61 = 1,
    RXB1D62 = 2,
    RXB1D63 = 3,
    RXB1D64 = 4,
    RXB1D65 = 5,
    RXB1D66 = 6,
    RXB1D67 = 7

// RXB1D7
public const
    RXB1D70 = 0,
    RXB1D71 = 1,
    RXB1D72 = 2,
    RXB1D73 = 3,
    RXB1D74 = 4,
    RXB1D75 = 5,
    RXB1D76 = 6,
    RXB1D77 = 7

// CANSTAT_RO0

// CANCON_RO0

// RXB0CON
public const
    JTOFF_FILHIT1 = 1,
    RXB0DBEN_FILHIT2 = 2,
    RXRTRRO = 3,
    RXM0 = 5

// RXB0SIDH

// RXB0SIDL

// RXB0EIDH

// RXB0EIDL

// RXB0DLC
public const
    RB0_RXB0DLC = 4,
    RB1_RXB0DLC = 5

// RXB0D0
public const
    RXB0D00 = 0,
    RXB0D01 = 1,
    RXB0D02 = 2,
    RXB0D03 = 3,
    RXB0D04 = 4,
    RXB0D05 = 5,
    RXB0D06 = 6,
    RXB0D07 = 7

// RXB0D1
public const
    RXB0D10 = 0,
    RXB0D11 = 1,
    RXB0D12 = 2,
    RXB0D13 = 3,
    RXB0D14 = 4,
    RXB0D15 = 5,
    RXB0D16 = 6,
    RXB0D17 = 7

// RXB0D2
public const
    RXB0D20 = 0,
    RXB0D21 = 1,
    RXB0D22 = 2,
    RXB0D23 = 3,
    RXB0D24 = 4,
    RXB0D25 = 5,
    RXB0D26 = 6,
    RXB0D27 = 7

// RXB0D3
public const
    RXB0D30 = 0,
    RXB0D31 = 1,
    RXB0D32 = 2,
    RXB0D33 = 3,
    RXB0D34 = 4,
    RXB0D35 = 5,
    RXB0D36 = 6,
    RXB0D37 = 7

// RXB0D4
public const
    RXB0D40 = 0,
    RXB0D41 = 1,
    RXB0D42 = 2,
    RXB0D43 = 3,
    RXB0D44 = 4,
    RXB0D45 = 5,
    RXB0D46 = 6,
    RXB0D47 = 7

// RXB0D5
public const
    RXB0D50 = 0,
    RXB0D51 = 1,
    RXB0D52 = 2,
    RXB0D53 = 3,
    RXB0D54 = 4,
    RXB0D55 = 5,
    RXB0D56 = 6,
    RXB0D57 = 7

// RXB0D6
public const
    RXB0D60 = 0,
    RXB0D61 = 1,
    RXB0D62 = 2,
    RXB0D63 = 3,
    RXB0D64 = 4,
    RXB0D65 = 5,
    RXB0D66 = 6,
    RXB0D67 = 7

// RXB0D7
public const
    RXB0D70 = 0,
    RXB0D71 = 1,
    RXB0D72 = 2,
    RXB0D73 = 3,
    RXB0D74 = 4,
    RXB0D75 = 5,
    RXB0D76 = 6,
    RXB0D77 = 7

// CANSTAT
public const
    ICODE0 = 1,
    ICODE1 = 2,
    ICODE2 = 3

// CANCON
public const
    WIN0 = 1,
    WIN1 = 2,
    WIN2 = 3

// BRGCON1
public const
    BRP0 = 0,
    BRP1 = 1,
    BRP2 = 2,
    BRP3 = 3,
    BRP4 = 4,
    BRP5 = 5,
    SJW0 = 6,
    SJW1 = 7

// BRGCON2
public const
    PRSEG0 = 0,
    PRSEG1 = 1,
    PRSEG2 = 2,
    SEG1PH0 = 3,
    SEG1PH1 = 4,
    SEG1PH2 = 5,
    SAM = 6,
    SEG2PHT = 7

// BRGCON3
public const
    SEG2PH0 = 0,
    SEG2PH1 = 1,
    SEG2PH2 = 2,
    WAKFIL = 6,
    WAKDIS = 7

// CIOCON
public const
    CANCAP = 4,
    ENDRHI = 5,
    TX2EN = 6,
    TX2SRC = 7

// COMSTAT
public const
    EWARN = 0,
    RXWARN = 1,
    TXWARN = 2,
    RXBP = 3,
    TXBP = 4,
    TXBO = 5,
    RXBNOVFL = 6,
    RXB0OVFL_FIFOEMPTY = 7

// RXERRCNT
public const
    REC0 = 0,
    REC1 = 1,
    REC2 = 2,
    REC3 = 3,
    REC4 = 4,
    REC5 = 5,
    REC6 = 6,
    REC7 = 7

// TXERRCNT
public const
    TEC0 = 0,
    TEC1 = 1,
    TEC2 = 2,
    TEC3 = 3,
    TEC4 = 4,
    TEC5 = 5,
    TEC6 = 6,
    TEC7 = 7

// ECANCON
public const
    EWIN0 = 0,
    EWIN1 = 1,
    EWIN2 = 2,
    EWIN3 = 3,
    EWIN4 = 4,
    FIFOWM = 5,
    MDSEL0 = 6,
    MDSEL1 = 7

// ECCP1DEL
public const
    PDC0 = 0,
    PDC1 = 1,
    PDC2 = 2,
    PDC3 = 3,
    PDC4 = 4,
    PDC5 = 5,
    PDC6 = 6,
    PRSEN = 7

// BAUDCON
public const
    ABDEN = 0,
    WUE = 1,
    BRG16 = 3,
    SCKP = 4,
    RCIDL = 6

// PORTA
public const
    RA0 = 0,
    RA1 = 1,
    RA2 = 2,
    RA3 = 3,
    RA4 = 4,
    RA5 = 5,
    RA6 = 6

// PORTB
public const
    RB0_PORTB = 0,
    RB1_PORTB = 1,
    RB2 = 2,
    RB3 = 3,
    RB4 = 4,
    RB5 = 5,
    RB6 = 6,
    RB7 = 7

// PORTC
public const
    RC0 = 0,
    RC1 = 1,
    RC2 = 2,
    RC3 = 3,
    RC4 = 4,
    RC5 = 5,
    RC6 = 6,
    RC7 = 7

// PORTD
public const
    RD0 = 0,
    RD1 = 1,
    RD2 = 2,
    RD3 = 3,
    RD4 = 4,
    RD5 = 5,
    RD6 = 6,
    RD7 = 7

// PORTE
public const
    RE0 = 0,
    RE1 = 1,
    RE2 = 2,
    RE3 = 3,
    RE4 = 4,
    RE5 = 5,
    RE6 = 6,
    RE7 = 7

// PORTF
public const
    RF0 = 0,
    RF1 = 1,
    RF2 = 2,
    RF3 = 3,
    RF4 = 4,
    RF5 = 5,
    RF6 = 6,
    RF7 = 7

// PORTG
public const
    RG0 = 0,
    RG1 = 1,
    RG2 = 2,
    RG3 = 3,
    RG4 = 4,
    RG5 = 5

// PORTH
public const
    RH0 = 0,
    RH1 = 1,
    RH2 = 2,
    RH3 = 3,
    RH4 = 4,
    RH5 = 5,
    RH6 = 6,
    RH7 = 7

// PORTJ
public const
    RJ0 = 0,
    RJ1 = 1,
    RJ2 = 2,
    RJ3 = 3,
    RJ4 = 4,
    RJ5 = 5,
    RJ6 = 6,
    RJ7 = 7

// LATA
public const
    LATA0 = 0,
    LATA1 = 1,
    LATA2 = 2,
    LATA3 = 3,
    LATA4 = 4,
    LATA5 = 5,
    LATA6 = 6

// LATB
public const
    LATB0 = 0,
    LATB1 = 1,
    LATB2 = 2,
    LATB3 = 3,
    LATB4 = 4,
    LATB5 = 5,
    LATB6 = 6,
    LATB7 = 7

// LATC
public const
    LATC0 = 0,
    LATC1 = 1,
    LATC2 = 2,
    LATC3 = 3,
    LATC4 = 4,
    LATC5 = 5,
    LATC6 = 6,
    LATC7 = 7

// LATD
public const
    LATD0 = 0,
    LATD1 = 1,
    LATD2 = 2,
    LATD3 = 3,
    LATD4 = 4,
    LATD5 = 5,
    LATD6 = 6,
    LATD7 = 7

// LATE
public const
    LATE0 = 0,
    LATE1 = 1,
    LATE2 = 2,
    LATE3 = 3,
    LATE4 = 4,
    LATE5 = 5,
    LATE6 = 6,
    LATE7 = 7

// LATF
public const
    LATF0 = 0,
    LATF1 = 1,
    LATF2 = 2,
    LATF3 = 3,
    LATF4 = 4,
    LATF5 = 5,
    LATF6 = 6,
    LATF7 = 7

// LATG
public const
    LATG0 = 0,
    LATG1 = 1,
    LATG2 = 2,
    LATG3 = 3,
    LATG4 = 4

// LATH
public const
    LATH0 = 0,
    LATH1 = 1,
    LATH2 = 2,
    LATH3 = 3,
    LATH4 = 4,
    LATH5 = 5,
    LATH6 = 6,
    LATH7 = 7

// LATJ
public const
    LATJ0 = 0,
    LATJ1 = 1,
    LATJ2 = 2,
    LATJ3 = 3,
    LATJ4 = 4,
    LATJ5 = 5,
    LATJ6 = 6,
    LATJ7 = 7

// DDRA
public const
    TRISA0 = 0,
    TRISA1 = 1,
    TRISA2 = 2,
    TRISA3 = 3,
    TRISA4 = 4,
    TRISA5 = 5,
    TRISA6 = 6

// TRISA

// DDRB
public const
    TRISB0 = 0,
    TRISB1 = 1,
    TRISB2 = 2,
    TRISB3 = 3,
    TRISB4 = 4,
    TRISB5 = 5,
    TRISB6 = 6,
    TRISB7 = 7

// TRISB
public const
    RB0_TRISB = 0,
    RB1_TRISB = 1

// DDRC
public const
    TRISC0 = 0,
    TRISC1 = 1,
    TRISC2 = 2,
    TRISC3 = 3,
    TRISC4 = 4,
    TRISC5 = 5,
    TRISC6 = 6,
    TRISC7 = 7

// TRISC

// DDRD
public const
    TRISD0 = 0,
    TRISD1 = 1,
    TRISD2 = 2,
    TRISD3 = 3,
    TRISD4 = 4,
    TRISD5 = 5,
    TRISD6 = 6,
    TRISD7 = 7

// TRISD

// DDRE
public const
    TRISE0 = 0,
    TRISE1 = 1,
    TRISE2 = 2,
    TRISE3 = 3,
    TRISE4 = 4,
    TRISE5 = 5,
    TRISE6 = 6,
    TRISE7 = 7

// TRISE

// DDRF
public const
    TRISF0 = 0,
    TRISF1 = 1,
    TRISF2 = 2,
    TRISF3 = 3,
    TRISF4 = 4,
    TRISF5 = 5,
    TRISF6 = 6,
    TRISF7 = 7

// TRISF

// DDRG
public const
    TRISG0 = 0,
    TRISG1 = 1,
    TRISG2 = 2,
    TRISG3 = 3,
    TRISG4 = 4

// TRISG

// DDRH
public const
    TRISH0 = 0,
    TRISH1 = 1,
    TRISH2 = 2,
    TRISH3 = 3,
    TRISH4 = 4,
    TRISH5 = 5,
    TRISH6 = 6,
    TRISH7 = 7

// TRISH

// DDRJ
public const
    TRISJ0 = 0,
    TRISJ1 = 1,
    TRISJ2 = 2,
    TRISJ3 = 3,
    TRISJ4 = 4,
    TRISJ5 = 5,
    TRISJ6 = 6,
    TRISJ7 = 7

// TRISJ

// MEMCON
public const
    WM0 = 0,
    WM1 = 1,
    WAIT0 = 4,
    WAIT1 = 5,
    EBDIS = 7

// PIE1
public const
    TMR1IE = 0,
    TMR2IE = 1,
    CCP1IE = 2,
    SSPIE = 3,
    TXIE = 4,
    RCIE = 5,
    ADIE = 6,
    PSPIE = 7

// PIR1
public const
    TMR1IF = 0,
    TMR2IF = 1,
    CCP1IF = 2,
    SSPIF = 3,
    TXIF = 4,
    RCIF = 5,
    ADIF = 6,
    PSPIF = 7

// IPR1
public const
    TMR1IP = 0,
    TMR2IP = 1,
    CCP1IP = 2,
    SSPIP = 3,
    TXIP = 4,
    RCIP = 5,
    ADIP = 6,
    PSPIP = 7

// PIE2
public const
    CCP2IE = 0,
    TMR3IE = 1,
    LVDIE = 2,
    BCLIE = 3,
    EEIE = 4,
    CMIE = 6

// PIR2
public const
    CCP2IF = 0,
    TMR3IF = 1,
    LVDIF = 2,
    BCLIF = 3,
    EEIF = 4,
    CMIF = 6

// IPR2
public const
    CCP2IP = 0,
    TMR3IP = 1,
    LVDIP = 2,
    BCLIP = 3,
    EEIP = 4,
    CMIP = 6

// PIE3
public const
    FIFOWMIE = 0,
    RXBNIE = 1,
    TXBNIE = 4,
    ERRIE = 5,
    WAKIE = 6,
    IRXIE = 7

// PIR3
public const
    RXB0IF = 0,
    RXB1IF = 1,
    TXB0IF = 2,
    TXB1IF = 3,
    TXB2IF = 4,
    ERRIF = 5,
    WAKIF = 6,
    IRXIF = 7

// IPR3
public const
    RXB0IP = 0,
    RXB1IP = 1,
    TXB0IP = 2,
    TXB1IP = 3,
    TXB2IP = 4,
    ERRIP = 5,
    WAKIP = 6,
    IRXIP = 7

// EECON1
public const
    RD = 0,
    WR = 1,
    WREN = 2,
    WRERR = 3,
    FREE = 4,
    CFGS = 6,
    EEPGD = 7

// RCSTA
public const
    RX9D = 0,
    OERR = 1,
    FERR = 2,
    ADDEN = 3,
    CREN = 4,
    SREN = 5,
    RX9 = 6,
    SPEN = 7

// RCSTA1
public const
    RX9D1 = 0,
    OERR1 = 1,
    FERR1 = 2,
    ADEN = 3,
    CREN1 = 4,
    SREN1 = 5,
    RX91 = 6,
    SPEN1 = 7

// TXSTA
public const
    TX9D = 0,
    TRMT = 1,
    BRGH = 2,
    SENDB = 3,
    SYNC = 4,
    TXEN = 5,
    TX9 = 6,
    CSRC = 7

// TXSTA1
public const
    TX9D1 = 0,
    TRMT1 = 1,
    BRGH1 = 2,
    SENDB1 = 3,
    SYNC1 = 4,
    TXEN1 = 5,
    TX91 = 6,
    CSRC1 = 7

// PSPCON
public const
    PSPMODE = 4,
    IBOV = 5,
    OBF = 6,
    IBF = 7

// T3CON
public const
    TMR3ON = 0,
    TMR3CS = 1,
    _T3SYNC = 2,
    T3CCP1 = 3,
    T3CKPS0 = 4,
    T3CKPS1 = 5,
    T3CCP2 = 6,
    RD16 = 7

// CMCON
public const
    CM0 = 0,
    CM1 = 1,
    CM2 = 2,
    CIS = 3,
    C1INV = 4,
    C2INV = 5,
    C1OUT = 6,
    C2OUT = 7

// CVRCON
public const
    CVR0 = 0,
    CVR1 = 1,
    CVR2 = 2,
    CVR3 = 3,
    CVRSS = 4,
    CVRR = 5,
    CVROE = 6,
    CVREN = 7

// ECCP1AS
public const
    PSSBD0 = 0,
    PSSBD1 = 1,
    PSSAC0 = 2,
    PSSAC1 = 3,
    ECCPAS0 = 4,
    ECCPAS1 = 5,
    ECCPAS2 = 6,
    ECCPASE = 7

// CCP2CON
public const
    CCP2M0 = 0,
    CCP2M1 = 1,
    CCP2M2 = 2,
    CCP2M3 = 3,
    DC2B0 = 4,
    DC2B1 = 5

// CCP1CON
public const
    CCP1M0 = 0,
    CCP1M1 = 1,
    CCP1M2 = 2,
    CCP1M3 = 3,
    DC1B0 = 4,
    DC1B1 = 5,
    P1M0 = 6,
    P1M1 = 7

// ADCON2
public const
    ADCS0 = 0,
    ADCS1 = 1,
    ADCS2 = 2,
    ACQT0 = 3,
    ACQT1 = 4,
    ACQT2 = 5,
    ADFM = 7

// ADCON1
public const
    PCFG0 = 0,
    PCFG1 = 1,
    PCFG2 = 2,
    PCFG3 = 3,
    VCFG0 = 4,
    VCFG1 = 5

// ADCON0
public const
    ADON = 0,
    GO_DONE = 1,
    CHS0 = 2,
    CHS1 = 3,
    CHS2 = 4,
    CHS3 = 5

// SSPCON2
public const
    SEN = 0,
    RSEN = 1,
    PEN = 2,
    RCEN = 3,
    ACKEN = 4,
    ACKDT = 5,
    ACKSTAT = 6,
    GCEN = 7

// SSPCON1
public const
    SSPM0 = 0,
    SSPM1 = 1,
    SSPM2 = 2,
    SSPM3 = 3,
    CKP = 4,
    SSPEN = 5,
    SSPOV = 6,
    WCOL = 7

// SSPSTAT
public const
    BF = 0,
    UA = 1,
    R_W = 2,
    S = 3,
    P = 4,
    D_A = 5,
    CKE = 6,
    SMP = 7

// T2CON
public const
    T2CKPS0 = 0,
    T2CKPS1 = 1,
    TMR2ON = 2,
    T2OUTPS0 = 3,
    T2OUTPS1 = 4,
    T2OUTPS2 = 5,
    T2OUTPS3 = 6

// T1CON
public const
    TMR1ON = 0,
    TMR1CS = 1,
    _T1SYNC = 2,
    T1OSCEN = 3,
    T1CKPS0 = 4,
    T1CKPS1 = 5

// RCON
public const
    _BOR = 0,
    _POR = 1,
    _PD = 2,
    _TO = 3,
    _RI = 4,
    IPEN = 7

// WDTCON
public const
    SWDTEN = 0

// LVDCON
public const
    LVDL0 = 0,
    LVDL1 = 1,
    LVDL2 = 2,
    LVDL3 = 3,
    LVDEN = 4,
    IRVST = 5

// OSCCON
public const
    SCS0 = 0,
    SCS1 = 1,
    PLLEN = 2,
    LOCK = 3

// T0CON
public const
    T0PS0 = 0,
    T0PS1 = 1,
    T0PS2 = 2,
    PSA = 3,
    T0SE = 4,
    T0CS = 5,
    T08BIT = 6,
    TMR0ON = 7

// STATUS
public const
    C = 0,
    DC = 1,
    Z = 2,
    OV = 3,
    N = 4

// INTCON3
public const
    INT1IF = 0,
    INT2IF = 1,
    INT3IF = 2,
    INT1IE = 3,
    INT2IE = 4,
    INT3IE = 5,
    INT1IP = 6,
    INT2IP = 7

// INTCON2
public const
    RBIP = 0,
    INT3IP = 1,
    TMR0IP = 2,
    INTEDG3 = 3,
    INTEDG2 = 4,
    INTEDG1 = 5,
    INTEDG0 = 6,
    _RBPU = 7

// INTCON
public const
    RBIF = 0,
    INT0IF = 1,
    TMR0IF = 2,
    RBIE = 3,
    INT0IE = 4,
    TMR0IE = 5,
    PEIE_GIEL = 6,
    GIE_GIEH = 7

public const
    GIEL = 6,
    GIEH = 7

public const
    PEIE = 6,
    GIE = 7

// STKPTR
public const
    STKPTR0 = 0,
    STKPTR1 = 1,
    STKPTR2 = 2,
    STKPTR3 = 3,
    STKPTR4 = 4,
    STKUNF = 6,
    STKFUL = 7

public const
    STKOVF = 7

end module
